;============================
;
;	setupfont
;
;============================
include "obj\\valis-cmn-52800.publics"


org #4000

prog_start:

public	setupfont12
setupfont12:
		ld		hl, font12
		jr		.setupfont

public	setupfont34
setupfont34:
		ld		hl, font34
		jr		.setupfont

public	setupfont56
setupfont56:
		ld		hl, font56
.setupfont:
	; p^[WF[^[
		ld		de, #1000
		call	set_vram_adr
		ld		b,#f8
		REPT	8
		proc
		_outir:
			outi
			jp		nz, _outir
		endp
		ENDM
		xor		a
		ld		b, 8
	sf_loop_0:
		out		(c), a
		dec		b
		jp		nz, sf_loop_0

	; J[e[u
		ld		d, #30
		call	set_vram_adr
		ld		a, #f0
		ld		l, 8
	sf_loop_1:
		out		(c), a
		dec		b
		jp		nz, sf_loop_1
		dec		l
		jr		nz, sf_loop_1

		ret


public	setupfont_sr0
setupfont_sr0:
		ld		hl, font_sr0u
		jp		.setupfontsr
public	setupfont_sr1
setupfont_sr1:
		ld		hl, font_sr1u
		jp		.setupfontsr
public	setupfont_sr2
setupfont_sr2:
		ld		hl, font_sr2u
		jp		.setupfontsr
public	setupfont_sr3
setupfont_sr3:
		ld		hl, font_sr3u
		jp		.setupfontsr
public	setupfont_sr4
setupfont_sr4:
		ld		hl, font_sr4u
		jp		.setupfontsr
public	setupfont_sr5
setupfont_sr5:
		ld		hl, font_sr5u
		jp		.setupfontsr
public	setupfont_sr6
setupfont_sr6:
		ld		hl, font_sr6u
		jp		.setupfontsr
public	setupfont_sr7
setupfont_sr7:
		ld		hl, font_sr7u
		jp		.setupfontsr
public	setupfont_sr8
setupfont_sr8:
		ld		hl, font_sr8u
		jp		.setupfontsr
public	setupfont_sr9
setupfont_sr9:
		ld		hl, font_sr9u
.setupfontsr:
proc
		ld		a,(WRVDP)
		ld		c, a

	;ʏĩtHgZbg
		inc		c
		xor		a
		di
		out		(c), a
		ld		a, #40
		out		(c), a
		ei
		dec		c

		ld		b, (hl)
		inc		hl
		inc		b
		dec		b
		jr		z, _sfsrd_init
		push	bc
	_outir0:
		outi
		jp		nz, _outir0

		inc		c
		xor		a
		di
		out		(c), a
		ld		a, #20|#40
		out		(c), a
		ei
		dec		c

		pop		bc
		ld		a, #f0
	_sfsru_loop_c:
		out		(c), a
		dec		b
		jp		nz, _sfsru_loop_c

	;ʒĩtHgZbg
	_sfsrd_init:
		ld		b, (hl)
		inc		hl
		inc		b
		dec		b
		ret		z
		
		ld		de, font_sr_dst

	_sfsrd_loop:
		push	bc

		;p^[
		inc		c
		ld		a, (de)
		di
		out		(c), a
		inc		de
		ld		a, (de)
		out		(c), a
		ei
		dec		de
		dec		c

		ld		b, 8
	_outir1:
		outi
		jp		nz, _outir1

		;F
		inc		c
		ld		a, (de)
		di
		out		(c), a
		inc		de
		ld		a, (de)
		add		a, #20
		out		(c), a
		ei
		inc		de
		dec		c

		ld		b, 8
		ld		a, #f0
	_sfsrd_loop_c:
		out		(c), a
		dec		b
		jp		nz, _sfsrd_loop_c

		pop		bc
		djnz	_sfsrd_loop
		ret
endp


font12:
	;8x256 64x32
	;@JłE̊ԂɁHȓVC΍͂
	;NĂĉےtCgIqh苏ˁADB
	;P~ʂ܂ƔGƂ֋AǑtᏊAsob
	;^omꉞ𖳋F\Jݖ󃔃@jeBXmQv{
	;͂كAyԓES𒴖ٕlSłсh
	;ِŋߕBό㑈NpFO
	;NjnP]ړ掩R吨Xޕ֌WaGL
	;ȖⓚӖM|@@@@@@@@@@@@@@@@@@@@@@
	db #00,#00,#00,#00,#00,#00,#00,#00,#fe,#10,#fe,#92,#b6,#92,#b6,#00,#6a,#20,#34,#d2,#56,#50,#a0,#00,#68,#4c,#32,#e6,#10,#10,#08,#00,#30,#10,#20,#30,#6a,#4a,#8c,#00,#0e,#f8,#14,#20,#20,#10,#0c,#00,#1c,#68,#10,#3c,#42,#32,#3c,#00,#00,#00,#00,#30,#30,#00,#00,#00
	db #00,#88,#84,#82,#a6,#60,#20,#00,#00,#1c,#e2,#02,#04,#18,#00,#00,#00,#38,#54,#a2,#a2,#44,#18,#00,#ee,#aa,#fe,#aa,#ba,#aa,#ba,#00,#c0,#5c,#48,#80,#90,#a0,#5e,#00,#3c,#42,#62,#0c,#10,#00,#10,#00,#94,#be,#dc,#ce,#fc,#5c,#aa,#00,#60,#36,#e4,#44,#9c,#26,#1c,#00
	db #fe,#10,#7c,#10,#10,#28,#c6,#00,#40,#7e,#b8,#7c,#54,#24,#d2,#00,#1c,#68,#10,#3e,#d0,#10,#0c,#00,#20,#18,#18,#64,#04,#08,#30,#00,#38,#fe,#00,#38,#00,#7c,#7c,#00,#20,#18,#1c,#68,#18,#28,#46,#00,#ca,#46,#5c,#84,#9c,#a6,#5a,#00,#08,#ee,#b8,#ee,#a8,#ee,#08,#00
	db #7e,#42,#42,#7e,#42,#42,#7e,#00,#cc,#46,#5c,#84,#9c,#a6,#5a,#00,#30,#18,#64,#3c,#6a,#b2,#64,#00,#28,#fe,#54,#fe,#aa,#18,#70,#00,#7c,#44,#7c,#44,#7c,#2a,#ce,#00,#60,#20,#34,#d2,#56,#50,#a0,#00,#00,#00,#00,#18,#64,#08,#10,#00,#60,#30,#ee,#44,#40,#50,#8e,#00
	db #88,#1c,#3e,#d4,#5c,#6a,#be,#00,#0c,#08,#30,#40,#30,#08,#04,#00,#20,#18,#60,#5c,#62,#42,#1c,#00,#54,#de,#34,#de,#14,#d4,#de,#00,#06,#f8,#ea,#c8,#fe,#08,#18,#00,#60,#2c,#b4,#64,#64,#a6,#24,#00,#0e,#f8,#10,#20,#20,#10,#0c,#00,#3e,#42,#de,#56,#5e,#42,#46,#00
	db #38,#c8,#3c,#3c,#da,#2c,#da,#00,#54,#be,#46,#fe,#56,#7c,#4a,#00,#6a,#30,#ee,#44,#40,#50,#8e,#00,#1c,#68,#10,#3c,#42,#02,#3c,#00,#00,#0e,#72,#02,#04,#08,#30,#00,#00,#ce,#72,#44,#44,#7e,#40,#00,#0c,#08,#10,#28,#c8,#08,#08,#00,#30,#10,#10,#18,#14,#10,#10,#00
	db #cc,#46,#5c,#a4,#c4,#44,#08,#00,#10,#10,#10,#10,#10,#00,#10,#00,#ee,#aa,#7e,#54,#7e,#64,#b6,#00,#7c,#08,#10,#fe,#10,#10,#30,#00,#10,#fe,#82,#5e,#c8,#5e,#5e,#00,#68,#34,#24,#24,#04,#08,#10,#00,#7e,#7e,#44,#5e,#44,#5e,#9e,#00,#fe,#b2,#fe,#b4,#fe,#b4,#fa,#00
	db #10,#50,#38,#60,#3a,#22,#1c,#00,#60,#20,#20,#20,#22,#24,#18,#00,#60,#2c,#b2,#62,#62,#a4,#28,#00,#60,#2c,#b2,#62,#66,#aa,#26,#00,#00,#00,#00,#00,#00,#80,#40,#00,#3e,#5c,#dc,#7e,#76,#48,#76,#00,#00,#00,#00,#00,#40,#a0,#40,#00,#00,#3c,#08,#00,#20,#40,#3e,#00
	db #10,#28,#d6,#38,#54,#fe,#10,#00,#18,#0e,#78,#04,#3c,#40,#3c,#00,#cc,#d4,#88,#f6,#dc,#be,#84,#00,#18,#08,#0e,#08,#38,#4c,#3a,#00,#f2,#9a,#fa,#4a,#72,#52,#b6,#00,#18,#4e,#38,#2c,#38,#4c,#3a,#00,#18,#0e,#f8,#28,#18,#08,#10,#00,#0c,#08,#34,#40,#30,#08,#04,#00
	db #10,#54,#52,#90,#34,#18,#e0,#00,#10,#fe,#20,#3c,#24,#44,#8c,#00,#30,#10,#14,#1c,#20,#40,#3e,#00,#9c,#3e,#aa,#1c,#88,#be,#aa,#00,#10,#fe,#ba,#30,#da,#2c,#da,#00,#00,#20,#50,#c8,#06,#00,#00,#00,#5c,#c4,#fe,#ea,#5c,#5c,#88,#00,#00,#18,#08,#0c,#38,#4c,#34,#00
	db #2a,#10,#14,#1c,#20,#40,#3e,#00,#7c,#44,#7c,#44,#7c,#fe,#10,#00,#10,#fe,#82,#ba,#aa,#ba,#86,#00,#94,#3e,#08,#ea,#7e,#50,#be,#00,#6a,#20,#20,#20,#22,#24,#18,#00,#00,#08,#2c,#2a,#76,#10,#08,#00,#f2,#0c,#78,#5e,#7a,#4a,#92,#00,#48,#f2,#5e,#68,#de,#44,#da,#00
	db #4a,#f4,#4a,#6e,#da,#44,#d8,#00,#10,#fe,#54,#10,#fe,#38,#d6,#00,#60,#34,#e2,#2c,#32,#e2,#2c,#00,#18,#0e,#70,#1c,#22,#02,#1c,#00,#5c,#80,#7e,#c4,#44,#44,#4c,#00,#30,#1c,#70,#0e,#f4,#40,#3c,#00,#06,#08,#24,#24,#42,#82,#00,#00,#00,#00,#00,#54,#24,#08,#30,#00
	db #10,#1e,#12,#6a,#04,#08,#30,#00,#0c,#64,#24,#24,#04,#08,#10,#00,#10,#54,#54,#7c,#92,#92,#fe,#00,#10,#28,#de,#00,#fe,#24,#fa,#00,#10,#fe,#54,#fc,#16,#fc,#30,#00,#40,#7e,#aa,#7a,#2a,#5a,#8e,#00,#00,#00,#04,#fe,#00,#00,#00,#00,#08,#7e,#50,#48,#50,#76,#9c,#00
	db #30,#18,#66,#34,#d8,#28,#1e,#00,#80,#fe,#54,#fe,#54,#fe,#aa,#00,#42,#ec,#28,#4e,#ea,#4a,#52,#00,#7c,#28,#10,#fe,#12,#10,#30,#00,#10,#fe,#10,#7c,#54,#7c,#80,#00,#20,#10,#fe,#10,#7c,#10,#fe,#00,#18,#0e,#7a,#12,#12,#2e,#44,#00,#30,#50,#24,#7c,#a6,#c8,#10,#00
	db #5e,#d2,#1e,#d4,#14,#d2,#e2,#00,#34,#1e,#e2,#42,#04,#08,#30,#00,#00,#00,#0c,#74,#18,#10,#20,#00,#00,#0c,#70,#00,#00,#3e,#c0,#00,#0c,#70,#0e,#f0,#10,#10,#20,#00,#00,#00,#0c,#08,#10,#68,#08,#00,#00,#0c,#74,#08,#18,#24,#c2,#00,#aa,#08,#fe,#f4,#26,#f4,#2a,#00
	db #10,#10,#fe,#10,#10,#10,#7c,#00,#74,#24,#f4,#24,#78,#aa,#2e,#00,#10,#fe,#86,#de,#5a,#c4,#5a,#00,#88,#1c,#8c,#3e,#88,#88,#b6,#00,#0a,#64,#2e,#f4,#2c,#20,#1e,#00,#08,#fc,#a8,#fe,#a4,#fe,#14,#00,#7c,#54,#7c,#54,#7c,#ca,#ba,#00,#10,#fe,#10,#38,#54,#ba,#10,#00
	db #52,#34,#7e,#02,#3e,#02,#7e,#00,#2e,#f4,#7e,#7a,#2e,#70,#aa,#00,#fe,#b2,#de,#b2,#be,#d4,#9a,#00,#10,#fe,#12,#22,#22,#42,#86,#00,#c6,#5c,#46,#9c,#84,#de,#5a,#00,#0e,#72,#0c,#08,#08,#10,#20,#00,#f8,#28,#2c,#24,#54,#48,#b6,#00,#10,#0a,#10,#10,#1c,#aa,#da,#00
	db #5a,#fe,#5c,#fe,#fc,#2c,#de,#00,#28,#fe,#8c,#34,#88,#36,#9c,#00,#44,#fe,#10,#fe,#5c,#5c,#9c,#00,#10,#fe,#28,#38,#fe,#aa,#ba,#00,#0c,#64,#2e,#f4,#2c,#20,#1e,#00,#3c,#24,#58,#10,#3e,#d2,#1e,#00,#54,#54,#fe,#54,#5c,#40,#7e,#00,#7c,#54,#7c,#54,#7c,#aa,#48,#00
	db #10,#fe,#aa,#4c,#38,#10,#fe,#00,#10,#28,#fe,#10,#7c,#10,#fe,#00,#fe,#6a,#7e,#ea,#7e,#c8,#3e,#00,#6e,#a6,#7a,#7e,#74,#5e,#b4,#00,#2e,#f6,#2a,#f0,#6e,#6a,#9e,#00,#ea,#fe,#e8,#48,#f6,#00,#aa,#00,#ee,#ee,#82,#fe,#ba,#fa,#8a,#00,#fe,#10,#18,#14,#10,#10,#10,#00
	db #10,#10,#10,#28,#28,#44,#82,#00,#20,#10,#20,#64,#62,#a4,#3c,#00,#10,#28,#de,#00,#7c,#08,#30,#00,#84,#7e,#fc,#54,#fe,#d4,#aa,#00,#2a,#e4,#46,#44,#44,#48,#30,#00,#6c,#24,#48,#00,#00,#00,#00,#00,#ee,#aa,#ee,#aa,#ee,#12,#26,#00,#08,#fe,#b4,#fe,#a0,#ec,#0c,#00
	db #00,#7c,#00,#00,#00,#04,#fe,#00,#7c,#54,#7c,#28,#fe,#00,#c6,#00,#58,#de,#e8,#48,#5c,#48,#7e,#00,#24,#48,#6e,#bc,#24,#3c,#c6,#00,#48,#dc,#48,#7e,#c4,#7e,#d4,#00,#04,#7e,#44,#74,#56,#54,#aa,#00,#10,#fe,#44,#24,#28,#28,#fe,#00,#7c,#44,#fe,#52,#5a,#f4,#1a,#00
	db #84,#58,#10,#de,#54,#64,#be,#00,#2e,#fa,#5c,#fa,#0a,#6c,#68,#00,#28,#28,#44,#be,#14,#24,#cc,#00,#28,#fe,#3c,#18,#fe,#34,#dc,#00,#54,#7e,#ea,#7e,#5c,#d4,#1c,#00,#e4,#5e,#64,#b6,#76,#50,#9e,#00,#0c,#70,#0e,#72,#04,#08,#30,#00,#00,#40,#20,#02,#04,#18,#60,#00
	db #50,#7c,#90,#fe,#10,#28,#c6,#00,#cc,#4a,#5c,#84,#9c,#a6,#5a,#00,#48,#90,#4a,#fe,#54,#48,#76,#00,#38,#c8,#3c,#fe,#14,#7c,#30,#00,#18,#68,#10,#ee,#32,#0c,#70,#00,#2e,#f2,#2e,#f8,#6e,#60,#9e,#00,#28,#4e,#d8,#4e,#48,#4e,#48,#00,#7e,#52,#7e,#52,#7e,#52,#96,#00
	db #00,#00,#08,#30,#10,#1c,#60,#00,#de,#50,#dc,#90,#fe,#54,#da,#00,#14,#1e,#12,#62,#04,#08,#30,#00,#60,#20,#20,#22,#24,#28,#30,#00,#7c,#54,#7c,#10,#fe,#00,#aa,#00,#fe,#10,#10,#7c,#10,#10,#fe,#00,#54,#98,#54,#fc,#4a,#64,#9a,#00,#0c,#70,#10,#fe,#10,#10,#10,#00
	db #40,#7e,#90,#7c,#50,#fe,#10,#00,#7e,#54,#7e,#54,#46,#54,#be,#00,#10,#7c,#54,#7c,#30,#10,#ee,#00,#24,#24,#fa,#5e,#60,#3e,#ce,#00,#1a,#0e,#f8,#28,#18,#08,#10,#00,#48,#be,#48,#be,#62,#d4,#66,#00,#74,#5e,#76,#56,#76,#5a,#ea,#00,#26,#fc,#56,#fa,#fe,#68,#b6,#00
	db #ee,#40,#fe,#e4,#44,#ea,#5e,#00,#ec,#54,#e8,#56,#ea,#c4,#58,#00,#5c,#d4,#66,#5c,#d4,#48,#f6,#00,#ca,#46,#5c,#a4,#c4,#44,#08,#00,#22,#56,#fe,#ae,#fa,#22,#da,#00,#fe,#54,#fe,#ba,#28,#10,#ee,#00,#f0,#5e,#72,#7a,#54,#fa,#10,#00,#10,#7e,#42,#7a,#5e,#42,#7e,#00
	db #74,#5e,#b4,#24,#ca,#00,#aa,#00,#10,#10,#fe,#10,#10,#28,#c6,#00,#28,#7c,#ec,#76,#bc,#14,#6c,#00,#00,#20,#3c,#24,#c8,#10,#08,#00,#28,#fe,#28,#fe,#10,#7c,#7c,#00,#60,#34,#e6,#64,#a2,#62,#3c,#00,#fe,#54,#38,#10,#fe,#10,#10,#00,#ee,#ee,#aa,#92,#fe,#92,#aa,#00
	db #3e,#48,#d0,#4a,#7e,#48,#6a,#00,#fe,#aa,#ea,#be,#e4,#8c,#f6,#00,#b2,#dc,#26,#94,#3e,#d0,#ee,#00,#50,#7e,#90,#10,#7c,#10,#fe,#00,#10,#10,#1c,#10,#10,#10,#fe,#00,#24,#f6,#5a,#fa,#aa,#dc,#fa,#00,#30,#1c,#70,#1e,#70,#08,#08,#00,#00,#00,#10,#1e,#74,#08,#08,#00
	db #44,#54,#4c,#44,#64,#8c,#32,#00,#ee,#aa,#ee,#82,#ba,#aa,#ba,#00,#48,#6e,#b4,#38,#c6,#38,#38,#00,#40,#7c,#90,#fe,#10,#28,#c6,#00,#10,#7c,#28,#fe,#38,#ca,#ba,#00,#08,#fc,#a8,#be,#e8,#1c,#2a,#00,#10,#fe,#92,#92,#fe,#10,#10,#00,#2c,#5e,#c0,#4c,#40,#5e,#5e,#00
	db #3a,#56,#e6,#7e,#52,#7a,#46,#00,#10,#28,#de,#00,#ee,#ea,#08,#00

font34:
	;@E߂ɂǂIHtn܂x̐mA惔@X
	;NȃbӂĂBA畷]FJeBOExz҃O
	;rق߂łꋻlƐʓjϔNݐړI
	;j󖳑SłږYpޕ֑apF^[΂񂳂
	;vۍӖ{]ނΏmRngqTtuʔ
	;Ԓqo^o˂Dpݗȏo₿sj
	;|ZhXnwZԎdԌEXH[BA]L^ՁX
	;ch@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	db #00,#00,#00,#00,#00,#00,#00,#00,#00,#00,#00,#30,#30,#00,#00,#00,#00,#88,#84,#82,#a6,#60,#20,#00,#1c,#68,#10,#3c,#42,#32,#3c,#00,#84,#58,#10,#de,#54,#64,#be,#00,#0c,#08,#30,#40,#30,#08,#04,#00,#c0,#5c,#48,#80,#90,#a0,#5e,#00,#2a,#10,#14,#1c,#20,#40,#3e,#00
	db #00,#3c,#08,#00,#20,#40,#3e,#00,#10,#10,#10,#10,#10,#00,#10,#00,#3c,#42,#62,#0c,#10,#00,#10,#00,#00,#0e,#72,#02,#04,#08,#30,#00,#00,#08,#24,#24,#42,#82,#00,#00,#60,#34,#e2,#2c,#32,#e2,#2c,#00,#18,#4e,#38,#2c,#38,#4c,#3a,#00,#20,#18,#1c,#68,#18,#28,#46,#00
	db #6a,#20,#34,#d2,#56,#50,#a0,#00,#10,#28,#de,#00,#7c,#08,#30,#00,#08,#7e,#54,#7e,#54,#48,#b6,#00,#00,#38,#54,#a2,#a2,#44,#18,#00,#aa,#08,#fe,#f4,#26,#f4,#2a,#00,#10,#10,#fe,#10,#10,#10,#7c,#00,#60,#20,#34,#d2,#56,#50,#a0,#00,#00,#00,#00,#00,#00,#80,#40,#00
	db #3c,#24,#58,#10,#3e,#d2,#1e,#00,#0c,#70,#fe,#54,#fe,#38,#d6,#00,#18,#08,#0e,#08,#38,#4c,#3a,#00,#34,#1e,#e2,#42,#04,#08,#30,#00,#00,#00,#0c,#74,#18,#10,#20,#00,#0c,#64,#24,#24,#04,#08,#10,#00,#00,#0c,#74,#08,#18,#24,#c2,#00,#cc,#46,#5c,#84,#9c,#a6,#5a,#00
	db #54,#de,#34,#de,#14,#d4,#de,#00,#60,#36,#e4,#44,#9c,#26,#1c,#00,#00,#00,#00,#54,#24,#08,#30,#00,#20,#18,#18,#64,#04,#08,#30,#00,#60,#20,#20,#20,#22,#24,#18,#00,#60,#30,#ee,#44,#40,#50,#8e,#00,#10,#fe,#10,#7c,#54,#7c,#80,#00,#10,#08,#10,#10,#1c,#aa,#da,#00
	db #0e,#f8,#10,#20,#20,#10,#0c,#00,#1c,#6a,#10,#3e,#d0,#10,#0c,#00,#00,#00,#00,#00,#40,#a0,#40,#00,#0e,#72,#0c,#08,#08,#10,#20,#00,#20,#18,#60,#5c,#62,#42,#1c,#00,#ee,#ee,#82,#fe,#ba,#fa,#8a,#00,#1c,#68,#10,#3c,#42,#02,#3c,#00,#10,#28,#fe,#10,#fe,#54,#b2,#00
	db #00,#00,#08,#30,#10,#1c,#60,#00,#18,#0e,#7a,#12,#12,#2e,#44,#00,#00,#40,#20,#02,#04,#18,#60,#00,#0c,#70,#0e,#f0,#10,#10,#20,#00,#00,#00,#0c,#08,#10,#68,#08,#00,#fe,#10,#10,#7c,#10,#10,#fe,#00,#1c,#68,#10,#3e,#d0,#10,#0c,#00,#00,#7c,#00,#38,#00,#00,#fe,#00
	db #7c,#54,#7c,#54,#7c,#aa,#48,#00,#10,#fe,#10,#78,#28,#10,#ee,#00,#ee,#42,#e2,#ee,#a8,#ea,#ee,#00,#12,#7c,#18,#fe,#20,#dc,#1c,#00,#00,#ce,#72,#44,#44,#7e,#40,#00,#14,#1e,#12,#62,#04,#08,#30,#00,#60,#20,#20,#22,#24,#28,#30,#00,#6a,#30,#ee,#44,#40,#50,#8e,#00
	db #e4,#be,#f2,#ae,#f6,#ac,#b6,#00,#1a,#0e,#f8,#28,#18,#08,#10,#00,#c6,#5c,#46,#9c,#84,#de,#5a,#00,#18,#48,#7c,#52,#b2,#a2,#54,#00,#68,#4c,#32,#e6,#10,#10,#08,#00,#0e,#f8,#14,#20,#20,#10,#0c,#00,#68,#34,#24,#24,#04,#08,#10,#00,#00,#1c,#e2,#02,#04,#18,#00,#00
	db #60,#2c,#b4,#64,#64,#a6,#24,#00,#00,#00,#04,#fe,#00,#00,#00,#00,#46,#ba,#ee,#ba,#fe,#00,#c6,#00,#10,#50,#38,#60,#3a,#22,#1c,#00,#6a,#20,#20,#20,#22,#24,#18,#00,#00,#08,#2c,#2a,#76,#10,#08,#00,#30,#18,#66,#34,#d8,#28,#1e,#00,#18,#0e,#f8,#28,#18,#08,#10,#00
	db #3e,#42,#de,#56,#5e,#42,#46,#00,#10,#10,#10,#28,#28,#44,#82,#00,#30,#10,#14,#1c,#20,#40,#3e,#00,#50,#7e,#90,#10,#7c,#10,#fe,#00,#18,#48,#7c,#52,#b2,#a6,#56,#00,#c8,#dc,#c8,#7e,#c4,#7e,#54,#00,#00,#0c,#70,#00,#00,#3e,#c0,#00,#54,#7e,#d4,#d4,#7e,#40,#62,#00
	db #c8,#5c,#c8,#7e,#dc,#dc,#62,#00,#40,#7e,#90,#7c,#50,#fe,#10,#00,#30,#50,#24,#7c,#a6,#c8,#10,#00,#04,#ee,#a4,#fe,#aa,#ee,#0a,#00,#60,#2c,#b2,#62,#62,#a4,#28,#00,#00,#00,#00,#18,#64,#08,#10,#00,#7e,#42,#7e,#42,#7e,#42,#7e,#00,#48,#ee,#b2,#ea,#a6,#e2,#06,#00
	db #e4,#5e,#56,#9e,#7a,#74,#0a,#00,#48,#7e,#da,#5e,#7e,#f4,#1a,#00,#80,#fe,#54,#fe,#54,#fe,#aa,#00,#10,#28,#fe,#10,#7c,#10,#fe,#00,#84,#7e,#fc,#54,#fe,#d4,#aa,#00,#ca,#5c,#46,#9c,#84,#de,#5a,#00,#10,#fe,#40,#7c,#54,#ca,#ba,#00,#2e,#7a,#2a,#fa,#2a,#58,#e8,#00
	db #48,#be,#6a,#fc,#74,#68,#56,#00,#10,#fe,#20,#3c,#24,#44,#8c,#00,#00,#20,#50,#c8,#06,#00,#00,#00,#28,#fe,#6c,#a8,#4e,#fe,#48,#00,#10,#7c,#10,#fe,#10,#24,#fa,#00,#be,#ea,#3e,#aa,#36,#fe,#e2,#00,#70,#2e,#fa,#2a,#7a,#aa,#2e,#00,#7e,#52,#7e,#52,#7e,#52,#96,#00
	db #10,#fe,#ba,#10,#fe,#10,#30,#00,#10,#fe,#92,#7c,#7c,#54,#7c,#00,#10,#fe,#38,#38,#fe,#00,#c6,#00,#fe,#6a,#7e,#ea,#7e,#c8,#3e,#00,#1a,#68,#fe,#28,#fa,#24,#6a,#00,#0c,#70,#fe,#10,#fe,#10,#30,#00,#48,#be,#6a,#aa,#76,#e2,#66,#00,#4c,#94,#5e,#ba,#5e,#f0,#5e,#00
	db #22,#fe,#12,#5a,#26,#52,#86,#00,#30,#10,#20,#30,#6a,#4a,#8c,#00,#18,#0e,#78,#04,#3c,#40,#3c,#00,#0c,#64,#2e,#f4,#2c,#20,#1e,#00,#50,#dc,#28,#c8,#3e,#c8,#c8,#00,#0a,#64,#2e,#f4,#2c,#20,#1e,#00,#14,#fe,#10,#54,#38,#d4,#32,#00,#48,#6e,#b4,#38,#c6,#38,#38,#00
	db #10,#54,#52,#90,#34,#18,#e0,#00,#aa,#08,#be,#22,#be,#a2,#a6,#00,#7c,#54,#7c,#54,#7c,#ca,#ba,#00,#20,#f8,#28,#68,#38,#4a,#8e,#00,#98,#48,#08,#d4,#62,#40,#be,#00,#30,#18,#64,#3c,#6a,#b2,#64,#00,#38,#fe,#00,#38,#00,#7c,#7c,#00,#10,#7c,#28,#fe,#38,#ca,#ba,#00
	db #08,#fc,#a8,#be,#e8,#1c,#2a,#00,#74,#24,#f4,#24,#78,#aa,#2e,#00,#10,#fe,#10,#38,#54,#ba,#10,#00,#52,#34,#7e,#02,#3e,#02,#7e,#00,#2e,#fa,#4e,#72,#fe,#10,#fe,#00,#60,#34,#e6,#64,#a2,#62,#3c,#00,#cc,#46,#5c,#a4,#c4,#44,#08,#00,#ca,#46,#5c,#84,#9c,#a6,#5a,#00
	db #f6,#a4,#fe,#ac,#fe,#aa,#b6,#00,#40,#7e,#aa,#7a,#2a,#5a,#8e,#00,#44,#d8,#08,#be,#08,#ca,#ce,#00,#10,#fe,#92,#fe,#92,#92,#fe,#00,#94,#36,#14,#f6,#54,#66,#be,#00,#ca,#46,#5c,#a4,#c4,#44,#08,#00,#24,#24,#fa,#5e,#60,#3e,#ce,#00,#10,#7e,#42,#7a,#5e,#42,#7e,#00
	db #10,#3c,#24,#3e,#fc,#14,#6c,#00,#e4,#ae,#e4,#be,#e8,#16,#a6,#00,#7e,#e2,#54,#66,#fe,#5c,#ea,#00,#94,#3e,#08,#ea,#7e,#50,#be,#00,#48,#7e,#d4,#7e,#5c,#dc,#26,#00,#fe,#aa,#fe,#24,#bc,#a4,#fe,#00,#e8,#de,#e8,#d4,#f4,#22,#aa,#00,#7e,#40,#7c,#54,#54,#48,#b6,#00
	db #74,#aa,#44,#ba,#7c,#28,#ce,#00,#ee,#aa,#fe,#aa,#ba,#aa,#ba,#00,#10,#fe,#92,#92,#fe,#10,#10,#00,#ee,#aa,#7e,#54,#7e,#64,#b6,#00,#7c,#08,#10,#fe,#10,#10,#30,#00,#f2,#0c,#78,#5e,#7a,#4a,#92,#00,#00,#18,#08,#0c,#38,#4c,#34,#00,#06,#08,#24,#24,#42,#82,#00,#00
	db #10,#1e,#12,#6a,#04,#08,#30,#00,#10,#54,#54,#7c,#92,#92,#fe,#00,#10,#28,#de,#00,#fe,#24,#fa,#00,#32,#56,#d2,#5a,#72,#44,#5a,#00,#10,#28,#de,#00,#7c,#44,#7c,#00,#60,#2c,#b2,#62,#66,#aa,#26,#00,#30,#1c,#70,#0e,#f4,#40,#3c,#00,#3e,#5c,#dc,#7e,#76,#48,#76,#00
	db #10,#fe,#82,#ba,#aa,#ba,#86,#00,#c8,#52,#fe,#9c,#dc,#4a,#fe,#00,#7c,#44,#7c,#44,#7c,#2a,#ce,#00,#90,#1e,#aa,#14,#fe,#28,#f6,#00,#fe,#20,#3c,#24,#78,#08,#fe,#00,#10,#fe,#44,#24,#28,#28,#fe,#00,#5c,#54,#fe,#50,#5e,#ea,#16,#00,#44,#54,#4c,#44,#64,#8c,#32,#00
	db #10,#10,#1c,#10,#10,#10,#fe,#00,#54,#fe,#aa,#38,#28,#3a,#ce,#00,#5c,#c8,#fc,#54,#7e,#54,#5c,#00,#ee,#aa,#ee,#82,#ba,#aa,#ba,#00,#18,#0e,#70,#1c,#22,#02,#1c,#00,#5c,#94,#66,#dc,#54,#48,#76,#00,#5c,#80,#7e,#c4,#44,#44,#4c,#00,#dc,#d4,#9c,#d4,#dc,#94,#be,#00
	db #34,#1a,#1e,#f0,#54,#92,#30,#00,#18,#68,#28,#28,#4a,#4c,#88,#00,#60,#20,#2e,#f4,#28,#20,#1e,#00,#2a,#10,#10,#18,#14,#10,#10,#00,#10,#10,#10,#20,#24,#4e,#f2,#00,#10,#7c,#38,#54,#fe,#6c,#b6,#00,#fe,#92,#fe,#92,#aa,#c6,#fe,#00,#5c,#84,#7e,#90,#5a,#ec,#5a,#00
	db #44,#54,#de,#76,#54,#d2,#1e,#00,#54,#fe,#ba,#08,#fe,#10,#30,#00,#48,#fe,#54,#e2,#d4,#48,#76,#00,#10,#0a,#10,#10,#1c,#aa,#da,#00,#28,#48,#fe,#48,#48,#48,#5c,#00,#9e,#50,#1e,#da,#54,#6a,#be,#00,#88,#1c,#8c,#3e,#88,#88,#b6,#00,#ee,#ee,#82,#f6,#de,#a6,#f6,#00
	db #5e,#2a,#d0,#2e,#fa,#74,#aa,#00,#f4,#ae,#c4,#b8,#b6,#d6,#ae,#00,#28,#28,#44,#be,#14,#24,#cc,#00,#e8,#5e,#fa,#fe,#be,#ec,#f6,#00,#00,#18,#0c,#78,#18,#68,#18,#00,#00,#00,#00,#be,#40,#00,#00,#00,#88,#1c,#3e,#d4,#7e,#48,#be,#00,#5c,#c4,#fe,#ea,#5c,#5c,#88,#00
	db #54,#54,#fe,#54,#5c,#40,#7e,#00,#ee,#40,#fe,#e4,#44,#ea,#5e,#00,#5e,#e2,#02,#de,#10,#d2,#de,#00,#5c,#a4,#fe,#48,#ea,#5c,#ea,#00,#08,#7e,#dc,#54,#dc,#54,#9a,#00,#e8,#be,#d4,#76,#f6,#d4,#ec,#00,#00,#20,#3c,#24,#c8,#10,#08,#00,#48,#fe,#d4,#7e,#5c,#72,#6e,#00
	db #ea,#5e,#68,#bc,#6a,#44,#9a,#00,#22,#fa,#22,#fa,#aa,#72,#aa,#00

font56:
	;@o͂ȂI܂ŐĂ̂ɁE񎖌Ӓnς肱
	;PKAqƎH˂o揝GmF
	;B߃E\B{DeZ化܎XSRΉƃov
	;l㗧냍OXUBhxzACcY݌ǂ
	;ʃnJÌRtҏ[@jeBSF
	;^邷ΑҋCKI͏YɑFԋ^
	;ڐVŖSёjnnivf[Tэ_OKY
	;vnkesd`llbg@@@@@@@@@@@@@@@@@@@
	db #00,#00,#00,#00,#00,#00,#00,#00,#74,#5e,#76,#56,#76,#5a,#ea,#00,#cc,#46,#5c,#a4,#c4,#44,#08,#00,#20,#18,#60,#5c,#62,#42,#1c,#00,#60,#2c,#b4,#64,#64,#a6,#24,#00,#1c,#68,#10,#3c,#42,#32,#3c,#00,#54,#fe,#aa,#38,#28,#3a,#ce,#00,#20,#18,#1c,#68,#18,#28,#46,#00
	db #cc,#46,#5c,#84,#9c,#a6,#5a,#00,#60,#36,#e4,#44,#9c,#26,#1c,#00,#00,#88,#84,#82,#a6,#60,#20,#00,#60,#2c,#b2,#62,#62,#a4,#28,#00,#10,#10,#10,#10,#10,#00,#10,#00,#60,#30,#ee,#44,#40,#50,#8e,#00,#00,#00,#00,#18,#64,#08,#10,#00,#10,#28,#de,#00,#7c,#08,#30,#00
	db #18,#4e,#38,#2c,#38,#4c,#3a,#00,#0e,#f8,#14,#20,#20,#10,#0c,#00,#aa,#08,#fe,#f4,#26,#f4,#2a,#00,#0e,#f8,#10,#20,#20,#10,#0c,#00,#00,#38,#54,#a2,#a2,#44,#18,#00,#c0,#5c,#48,#80,#90,#a0,#5e,#00,#00,#00,#00,#30,#30,#00,#00,#00,#1c,#68,#10,#3e,#d0,#10,#0c,#00
	db #30,#10,#20,#30,#6a,#4a,#8c,#00,#10,#fe,#54,#fc,#16,#fc,#30,#00,#38,#fe,#00,#38,#00,#7c,#7c,#00,#10,#7c,#28,#fe,#38,#ca,#ba,#00,#44,#54,#de,#76,#54,#d2,#1e,#00,#cc,#4a,#5c,#84,#9c,#a6,#5a,#00,#68,#34,#24,#24,#04,#08,#10,#00,#00,#3c,#08,#00,#20,#40,#3e,#00
	db #20,#26,#38,#48,#88,#10,#20,#00,#1a,#0e,#7a,#12,#12,#2e,#44,#00,#60,#20,#20,#20,#22,#24,#18,#00,#48,#6e,#b4,#38,#c6,#38,#38,#00,#00,#00,#00,#00,#00,#80,#40,#00,#ee,#aa,#7e,#54,#7e,#64,#b6,#00,#7c,#08,#10,#fe,#10,#10,#30,#00,#30,#18,#64,#3c,#6a,#b2,#64,#00
	db #30,#10,#14,#1c,#20,#40,#3e,#00,#74,#24,#f4,#24,#78,#aa,#2e,#00,#6a,#20,#34,#d2,#56,#50,#a0,#00,#60,#20,#34,#d2,#56,#50,#a0,#00,#30,#1c,#70,#0e,#f4,#40,#3c,#00,#00,#08,#2c,#2a,#76,#10,#08,#00,#3c,#42,#62,#0c,#10,#00,#10,#00,#60,#2c,#b2,#62,#66,#aa,#26,#00
	db #60,#34,#e2,#2c,#32,#e2,#2c,#00,#10,#fe,#10,#7c,#54,#7c,#80,#00,#10,#54,#54,#7c,#92,#92,#fe,#00,#18,#0e,#78,#04,#3c,#40,#3c,#00,#18,#08,#0e,#08,#38,#4c,#3a,#00,#30,#5e,#f4,#5c,#5e,#6a,#56,#00,#76,#b6,#66,#bc,#28,#fe,#38,#00,#0c,#08,#30,#40,#30,#08,#04,#00
	db #24,#f6,#5a,#fa,#aa,#dc,#fa,#00,#fe,#82,#ba,#82,#ba,#aa,#ba,#00,#10,#10,#fe,#10,#10,#10,#7c,#00,#6a,#30,#ee,#44,#40,#50,#8e,#00,#20,#18,#18,#64,#04,#08,#30,#00,#6a,#20,#20,#20,#22,#24,#18,#00,#10,#50,#38,#60,#3a,#22,#1c,#00,#20,#fe,#20,#3c,#54,#48,#b6,#00
	db #88,#1c,#3e,#d4,#7e,#48,#be,#00,#00,#1c,#e2,#02,#04,#18,#00,#00,#18,#48,#7c,#52,#b2,#a2,#54,#00,#30,#1e,#e2,#42,#04,#08,#30,#00,#02,#42,#24,#24,#04,#08,#30,#00,#3e,#42,#de,#56,#5e,#42,#46,#00,#30,#18,#66,#34,#d8,#28,#1e,#00,#c6,#f8,#aa,#dc,#dc,#b2,#ae,#00
	db #0a,#64,#2e,#f4,#2c,#20,#1e,#00,#10,#fe,#10,#38,#54,#ba,#10,#00,#52,#34,#7e,#02,#3e,#02,#7e,#00,#3e,#5c,#dc,#7e,#76,#48,#76,#00,#fe,#10,#fe,#92,#d6,#fe,#82,#00,#2e,#fa,#5e,#2a,#fe,#74,#aa,#00,#28,#7e,#ea,#6a,#7e,#48,#48,#00,#7c,#44,#44,#7c,#28,#2a,#ce,#00
	db #28,#fc,#14,#7c,#50,#3e,#d2,#00,#00,#18,#08,#0c,#38,#4c,#34,#00,#08,#fe,#ee,#c0,#dc,#14,#3e,#00,#14,#fe,#dc,#fe,#dc,#3e,#08,#00,#08,#fc,#a8,#fe,#a4,#fe,#14,#00,#00,#20,#3c,#24,#c8,#10,#08,#00,#10,#28,#fe,#10,#7c,#10,#fe,#00,#74,#5e,#b4,#24,#ca,#00,#aa,#00
	db #7e,#40,#7c,#54,#54,#48,#b6,#00,#22,#fe,#12,#5a,#26,#52,#86,#00,#10,#fe,#ba,#30,#da,#2c,#da,#00,#06,#08,#24,#24,#42,#82,#00,#00,#0c,#70,#0e,#72,#04,#08,#30,#00,#1a,#0e,#f8,#28,#18,#08,#10,#00,#10,#fe,#54,#10,#fe,#38,#d6,#00,#7c,#54,#7c,#54,#7c,#ca,#ba,#00
	db #10,#10,#10,#28,#28,#44,#82,#00,#50,#fe,#50,#5c,#d4,#68,#d6,#00,#10,#10,#1c,#10,#10,#10,#fe,#00,#10,#fe,#44,#24,#28,#28,#fe,#00,#50,#7e,#90,#10,#7c,#10,#fe,#00,#68,#4c,#32,#e6,#10,#10,#08,#00,#1c,#68,#10,#3c,#42,#02,#3c,#00,#00,#ce,#72,#44,#44,#7e,#40,#00
	db #14,#1e,#12,#62,#04,#08,#30,#00,#60,#20,#20,#22,#24,#28,#30,#00,#00,#0c,#74,#08,#18,#24,#c2,#00,#5c,#fe,#1c,#aa,#3c,#d6,#e2,#00,#0c,#70,#fe,#54,#fe,#38,#d6,#00,#00,#00,#00,#00,#40,#a0,#40,#00,#6c,#24,#48,#00,#00,#00,#00,#00,#54,#54,#fe,#54,#5c,#40,#7e,#00
	db #10,#fe,#10,#78,#28,#10,#ee,#00,#ee,#42,#e2,#ee,#a8,#ea,#ee,#00,#0e,#72,#0c,#08,#08,#10,#20,#00,#0c,#08,#10,#28,#c8,#08,#08,#00,#00,#22,#92,#52,#04,#08,#30,#00,#18,#0e,#70,#1c,#22,#02,#1c,#00,#94,#36,#14,#f6,#54,#66,#be,#00,#ca,#46,#5c,#a4,#c4,#44,#08,#00
	db #6a,#c2,#d4,#6a,#76,#62,#7e,#00,#30,#50,#24,#7c,#a6,#c8,#10,#00,#94,#be,#dc,#ce,#fc,#5c,#aa,#00,#10,#7e,#42,#7a,#5e,#42,#7e,#00,#28,#28,#44,#be,#14,#24,#cc,#00,#2a,#10,#14,#1c,#20,#40,#3e,#00,#08,#9c,#aa,#aa,#dc,#48,#10,#00,#28,#fe,#28,#fe,#10,#7c,#7c,#00
	db #f2,#0c,#78,#5e,#7a,#4a,#92,#00,#fe,#48,#6a,#ac,#68,#4a,#8e,#00,#18,#48,#7c,#52,#b2,#a6,#56,#00,#00,#08,#24,#24,#42,#82,#00,#00,#06,#04,#34,#08,#14,#20,#c0,#00,#18,#0e,#7a,#12,#12,#2e,#44,#00,#88,#3e,#94,#14,#94,#98,#be,#00,#08,#fe,#b4,#fe,#a0,#ec,#0c,#00
	db #7c,#44,#7c,#44,#7c,#2a,#ce,#00,#fe,#6a,#7e,#ea,#7e,#c8,#3e,#00,#10,#fe,#92,#fe,#92,#92,#fe,#00,#00,#0e,#72,#02,#04,#08,#30,#00,#38,#38,#7c,#5c,#74,#ca,#ba,#00,#12,#7c,#18,#fe,#20,#dc,#1c,#00,#48,#dc,#c8,#7e,#54,#5c,#54,#00,#88,#3e,#94,#3a,#98,#9a,#aa,#00
	db #10,#54,#10,#7c,#10,#fe,#10,#00,#6a,#fe,#a0,#be,#50,#fe,#2a,#00,#34,#1e,#e2,#42,#04,#08,#30,#00,#00,#00,#0c,#74,#18,#10,#20,#00,#00,#0c,#70,#00,#00,#3e,#c0,#00,#0c,#70,#0e,#f0,#10,#10,#20,#00,#00,#00,#0c,#08,#10,#68,#08,#00,#20,#10,#20,#64,#62,#a4,#3c,#00
	db #1c,#6a,#10,#3e,#d0,#10,#0c,#00,#48,#dc,#48,#7e,#c4,#7e,#d4,#00,#00,#10,#3c,#18,#34,#5a,#32,#00,#10,#10,#54,#52,#92,#10,#30,#00,#44,#5e,#f2,#be,#da,#74,#9a,#00,#0c,#64,#24,#24,#04,#08,#10,#00,#00,#00,#08,#30,#10,#1c,#60,#00,#00,#40,#20,#02,#04,#18,#60,#00
	db #10,#1e,#12,#6a,#04,#08,#30,#00,#44,#7e,#e4,#7c,#6e,#f4,#2a,#00,#18,#0e,#f8,#28,#18,#08,#10,#00,#ca,#46,#5c,#84,#9c,#a6,#5a,#00,#48,#9c,#48,#fe,#44,#7e,#54,#00,#40,#7e,#b8,#7c,#54,#24,#d2,#00,#3c,#20,#38,#20,#fe,#28,#76,#00,#50,#dc,#28,#c8,#3e,#c8,#c8,#00
	db #20,#14,#24,#aa,#b2,#20,#de,#00,#0c,#70,#fe,#10,#fe,#10,#30,#00,#4c,#94,#48,#b6,#48,#e0,#4c,#00,#10,#fe,#12,#22,#22,#42,#86,#00,#aa,#08,#be,#22,#be,#a2,#a6,#00,#0c,#64,#2e,#f4,#2c,#20,#1e,#00,#fe,#b2,#de,#b2,#be,#d4,#9a,#00,#10,#fe,#40,#7c,#54,#ca,#ba,#00
	db #5c,#94,#7e,#c4,#7e,#54,#4c,#00,#00,#00,#04,#fe,#00,#00,#00,#00,#10,#fe,#92,#7c,#28,#18,#e6,#00,#34,#1c,#70,#0e,#f4,#40,#3c,#00,#38,#c8,#7c,#44,#7c,#7c,#c6,#00,#54,#fe,#d4,#7e,#5c,#54,#5c,#00,#48,#d4,#3e,#c8,#1c,#c8,#fe,#00,#fe,#7c,#7c,#fe,#54,#ca,#ba,#00
	db #ee,#aa,#fe,#aa,#ba,#aa,#ba,#00,#28,#7c,#28,#28,#fe,#00,#c6,#00,#58,#de,#e8,#48,#5c,#48,#7e,#00,#20,#7c,#54,#54,#54,#54,#fe,#00,#10,#28,#de,#00,#7c,#44,#7c,#00,#be,#2a,#1c,#dc,#7e,#48,#be,#00,#10,#28,#de,#00,#ee,#ea,#08,#00,#f6,#a4,#fe,#ac,#fe,#aa,#b6,#00
	db #72,#2a,#fa,#2a,#72,#a2,#26,#00,#08,#fc,#a8,#be,#e8,#1c,#2a,#00,#7e,#42,#7e,#42,#7e,#42,#7e,#00,#22,#fc,#58,#2e,#fa,#72,#aa,#00,#7e,#42,#42,#7e,#42,#42,#7e,#00,#84,#7e,#fc,#54,#fe,#d4,#aa,#00,#10,#fe,#40,#40,#40,#40,#3e,#00,#7c,#04,#24,#28,#10,#28,#c6,#00
	db #88,#1c,#8c,#3e,#88,#88,#b6,#00,#2a,#e4,#46,#44,#44,#48,#30,#00,#38,#c8,#3c,#fe,#14,#7c,#30,#00,#7e,#54,#7e,#54,#46,#54,#be,#00,#10,#7c,#54,#7c,#30,#10,#ee,#00,#22,#5a,#ea,#6a,#42,#72,#b6,#00,#24,#24,#fa,#5e,#60,#3e,#ce,#00,#30,#00,#32,#d4,#58,#94,#32,#00
	db #88,#1c,#3e,#d4,#5c,#6a,#be,#00,#44,#fe,#10,#fe,#5c,#5c,#9c,#00,#04,#0a,#76,#02,#04,#08,#30,#00,#0a,#70,#0e,#f0,#10,#10,#20,#00,#00,#00,#08,#38,#08,#1e,#60,#00,#00,#00,#00,#be,#40,#00,#00,#00,#0c,#66,#3c,#e4,#24,#08,#10,#00,#24,#fe,#24,#6c,#76,#a4,#24,#00
	db #98,#1c,#a8,#3e,#80,#9c,#9c,#00,#52,#fe,#52,#fa,#ee,#52,#7a,#00,#00,#7c,#00,#38,#00,#00,#fe,#00,#5c,#fe,#54,#ea,#fe,#62,#6a,#00,#10,#7c,#fe,#28,#fe,#7c,#10,#00,#2a,#fe,#2c,#4e,#5c,#ac,#7e,#00,#62,#7a,#aa,#7a,#22,#fa,#aa,#00,#28,#4e,#d8,#4e,#48,#4e,#48,#00
	db #ee,#44,#54,#54,#28,#28,#28,#00,#18,#24,#42,#42,#42,#24,#18,#00,#70,#20,#20,#20,#20,#22,#7e,#00,#7e,#22,#28,#38,#28,#20,#70,#00,#fe,#92,#10,#10,#10,#10,#38,#00,#7e,#22,#28,#38,#28,#22,#7e,#00,#10,#10,#28,#28,#7c,#44,#ee,#00,#c6,#44,#6c,#54,#54,#44,#ee,#00
	db #28,#fe,#3c,#18,#fe,#34,#dc,#00,#48,#94,#6e,#80,#5c,#d4,#5c,#00,#30,#1c,#68,#18,#34,#d2,#10,#00,#00,#00,#00,#54,#24,#08,#30,#00,#30,#10,#10,#18,#14,#10,#10,#00


font_sr0u:
	db 22*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#28,#4e,#d8,#4e,#48,#4e,#48,#00,#7e,#48,#5c,#5c,#48,#6a,#98,#00,#00,#0c,#74,#08,#18,#24,#c2,#00
	db #62,#7a,#aa,#7a,#22,#fa,#aa,#00,#00,#00,#00,#54,#24,#08,#30,#00,#98,#1c,#a8,#3e,#80,#9c,#9c,#00,#fe,#10,#ba,#ba,#ba,#82,#fe,#00
	db #7e,#22,#28,#38,#28,#22,#7e,#00,#24,#fe,#24,#6c,#76,#a4,#24,#00,#52,#fe,#52,#fa,#ee,#52,#7a,#00,#fe,#fe,#fe,#fe,#fe,#fe,#fe,#00
	db #7e,#22,#28,#38,#28,#20,#70,#00,#10,#10,#28,#28,#7c,#44,#ee,#00,#c6,#44,#6c,#54,#54,#44,#ee,#00,#18,#24,#42,#42,#42,#24,#18,#00
	db #70,#20,#20,#20,#20,#22,#7e,#00,#ee,#44,#54,#54,#28,#28,#28,#00,#10,#28,#d6,#10,#5c,#50,#fe,#00,#fe,#92,#10,#10,#10,#10,#38,#00
	db #00,#0e,#72,#02,#04,#08,#30,#00,#10,#1e,#12,#6a,#04,#08,#30,#00
font_sr0d:
	db 18
	db #0c,#64,#24,#24,#04,#08,#10,#00,#30,#1e,#f0,#10,#10,#20,#40,#00,#c8,#48,#c8,#88,#d0,#54,#fa,#00,#48,#5e,#ea,#40,#4a,#7e,#56,#00
	db #10,#fe,#12,#22,#22,#42,#86,#00,#00,#7c,#00,#38,#00,#00,#fe,#00,#18,#0e,#f8,#18,#28,#d8,#08,#00,#10,#7c,#fe,#28,#fe,#7c,#10,#00
	db #ea,#ae,#bc,#ee,#6c,#ac,#6e,#00,#c8,#48,#ea,#6c,#c8,#d4,#62,#00,#24,#fe,#24,#6c,#76,#a4,#24,#00,#5c,#fe,#54,#ea,#fe,#62,#6a,#00
	db #48,#6e,#b4,#48,#fe,#5c,#6a,#00,#98,#1c,#a8,#3e,#80,#9c,#9c,#00,#40,#20,#40,#22,#04,#18,#60,#00,#2a,#fe,#2c,#4e,#5c,#ac,#7e,#00
	db #52,#fe,#52,#fa,#ee,#52,#7a,#00,#00,#00,#00,#00,#00,#00,#00,#00
font_sr1u:
	db 21*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#fe,#fe,#fe,#fe,#fe,#fe,#fe,#00,#0c,#70,#0e,#72,#04,#08,#30,#00,#be,#22,#be,#28,#a8,#a4,#c2,#00
	db #14,#1e,#12,#62,#04,#08,#30,#00,#48,#5e,#ea,#40,#4a,#7e,#56,#00,#00,#ce,#72,#44,#44,#7e,#40,#00,#20,#fe,#20,#3c,#54,#48,#b6,#00
	db #0c,#08,#10,#28,#c8,#08,#08,#00,#06,#04,#34,#08,#14,#20,#c0,#00,#c8,#48,#ea,#6c,#c8,#d4,#62,#00,#10,#fe,#82,#28,#28,#44,#82,#00
	db #c8,#48,#c8,#88,#d0,#54,#fa,#00,#ea,#ae,#bc,#ee,#6c,#ac,#6e,#00,#00,#1e,#e4,#08,#30,#10,#08,#00,#10,#fe,#12,#22,#22,#42,#86,#00
	db #00,#40,#20,#02,#04,#18,#60,#00,#48,#6e,#b4,#48,#fe,#5c,#6a,#00,#00,#00,#00,#be,#40,#00,#00,#00,#04,#0a,#76,#02,#04,#08,#30,#00
	db #52,#fe,#52,#fa,#ee,#52,#7a,#00
font_sr1d:
	db 7
	db #10,#fe,#7c,#44,#7c,#2a,#ce,#00,#48,#7e,#d4,#5c,#7e,#e2,#2a,#00,#08,#7e,#4e,#7c,#6a,#5c,#aa,#00,#ea,#ae,#bc,#ee,#6c,#ac,#6e,#00
	db #10,#10,#92,#92,#92,#92,#fe,#00,#10,#fe,#10,#38,#54,#ba,#10,#00,#00,#00,#00,#00,#00,#00,#00,#00
font_sr2u:
	db 8*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#fe,#fe,#fe,#fe,#fe,#fe,#fe,#00,#10,#7c,#54,#7c,#30,#10,#ee,#00,#10,#10,#54,#52,#92,#10,#30,#00
	db #50,#7e,#90,#10,#7c,#10,#fe,#00,#10,#7c,#28,#fe,#7c,#44,#7c,#00,#42,#52,#52,#52,#52,#42,#82,#00,#92,#6c,#ba,#10,#fe,#38,#d6,#00
font_sr2d:
	db 0
font_sr3u:
	db 21*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#fe,#fe,#fe,#fe,#fe,#fe,#fe,#00,#1a,#26,#40,#4e,#42,#22,#1c,#00,#ee,#44,#44,#7c,#44,#44,#ee,#00
	db #10,#10,#28,#28,#7c,#44,#ee,#00,#7c,#22,#22,#3c,#22,#22,#7c,#00,#7e,#22,#28,#38,#28,#20,#70,#00,#c6,#44,#6c,#54,#54,#44,#ee,#00
	db #ce,#44,#64,#54,#4c,#44,#e4,#00,#18,#24,#42,#42,#42,#24,#18,#00,#78,#24,#22,#22,#22,#24,#78,#00,#38,#10,#10,#10,#10,#10,#38,#00
	db #70,#20,#20,#20,#20,#22,#7e,#00,#7e,#22,#28,#38,#28,#22,#7e,#00,#ee,#44,#54,#54,#28,#28,#28,#00,#7c,#22,#22,#3c,#20,#20,#70,#00
	db #60,#20,#40,#00,#00,#00,#00,#00,#f8,#44,#44,#78,#48,#44,#e6,#00,#3a,#46,#40,#3c,#02,#62,#5c,#00,#fe,#92,#10,#10,#10,#10,#38,#00
	db #ee,#44,#28,#10,#10,#10,#38,#00
font_sr3d:
	db 17
	db #7e,#22,#28,#38,#28,#22,#7e,#00,#ee,#44,#44,#7c,#44,#44,#ee,#00,#10,#10,#28,#28,#7c,#44,#ee,#00,#1a,#26,#40,#40,#40,#22,#1c,#00
	db #78,#24,#22,#22,#22,#24,#78,#00,#ce,#44,#64,#54,#4c,#44,#e4,#00,#18,#24,#42,#42,#42,#24,#18,#00,#38,#10,#10,#10,#10,#10,#38,#00
	db #ec,#48,#50,#70,#48,#44,#ee,#00,#70,#20,#20,#20,#20,#22,#7e,#00,#ee,#44,#44,#44,#44,#44,#38,#00,#ee,#44,#54,#54,#28,#28,#28,#00
	db #f8,#44,#44,#78,#48,#44,#e6,#00,#3a,#46,#40,#3c,#02,#62,#5c,#00,#fe,#92,#10,#10,#10,#10,#38,#00,#7e,#22,#28,#38,#28,#20,#70,#00
	db #00,#00,#00,#00,#00,#00,#00,#00
font_sr4u:
	db 15*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#7e,#22,#28,#38,#28,#22,#7e,#00,#1a,#26,#40,#4e,#42,#22,#1c,#00,#ee,#44,#44,#7c,#44,#44,#ee,#00
	db #10,#10,#28,#28,#7c,#44,#ee,#00,#7c,#22,#22,#3c,#22,#22,#7c,#00,#78,#24,#22,#22,#22,#24,#78,#00,#ce,#44,#64,#54,#4c,#44,#e4,#00
	db #18,#24,#42,#42,#42,#24,#18,#00,#38,#10,#10,#10,#10,#10,#38,#00,#70,#20,#20,#20,#20,#22,#7e,#00,#f8,#44,#44,#78,#48,#44,#e6,#00
	db #3a,#46,#40,#3c,#02,#62,#5c,#00,#fe,#92,#10,#10,#10,#10,#38,#00,#7e,#44,#08,#10,#20,#42,#7e,#00
font_sr4d:
	db 23
	db #00,#00,#00,#30,#30,#00,#00,#00,#10,#00,#30,#10,#10,#10,#38,#00,#00,#00,#38,#40,#38,#04,#78,#00,#48,#6e,#b4,#10,#fe,#10,#ee,#00
	db #30,#18,#66,#34,#d8,#28,#1e,#00,#54,#be,#46,#fe,#56,#54,#6a,#00,#c0,#5c,#48,#80,#90,#a0,#5e,#00,#30,#50,#24,#7c,#a6,#c8,#10,#00
	db #7e,#22,#28,#38,#28,#22,#7e,#00,#10,#10,#28,#28,#7c,#44,#ee,#00,#7c,#22,#22,#3c,#22,#22,#7c,#00,#78,#24,#22,#22,#22,#24,#78,#00
	db #c6,#44,#6c,#54,#54,#44,#ee,#00,#ce,#44,#64,#54,#4c,#44,#e4,#00,#18,#24,#42,#42,#42,#24,#18,#00,#38,#10,#10,#10,#10,#10,#38,#00
	db #ec,#48,#50,#70,#48,#44,#ee,#00,#70,#20,#20,#20,#20,#22,#7e,#00,#ee,#44,#44,#44,#44,#44,#38,#00,#18,#24,#42,#42,#5a,#24,#1a,#00
	db #f8,#44,#44,#78,#48,#44,#e6,#00,#3a,#46,#40,#3c,#02,#62,#5c,#00,#00,#00,#00,#00,#00,#00,#00,#00
font_sr5u:
	db 14*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#fe,#fe,#fe,#fe,#fe,#fe,#fe,#00,#30,#1e,#f0,#10,#10,#20,#40,#00,#10,#fe,#28,#38,#fe,#aa,#ba,#00
	db #0c,#08,#10,#28,#c8,#08,#08,#00,#08,#7e,#40,#48,#48,#54,#ba,#00,#7e,#42,#7e,#54,#7a,#48,#be,#00,#10,#fe,#10,#fe,#aa,#fe,#92,#00
	db #0a,#70,#0e,#f0,#10,#10,#20,#00,#44,#fe,#24,#bc,#2e,#f4,#ea,#00,#6a,#08,#fe,#14,#5c,#52,#fa,#00,#5c,#fe,#54,#ea,#fe,#62,#6a,#00
	db #00,#00,#00,#be,#40,#00,#00,#00,#0a,#66,#3c,#e4,#24,#08,#10,#00
font_sr5d:
	db 0
font_sr6u:
	db 12*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#92,#fe,#a4,#0e,#ee,#60,#52,#00,#10,#fe,#10,#7c,#00,#7c,#7c,#00,#10,#fe,#38,#38,#fe,#00,#c6,#00
	db #c8,#48,#c8,#88,#d0,#54,#fa,#00,#fe,#b2,#f4,#be,#f6,#24,#fc,#00,#10,#7c,#7c,#40,#7e,#02,#aa,#00,#00,#00,#04,#fe,#00,#00,#00,#00
	db #54,#de,#74,#de,#d4,#54,#5e,#00,#10,#fe,#24,#7e,#58,#42,#9c,#00,#28,#7c,#7c,#fe,#44,#38,#fe,#00,#a0,#3e,#9c,#7e,#b4,#be,#8c,#00
font_sr6d:
	db 0
font_sr7u:
	db 20*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#fe,#fe,#fe,#fe,#fe,#fe,#fe,#00,#7e,#62,#dc,#7a,#5c,#ec,#1a,#00,#28,#7a,#28,#fe,#06,#64,#6a,#00
	db #10,#1e,#12,#62,#04,#08,#30,#00,#3c,#54,#dc,#48,#7e,#5c,#6a,#00,#5e,#50,#fe,#5a,#5a,#e4,#1a,#00,#00,#00,#10,#1e,#74,#08,#08,#00
	db #28,#6e,#f4,#6a,#64,#62,#4c,#00,#5e,#b0,#5e,#da,#da,#94,#ea,#00,#00,#40,#20,#02,#04,#18,#60,#00,#04,#2a,#54,#c8,#04,#02,#00,#00
	db #00,#0c,#74,#08,#18,#24,#c2,#00,#28,#5e,#c8,#4e,#54,#44,#5e,#00,#18,#68,#28,#28,#4a,#4c,#88,#00,#28,#fe,#2a,#f4,#aa,#fc,#aa,#00
	db #10,#fe,#44,#7c,#08,#10,#30,#00,#40,#20,#40,#22,#04,#18,#60,#00,#28,#7e,#ea,#7e,#6a,#7e,#48,#00,#0c,#66,#3c,#e4,#24,#08,#10,#00
font_sr7d:
	db 0
font_sr8u:
	db 15*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#84,#14,#9e,#36,#94,#92,#9e,#00,#28,#fe,#40,#7e,#d6,#3a,#56,#00,#fa,#8e,#de,#ae,#da,#fa,#8a,#00
	db #88,#08,#94,#3a,#80,#9c,#9c,#00,#00,#7c,#00,#00,#00,#04,#fe,#00,#54,#fe,#54,#d4,#7e,#d4,#64,#00,#10,#fe,#7c,#28,#fe,#44,#7c,#00
	db #54,#fe,#92,#7c,#10,#38,#d6,#00,#10,#fe,#92,#92,#fe,#10,#10,#00,#d2,#64,#52,#9c,#76,#74,#2a,#00,#10,#10,#fe,#10,#10,#28,#c6,#00
	db #fe,#92,#92,#fe,#92,#92,#fe,#00,#48,#fe,#28,#4e,#fa,#4a,#4e,#00,#10,#fe,#92,#7c,#28,#18,#e6,#00
font_sr8d:
	db 0
font_sr9u:
	db 15*8
	db #00,#00,#00,#00,#00,#00,#00,#00,#5e,#ec,#2c,#40,#fe,#56,#5e,#00,#28,#fe,#2a,#f4,#aa,#fc,#aa,#00,#48,#5e,#ea,#40,#4a,#7e,#56,#00
	db #28,#4e,#d8,#4e,#48,#4e,#48,#00,#10,#fe,#12,#22,#22,#42,#86,#00,#70,#2e,#fa,#2a,#7a,#aa,#2e,#00,#7c,#08,#7c,#54,#fe,#22,#c6,#00
	db #4e,#ea,#ac,#ea,#8a,#ac,#e8,#00,#62,#7a,#aa,#7a,#22,#fa,#aa,#00,#5c,#80,#7e,#c4,#44,#44,#4c,#00,#90,#1e,#2a,#08,#88,#94,#a2,#00
	db #3e,#4a,#fe,#4a,#5e,#48,#50,#00,#10,#7c,#7c,#40,#7e,#aa,#fa,#00,#00,#7c,#00,#00,#00,#04,#fe,#00
font_sr9d:
	db 19
	db #5e,#ec,#2c,#40,#fe,#56,#5e,#00,#12,#7c,#18,#fe,#24,#de,#08,#00,#10,#f4,#38,#d6,#7c,#44,#7c,#00,#48,#90,#4a,#fe,#54,#48,#76,#00
	db #7e,#5a,#7e,#5a,#7e,#5a,#b6,#00,#10,#fe,#10,#bc,#a4,#bc,#fe,#00,#fe,#10,#10,#7c,#10,#14,#fe,#00,#be,#22,#be,#28,#a8,#a4,#c2,#00
	db #44,#fe,#7c,#10,#fe,#10,#ee,#00,#be,#4a,#0a,#d2,#66,#40,#be,#00,#3e,#4a,#fe,#4a,#5e,#48,#50,#00,#44,#fe,#54,#f6,#54,#da,#be,#00
	db #88,#3e,#ac,#3e,#aa,#a4,#da,#00,#c8,#7e,#dc,#5c,#c0,#f2,#6e,#00,#7c,#08,#10,#fe,#10,#10,#30,#00,#28,#fe,#2a,#f4,#aa,#fc,#aa,#00
	db #10,#fe,#24,#7e,#58,#42,#9c,#00,#10,#7c,#7c,#40,#7e,#aa,#fa,#00,#00,#00,#00,#00,#00,#00,#00,#00

font_sr_dst:
	dw #4800+#0f*8, #4800+#1f*8, #4800+#2f*8, #4800+#3f*8, #4800+#4f*8, #4800+#5f*8, #4800+#6f*8, #4800+#7f*8
	dw #4800+#8f*8, #4800+#9f*8, #4800+#af*8, #4800+#bf*8, #4800+#cf*8, #4800+#df*8, #4800+#e0*8, #4800+#e1*8
	dw #4800+#e2*8, #4800+#e3*8, #4800+#e4*8, #4800+#e5*8, #4800+#e6*8, #4800+#e7*8, #4800+#e8*8, #4800+#e9*8
	dw #4800+#ea*8, #4800+#eb*8, #4800+#ec*8, #4800+#ed*8, #4800+#ee*8, #4800+#ef*8, #4800+#f0*8, #4800+#f1*8
	dw #4800+#f2*8, #4800+#f3*8, #4800+#f4*8, #4800+#f5*8, #4800+#f6*8, #4800+#f7*8, #4800+#f8*8, #4800+#f9*8
	dw #4800+#fa*8, #4800+#fb*8, #4800+#fc*8, #4800+#fd*8, #4800+#fe*8
prog_end:
END
