;============================
;
;	#9c10
;
;============================
include "obj\\valis-cmn-52800.publics"

val_45F4_in_rom_0106 EQU 09C10H
val_8468_in_rom_0242 EQU 09C10H
;val_F321_in_rom_44F6 EQU 02f18H
val_21_in_rom_44F6 EQU 0c9H

STAGE_BANK_ADDR		equ		#4000

org #9c10

prog_start:
PROC
		di
		push	ix
		push	iy
		push	hl
		push	de
		push	bc
		push	af
		exx
		ex		af,af'
		push	ix
		push	iy
		push	hl
		push	de
		push	bc
		push	af

		; 荞ݕtւ
		ld		a, #c9
		ld		(HTIMI), a
		ld		hl, (HTIMI+1)
		ld		(HTIMSV), hl

		;RAMɃvO]
		ld		a, BANK_CMN
		ld		(#6000), a
		ld		hl, #4000+CMN_SRC
		ld		de, CMN_BASE
		ld		bc, CMN_SIZE
		ldir
		xor		a
		ld		(#6000),  a
		ld		(BNKSV0), a
		ei

		;|[gԍ擾
		ld		a,(WRVDP)
		ld		c, a

		call	disable_display
		call	stop_sound
		call	mmlbgm_stop

		;ʏ
		call	clear_vram
		call	cls_image_all
		call	cls_text

		;XvCg\~
		ld		de, #1b00
		call	set_vram_adr
		ld		a, #d0
		out		(c), a

		call	enable_display

		;Xe[Wʏ
		xor		a
		call	#00d5
		or		a
		jr		z, _stage_proc
		ld		(#f120),a
	_stage_proc:
		ld		a,(#f120)
		ld		hl, _stage_bank-1
		call	add_hl_a
		ld		a,(hl)
		ld		hl, STAGE_BANK_ADDR
		call	interbank_call

		call	cls_image

		xor		a
		call	#00d5
		or		a
		jr		z, _end_cheat
		ld		(#f294),a
		ld		a, (#ef0e)
		add		a, #10
		ld		(#ef0e), a
	_end_cheat:

		;ʕ\~
		call	disable_display

		; vramNA
		call	clear_vram

		;ʕ\ĊJ
		call	enable_display

		; oN߂
		xor		a
		call	set_bank

		; 荞ݖ߂
		di
		ld		a, #c3
		ld		(HTIMI), a
		ld		hl, (HTIMSV)
		ld		(HTIMI+1), hl

		pop		af
		pop		bc
		pop		de
		pop		hl
		pop		iy
		pop		ix
		ex		af,af'
		exx
		pop		af
		pop		bc
		pop		de
		pop		hl
		pop		iy
		pop		ix

		ei
_4105:
		jp		#45f4

	; STAGEʏBANKԍ
	_stage_bank:
		db	BANK_ST1, BANK_ST2, BANK_ST3, BANK_ST4, BANK_ST5, BANK_STE, BANK_ST1, BANK_ST1

ENDP

prog_end:
end
