;======================================
; stage 1
;======================================
include "obj\\valis-cmn-52800.publics"

org #4000


;============================================================================
;
;  image0
;
;============================================================================
PUBLIC	proc_s1_image0
proc_s1_image0:
PROC
		ld		hl, image0_pcgptn_00_O
		ld		(WK_WRTIMG_SRC), hl
		ld		de, 256*3+128*1 + 8*7
		ld		(WK_WRTIMG_DST), de
		ld		b, 8
		call	write_image_vert_left_atastroke
		ld		de, 256*3+128*1 + 8*14
		ld		(WK_WRTIMG_DST), de
		ld		b, 7
		call	write_image_vert_left_atastroke

		call	set_frame_proc_stall_masked

	;Î~@22*2t[
		ld		a, 32*3+16*1 + 8
		ld		b, 22
		call	frame_proc_stall

	;XN[x8@305*2t[ (8*38)
		ld		b, 8
	_loop:
		push	bc
		ld		b, 38
		call	frame_proc_stall

		dec		a

		halt
		call	put_image_from_a_masked
		push	af
		call	write_image_vert_left
		pop		af
		halt
		call	put_image_from_a_masked
		push	af
		call	write_image_vert_left
		pop		af

		pop		bc
		djnz	_loop

		call	set_frame_proc_stall_nomasked
		ret
ENDP


image0_pcgptn_00_O: ;0x10b8 7,12,1,12,1
	db	#27, #d6, #64, #7b, #39, #5a, #aa, #cf
	db	#8a, #04, #9e, #22, #01, #a0, #10, #ec
	db	#ec, #8e, #c4, #07, #02, #d2, #0b, #03
	db	#80, #4c, #96, #91, #90, #13, #f4, #a1
	db	#20, #00, #00, #e6, #0e, #06, #0a, #0b
	db	#fb, #00, #35, #b1, #e0, #08, #01, #fa
	db	#f7, #0f, #fd, #00, #02, #bb, #08, #e2
	db	#80, #f3, #7b, #df, #5f, #00, #fe, #02
	db	#02, #0a, #04, #7e, #fe, #bd, #08, #00
	db	#18, #09, #7d, #f3, #cb, #cb, #a0, #c1
	db	#08, #00, #45, #e0, #f8, #7e, #cc, #14
	db	#a7, #0e, #cf, #32, #14, #f4, #57, #e3
	db	#c7, #b6, #f1, #c3, #c7, #ec, #ec, #d1
	db	#e1, #e1, #e1, #e1, #71, #e1, #fd, #74
	db	#ed, #f1, #ec, #e1, #e1, #c1, #d1, #e1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #ca, #b1
	db	#31, #11, #11, #a1, #b2, #a6, #a6, #b6
	db	#c3, #11, #c1, #61, #ca, #dc, #d6, #c3
	db	#c1, #c2, #a1, #11, #ca, #c1, #dc, #86
	db	#96, #cb, #c1, #ca, #cb, #11, #c1, #b2
	db	#a6, #a6, #f6, #ca, #61, #ca, #a1, #11
	db	#ba, #86, #ca, #c1, #cb, #c6, #96, #c6
	db	#c1, #11, #c1, #d1, #c7, #c7, #c1, #f1
	db	#e1, #fe, #ec, #e1, #f1, #f1, #c3, #ed

image0_pcgptn_00_E: ;0x1038 7,12,1,12,0
	db	#fc, #7c, #99, #e1, #d3, #c4, #c2, #9a
	db	#05, #09, #29, #0d, #03, #13, #89, #e4
	db	#0e, #19, #0e, #0c, #85, #08, #e3, #88
	db	#00, #81, #08, #00, #00, #e0, #e4, #7c
	db	#00, #00, #00, #11, #71, #60, #e7, #f6
	db	#fc, #00, #00, #e4, #20, #b0, #fc, #fc
	db	#f5, #f4, #00, #00, #00, #f9, #f3, #3f
	db	#df, #13, #7f, #5f, #5f, #00, #00, #fc
	db	#fc, #f4, #7a, #7e, #fc, #bc, #24, #00
	db	#00, #00, #7d, #fb, #d3, #c3, #ef, #3e
	db	#00, #00, #0a, #4e, #00, #18, #11, #03
	db	#10, #00, #10, #c8, #e8, #09, #55, #0c
	db	#91, #71, #d1, #d1, #91, #d1, #f1, #31
	db	#c1, #d1, #41, #d1, #61, #51, #31, #81
	db	#f1, #e1, #f1, #d1, #c1, #51, #21, #c1
	db	#11, #21, #31, #11, #11, #b1, #81, #31
	db	#11, #11, #11, #21, #81, #c1, #c1, #c1
	db	#61, #11, #11, #21, #61, #61, #c1, #61
	db	#61, #61, #11, #11, #11, #61, #61, #c3
	db	#21, #d1, #61, #61, #61, #11, #11, #81
	db	#c1, #21, #c1, #61, #21, #61, #61, #11
	db	#11, #22, #61, #61, #61, #81, #c1, #21
	db	#11, #11, #31, #31, #11, #41, #31, #31
	db	#31, #11, #d1, #61, #e1, #e1, #d1, #c1

image0_pcgptn_01_O: ;0x10b0 6,12,1,12,1
	db	#fc, #ec, #3c, #5f, #7f, #58, #7b, #f3
	db	#41, #2b, #e1, #60, #80, #96, #c5, #e1
	db	#9a, #c1, #2b, #60, #77, #04, #9d, #c0
	db	#02, #7f, #3c, #c8, #1c, #f5, #2c, #02
	db	#00, #00, #00, #1a, #2b, #04, #af, #fd
	db	#e3, #01, #b6, #c4, #7d, #fd, #fd, #ee
	db	#ab, #fc, #fc, #00, #a7, #89, #01, #08
	db	#fd, #1c, #3c, #fd, #e3, #00, #fe, #1e
	db	#60, #1b, #86, #ed, #23, #81, #00, #00
	db	#7f, #0b, #96, #1d, #40, #80, #60, #0f
	db	#00, #06, #24, #80, #10, #20, #ef, #d0
	db	#4a, #9d, #a2, #35, #6d, #2c, #22, #e8
	db	#f1, #ec, #f1, #e6, #e1, #fe, #fc, #f1
	db	#e1, #e1, #e1, #d1, #d1, #e1, #ed, #b6
	db	#54, #61, #c1, #c1, #c4, #e1, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c1, #c3, #b1, #e1
	db	#11, #11, #11, #ba, #cb, #e6, #c2, #c3
	db	#ca, #d1, #c1, #b6, #c1, #c1, #61, #cb
	db	#ca, #81, #a1, #11, #a1, #a6, #ec, #d6
	db	#b1, #f6, #fc, #cb, #ca, #11, #c1, #b6
	db	#b1, #cb, #c1, #61, #c1, #cb, #11, #11
	db	#a6, #86, #a2, #c3, #a8, #96, #ec, #61
	db	#11, #71, #c1, #c1, #d1, #e1, #c3, #f1
	db	#ed, #c1, #c7, #c1, #73, #51, #e2, #ed

image0_pcgptn_01_E: ;0x1030 6,12,1,12,0
	db	#89, #38, #09, #35, #6f, #e9, #d1, #c1
	db	#a9, #01, #42, #c4, #23, #a1, #c2, #c0
	db	#61, #e9, #45, #84, #04, #bb, #20, #0d
	db	#04, #80, #e3, #04, #00, #40, #d0, #2c
	db	#00, #00, #00, #00, #2e, #08, #f9, #e3
	db	#e3, #0a, #08, #b9, #7e, #fc, #f9, #a0
	db	#a0, #e4, #00, #00, #10, #77, #df, #df
	db	#21, #e3, #c2, #f8, #e3, #00, #00, #e4
	db	#1d, #18, #fc, #30, #f0, #80, #00, #00
	db	#00, #b2, #4b, #1f, #bf, #df, #1f, #10
	db	#00, #41, #9a, #1e, #56, #11, #90, #29
	db	#25, #4e, #62, #e2, #00, #6f, #cc, #dd
	db	#c1, #d1, #51, #e1, #e1, #e1, #f1, #e1
	db	#d1, #e1, #d1, #c1, #c1, #d1, #e1, #f4
	db	#b1, #51, #41, #51, #d1, #c1, #31, #21
	db	#21, #21, #21, #21, #11, #61, #61, #c1
	db	#11, #11, #11, #11, #61, #21, #61, #61
	db	#61, #c1, #a1, #c1, #61, #61, #21, #81
	db	#61, #21, #11, #11, #61, #c1, #61, #c1
	db	#31, #21, #d1, #d1, #61, #11, #11, #21
	db	#a1, #81, #b1, #31, #a1, #81, #11, #11
	db	#11, #c2, #81, #81, #21, #21, #81, #31
	db	#11, #61, #71, #31, #c1, #c1, #d1, #d1
	db	#c1, #71, #d1, #71, #11, #31, #51, #21

image0_pcgptn_02_O: ;0x10a8 5,12,1,12,1
	db	#55, #e7, #c0, #64, #7e, #7e, #3f, #9f
	db	#07, #03, #4a, #0a, #01, #60, #a7, #87
	db	#10, #2d, #a0, #78, #61, #b4, #e8, #21
	db	#07, #c0, #0c, #08, #90, #dc, #c8, #02
	db	#00, #00, #00, #30, #f9, #80, #9e, #76
	db	#08, #00, #f6, #0c, #f0, #f4, #87, #69
	db	#67, #a1, #80, #00, #0e, #ec, #d2, #e7
	db	#eb, #04, #9f, #89, #e0, #80, #1f, #10
	db	#21, #3e, #7f, #1b, #f3, #1d, #10, #00
	db	#83, #89, #9b, #91, #35, #87, #b1, #b1
	db	#08, #03, #1b, #f7, #0f, #e7, #e5, #ac
	db	#71, #ee, #b2, #57, #a3, #fa, #f5, #51
	db	#f1, #d1, #e1, #b1, #f1, #f1, #94, #e1
	db	#ec, #a1, #61, #d1, #e1, #fc, #ec, #f9
	db	#f8, #ec, #e1, #54, #e4, #c5, #f1, #c1
	db	#c1, #c1, #c1, #31, #c1, #cb, #b1, #c1
	db	#11, #11, #11, #c1, #81, #c1, #ca, #c3
	db	#fc, #11, #c1, #ec, #fa, #ca, #b9, #fa
	db	#81, #86, #ba, #11, #ca, #ca, #c1, #cb
	db	#61, #c6, #61, #e1, #ec, #c1, #c1, #a6
	db	#dc, #fa, #fb, #d6, #cb, #c1, #c1, #11
	db	#ca, #a6, #c1, #b1, #a6, #c1, #61, #c1
	db	#c1, #c1, #c1, #c7, #c7, #c1, #c3, #dc
	db	#e1, #c7, #32, #74, #c3, #c7, #fe, #e6

image0_pcgptn_02_E: ;0x1028 5,12,1,12,0
	db	#29, #41, #8c, #2c, #84, #d4, #3d, #0f
	db	#93, #17, #03, #14, #04, #03, #00, #7c
	db	#30, #30, #57, #c4, #50, #c0, #d1, #c0
	db	#00, #00, #c0, #c4, #44, #c4, #97, #98
	db	#00, #00, #00, #c9, #fb, #79, #19, #79
	db	#f1, #00, #01, #f1, #08, #fc, #78, #40
	db	#c7, #0c, #00, #00, #08, #e8, #e8, #e0
	db	#e1, #c8, #c9, #17, #19, #00, #80, #4f
	db	#de, #00, #00, #f7, #f3, #ce, #0e, #00
	db	#00, #40, #c9, #3a, #00, #d8, #13, #0c
	db	#00, #00, #0c, #00, #04, #60, #a0, #40
	db	#0a, #ba, #9e, #a8, #41, #28, #02, #24
	db	#e1, #31, #c1, #41, #41, #51, #71, #e1
	db	#d1, #51, #51, #c1, #c1, #51, #11, #71
	db	#f7, #e1, #41, #31, #e1, #f1, #41, #41
	db	#11, #11, #21, #21, #31, #61, #61, #61
	db	#11, #11, #11, #61, #21, #a1, #61, #61
	db	#61, #11, #61, #d1, #41, #d1, #71, #d1
	db	#21, #c2, #11, #11, #61, #61, #61, #61
	db	#21, #21, #31, #c1, #81, #11, #b1, #21
	db	#61, #11, #11, #c1, #61, #b1, #a1, #11
	db	#11, #31, #81, #a1, #11, #61, #31, #a1
	db	#11, #11, #51, #11, #d1, #71, #41, #61
	db	#c1, #d1, #51, #21, #51, #d1, #c1, #71

image0_pcgptn_03_O: ;0x10a0 4,12,1,12,1
	db	#f0, #79, #f1, #14, #0c, #79, #68, #e8
	db	#6a, #13, #d8, #10, #06, #83, #7f, #60
	db	#70, #2f, #b8, #9c, #08, #20, #dc, #0f
	db	#c0, #72, #18, #c5, #80, #09, #13, #51
	db	#00, #00, #00, #07, #47, #4e, #68, #92
	db	#9f, #00, #d7, #d7, #03, #dc, #36, #58
	db	#08, #b5, #03, #00, #07, #2f, #9f, #cf
	db	#07, #0f, #65, #3f, #7f, #00, #7b, #f4
	db	#f7, #68, #ec, #f0, #f5, #76, #60, #00
	db	#e2, #fe, #99, #b5, #a5, #af, #fe, #c6
	db	#22, #40, #b5, #4c, #a0, #f6, #02, #12
	db	#1f, #44, #fd, #29, #52, #d3, #24, #b3
	db	#f1, #e1, #d1, #ec, #f1, #e1, #f1, #71
	db	#e1, #e1, #e4, #61, #f1, #a1, #d1, #e4
	db	#f4, #e4, #f1, #e4, #e1, #51, #c4, #d1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #f1, #c1
	db	#11, #11, #11, #61, #cb, #c1, #a6, #ca
	db	#ca, #11, #c1, #c1, #b1, #c6, #b1, #c1
	db	#c1, #c3, #c1, #11, #b1, #c1, #c1, #cb
	db	#d6, #fb, #e3, #c1, #c1, #11, #c1, #cb
	db	#ca, #a6, #c3, #da, #ca, #cb, #a1, #11
	db	#ba, #c1, #b2, #ca, #cb, #ca, #c3, #c6
	db	#c1, #c1, #c1, #c2, #c7, #c1, #e1, #f1
	db	#e1, #ec, #ec, #d1, #f1, #f1, #ec, #fe

image0_pcgptn_03_E: ;0x1020 4,12,1,12,0
	db	#a8, #b2, #97, #00, #39, #14, #d8, #fe
	db	#94, #a4, #21, #ee, #c9, #0f, #24, #13
	db	#3b, #70, #33, #91, #97, #01, #0f, #c0
	db	#c0, #c4, #e3, #00, #40, #85, #ad, #26
	db	#00, #00, #00, #98, #07, #7a, #9d, #98
	db	#92, #00, #00, #c3, #bc, #02, #49, #b7
	db	#d6, #d0, #f4, #00, #b0, #27, #2f, #8f
	db	#7f, #40, #0b, #7f, #7f, #00, #00, #70
	db	#33, #93, #7b, #70, #f1, #72, #12, #00
	db	#00, #fe, #64, #c5, #85, #0c, #3c, #38
	db	#00, #01, #48, #80, #00, #66, #35, #8d
	db	#80, #39, #00, #83, #a1, #24, #d3, #00
	db	#61, #d1, #c1, #11, #d1, #c1, #d1, #61
	db	#c1, #d1, #a1, #51, #61, #41, #31, #a1
	db	#b1, #b1, #e1, #d1, #41, #41, #d1, #21
	db	#c1, #21, #21, #11, #31, #61, #a1, #b1
	db	#11, #11, #11, #31, #81, #61, #c1, #61
	db	#81, #11, #11, #91, #a1, #31, #61, #b1
	db	#b1, #61, #a1, #11, #31, #61, #61, #61
	db	#c1, #c1, #61, #61, #61, #11, #11, #81
	db	#61, #21, #61, #c1, #61, #81, #61, #11
	db	#11, #81, #81, #91, #81, #61, #61, #21
	db	#11, #21, #71, #41, #11, #41, #c1, #31
	db	#c1, #d1, #11, #c1, #31, #e1, #d1, #11

image0_pcgptn_04_O: ;0x1098 3,12,1,12,1
	db	#6d, #7e, #45, #cc, #17, #7e, #f8, #e3
	db	#9a, #1f, #02, #19, #88, #90, #14, #20
	db	#97, #e7, #91, #43, #05, #01, #0d, #37
	db	#21, #93, #87, #cf, #28, #70, #02, #01
	db	#00, #00, #00, #10, #28, #cf, #6d, #96
	db	#a8, #c0, #a4, #86, #10, #3f, #92, #fe
	db	#78, #73, #a4, #24, #c0, #ec, #90, #f3
	db	#66, #36, #ed, #95, #06, #00, #03, #10
	db	#0e, #49, #30, #b5, #04, #5d, #06, #00
	db	#07, #71, #01, #06, #4f, #5f, #7e, #77
	db	#62, #10, #c0, #4d, #72, #02, #88, #01
	db	#83, #e3, #7b, #f1, #41, #3f, #b0, #9f
	db	#d4, #e1, #e6, #f6, #cb, #f4, #f1, #e1
	db	#61, #c5, #f1, #e1, #e1, #71, #c1, #e1
	db	#d1, #ec, #ec, #ec, #c1, #c1, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#11, #11, #11, #c1, #62, #ca, #cb, #a6
	db	#cb, #c1, #c1, #b1, #c1, #ca, #f1, #81
	db	#b1, #b1, #ca, #c1, #c1, #c1, #c1, #b6
	db	#f1, #ec, #c1, #c1, #b1, #11, #c1, #f1
	db	#c1, #e1, #f6, #c1, #b1, #61, #b1, #11
	db	#b1, #d1, #fc, #fc, #ca, #c2, #c1, #81
	db	#c1, #c1, #e1, #c1, #c1, #e1, #c1, #d1
	db	#ec, #d1, #d1, #d1, #ed, #f1, #ec, #fe

image0_pcgptn_04_E: ;0x1018 3,12,1,12,0
	db	#16, #0e, #1e, #04, #e4, #f0, #0a, #18
	db	#c9, #c8, #b5, #82, #84, #f8, #c0, #16
	db	#27, #00, #4f, #0d, #02, #67, #07, #02
	db	#03, #01, #01, #81, #41, #02, #01, #02
	db	#00, #00, #00, #e7, #c7, #c6, #64, #61
	db	#a0, #90, #00, #39, #4f, #1f, #6c, #fe
	db	#80, #a0, #24, #08, #04, #36, #ee, #04
	db	#d1, #c9, #c1, #c2, #f0, #00, #00, #c3
	db	#01, #22, #c0, #e2, #e1, #19, #19, #00
	db	#00, #07, #26, #c1, #47, #f7, #f7, #e6
	db	#90, #00, #31, #80, #01, #a5, #23, #a0
	db	#60, #f0, #e1, #33, #b8, #40, #0f, #00
	db	#b1, #e1, #71, #d1, #51, #e1, #e1, #d1
	db	#51, #d1, #e1, #51, #51, #61, #41, #61
	db	#31, #11, #d1, #c1, #31, #31, #21, #c1
	db	#21, #c1, #c1, #c1, #31, #31, #61, #b1
	db	#11, #11, #11, #61, #81, #91, #81, #21
	db	#81, #61, #11, #61, #b1, #d1, #b1, #21
	db	#a1, #31, #61, #a1, #61, #61, #a1, #21
	db	#e1, #61, #81, #61, #61, #11, #11, #c1
	db	#a1, #c1, #31, #61, #61, #21, #a1, #11
	db	#11, #b1, #d1, #61, #61, #61, #61, #21
	db	#a1, #11, #c1, #31, #31, #c1, #31, #31
	db	#d1, #c1, #21, #c1, #c1, #e1, #d1, #11

image0_pcgptn_05_O: ;0x1090 2,12,1,12,1
	db	#e4, #f1, #f9, #0f, #04, #6c, #2d, #21
	db	#7b, #37, #25, #c0, #4c, #5a, #0a, #10
	db	#fd, #b1, #70, #20, #10, #10, #18, #08
	db	#08, #00, #01, #39, #10, #11, #08, #09
	db	#40, #00, #00, #e0, #38, #a1, #ee, #21
	db	#08, #00, #00, #4f, #b1, #fe, #78, #e0
	db	#cb, #8a, #c3, #40, #00, #e0, #dc, #c1
	db	#0e, #ed, #b4, #1f, #1f, #00, #e6, #e4
	db	#6e, #60, #e0, #c0, #2c, #03, #80, #00
	db	#49, #02, #06, #5c, #f8, #e9, #7c, #c2
	db	#05, #00, #23, #52, #d0, #71, #7c, #0e
	db	#1a, #b0, #86, #24, #bd, #30, #77, #f9
	db	#f1, #e6, #ca, #b1, #e1, #a1, #54, #f4
	db	#61, #51, #51, #f1, #b6, #74, #f4, #ec
	db	#d1, #d1, #51, #51, #f1, #e1, #51, #e1
	db	#21, #11, #c1, #c1, #31, #c1, #b1, #c1
	db	#c1, #11, #11, #c1, #b6, #a6, #c3, #b1
	db	#d1, #11, #11, #a1, #a8, #61, #a6, #a6
	db	#61, #c1, #c1, #c1, #11, #cb, #c2, #ca
	db	#a6, #c1, #cb, #61, #cb, #11, #c1, #61
	db	#c1, #b1, #81, #b1, #c1, #61, #b1, #11
	db	#b1, #86, #a2, #c1, #c1, #c1, #ca, #c1
	db	#c1, #11, #c1, #c1, #31, #e1, #c1, #e1
	db	#d1, #fd, #ed, #f1, #d1, #f1, #c3, #fe

image0_pcgptn_05_E: ;0x1010 2,12,1,12,0
	db	#da, #8e, #0f, #1f, #8b, #fd, #ce, #5e
	db	#3f, #09, #d8, #3d, #80, #bb, #97, #8a
	db	#88, #7c, #ac, #18, #20, #00, #60, #fc
	db	#00, #00, #00, #00, #08, #0e, #3f, #6b
	db	#00, #00, #00, #0d, #03, #12, #ef, #c7
	db	#b1, #00, #00, #01, #4e, #7c, #84, #07
	db	#c0, #5c, #2c, #00, #00, #00, #3f, #d8
	db	#f1, #ef, #80, #0f, #1f, #00, #00, #6e
	db	#60, #8c, #ef, #2d, #43, #8e, #00, #00
	db	#06, #71, #f8, #f8, #f0, #e9, #48, #e7
	db	#a0, #00, #00, #24, #21, #86, #44, #05
	db	#ee, #40, #38, #da, #78, #8c, #f3, #00
	db	#d1, #71, #41, #41, #51, #41, #d1, #c1
	db	#41, #41, #41, #41, #74, #61, #b1, #d1
	db	#41, #41, #41, #41, #e1, #11, #41, #41
	db	#11, #11, #11, #11, #21, #b1, #a1, #61
	db	#11, #11, #11, #61, #21, #c1, #81, #a1
	db	#b1, #11, #11, #21, #21, #21, #31, #31
	db	#21, #a1, #61, #11, #11, #11, #61, #d1
	db	#21, #61, #91, #21, #61, #11, #11, #31
	db	#81, #a1, #31, #61, #b1, #31, #11, #11
	db	#a1, #c2, #81, #b1, #61, #61, #81, #61
	db	#b1, #11, #11, #71, #21, #c1, #51, #31
	db	#31, #31, #c1, #d1, #c1, #e1, #d1, #11

image0_pcgptn_06_O: ;0x1088 1,12,1,12,1
	db	#05, #f2, #03, #aa, #19, #7c, #f0, #e2
	db	#e2, #0b, #26, #62, #1f, #c7, #77, #84
	db	#fc, #1f, #1f, #79, #06, #50, #c7, #02
	db	#9c, #fe, #cc, #be, #3e, #28, #80, #10
	db	#00, #00, #00, #55, #0e, #9f, #ee, #ca
	db	#c0, #20, #01, #55, #4d, #7e, #e4, #89
	db	#de, #0c, #80, #90, #00, #51, #7f, #2c
	db	#83, #90, #9f, #5c, #1b, #00, #07, #15
	db	#c0, #24, #12, #26, #93, #c0, #23, #00
	db	#90, #81, #71, #fe, #1f, #5f, #3f, #3f
	db	#38, #00, #04, #64, #4b, #62, #46, #49
	db	#a0, #23, #73, #b0, #76, #1a, #df, #c2
	db	#fe, #c3, #f3, #e6, #fd, #fe, #f1, #e4
	db	#d1, #d1, #e1, #c1, #d1, #d1, #51, #e4
	db	#b4, #e2, #53, #c7, #51, #31, #c2, #e2
	db	#c1, #c1, #c1, #c1, #c1, #c1, #e1, #c1
	db	#11, #11, #11, #c1, #c1, #61, #c6, #c1
	db	#b1, #c1, #61, #c1, #c1, #c1, #ca, #cb
	db	#cb, #c1, #c1, #c1, #11, #c1, #c1, #c1
	db	#ba, #c1, #81, #61, #b1, #11, #c1, #b6
	db	#c1, #ec, #a6, #b6, #c1, #c1, #b1, #11
	db	#c1, #c1, #ca, #c3, #c1, #c1, #c6, #ca
	db	#ca, #11, #71, #c3, #c1, #c1, #c1, #f1
	db	#f3, #e1, #fe, #e1, #c3, #c3, #ec, #e6

image0_pcgptn_06_E: ;0x1008 1,12,1,12,0
	db	#08, #8f, #8f, #1d, #04, #f0, #3d, #e0
	db	#60, #f0, #c8, #10, #c2, #c2, #f1, #30
	db	#30, #7e, #14, #10, #f0, #a8, #c0, #20
	db	#60, #60, #3e, #08, #00, #c4, #4d, #00
	db	#00, #00, #00, #0a, #1f, #4c, #48, #d2
	db	#3a, #dc, #00, #08, #59, #5b, #e4, #81
	db	#9a, #b0, #10, #00, #00, #0e, #4c, #d9
	db	#09, #67, #d7, #9f, #c4, #00, #00, #02
	db	#fe, #cc, #e5, #91, #c0, #93, #14, #00
	db	#4e, #4e, #01, #0f, #4f, #6f, #0f, #0f
	db	#08, #00, #08, #04, #10, #0d, #08, #a6
	db	#01, #d4, #00, #43, #10, #c7, #0c, #11
	db	#e1, #d1, #d1, #71, #31, #d1, #41, #51
	db	#41, #51, #d1, #61, #31, #21, #31, #61
	db	#51, #41, #61, #21, #21, #21, #c1, #c1
	db	#21, #c1, #21, #c1, #11, #31, #c1, #11
	db	#11, #11, #11, #61, #a1, #31, #91, #61
	db	#a1, #b1, #11, #a1, #81, #61, #61, #81
	db	#d1, #a1, #b1, #11, #11, #b1, #81, #a1
	db	#c1, #b1, #21, #31, #61, #11, #11, #31
	db	#a1, #61, #21, #31, #61, #61, #61, #11
	db	#b1, #a1, #91, #81, #61, #61, #91, #91
	db	#61, #11, #31, #71, #31, #31, #31, #61
	db	#e1, #c1, #11, #c1, #41, #71, #31, #71

image0_pcgptn_07_O: ;0x1080 0,12,1,12,1
	db	#11, #07, #95, #0f, #07, #07, #0b, #01
	db	#1a, #7a, #0a, #3f, #61, #08, #8b, #54
	db	#a5, #85, #03, #c7, #cf, #1c, #84, #87
	db	#0d, #20, #60, #e9, #44, #40, #9d, #b7
	db	#30, #00, #00, #e0, #35, #f8, #81, #2a
	db	#97, #a7, #00, #b5, #b7, #92, #4b, #ef
	db	#81, #3f, #80, #80, #00, #66, #eb, #07
	db	#c4, #fc, #f4, #ef, #60, #04, #0a, #8f
	db	#d1, #a0, #b6, #80, #cf, #6b, #9c, #00
	db	#17, #11, #aa, #6e, #08, #1f, #1f, #07
	db	#0f, #f0, #f0, #02, #10, #03, #02, #02
	db	#07, #30, #3f, #a6, #03, #f5, #bd, #7e
	db	#d1, #ec, #c3, #52, #d1, #d1, #f1, #d1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #cb, #c3
	db	#c1, #11, #11, #c1, #61, #a1, #ca, #b6
	db	#ca, #b1, #11, #c1, #c1, #b1, #ca, #61
	db	#f1, #c1, #b1, #c1, #11, #b1, #61, #cb
	db	#a6, #ca, #c1, #ca, #b1, #c1, #c1, #c1
	db	#ca, #c1, #cb, #e1, #c1, #c2, #a1, #11
	db	#c1, #b6, #c1, #c1, #b1, #64, #c4, #b1
	db	#c4, #41, #41, #e1, #41, #c1, #e1, #e1
	db	#e1, #f1, #dc, #ec, #ec, #dc, #71, #d1

image0_pcgptn_07_E: ;0x1000 0,12,1,12,0
	db	#27, #31, #10, #02, #5f, #8f, #d7, #5b
	db	#05, #0d, #17, #06, #0e, #07, #31, #a3
	db	#02, #02, #04, #05, #81, #80, #81, #80
	db	#80, #cc, #90, #10, #28, #e6, #c5, #f0
	db	#00, #00, #00, #04, #8c, #01, #00, #e5
	db	#b7, #50, #00, #08, #9e, #2c, #0f, #ad
	db	#2e, #9f, #1c, #00, #00, #89, #c0, #01
	db	#3b, #f8, #e7, #e0, #8f, #00, #00, #5f
	db	#c5, #1f, #16, #cf, #9e, #9e, #03, #00
	db	#58, #c0, #50, #70, #c0, #08, #00, #20
	db	#04, #00, #00, #f0, #02, #08, #01, #04
	db	#18, #4f, #10, #18, #f8, #20, #79, #fd
	db	#31, #d1, #51, #31, #71, #21, #c1, #21
	db	#31, #21, #21, #c1, #31, #31, #21, #31
	db	#21, #21, #31, #c1, #c1, #21, #31, #c1
	db	#31, #21, #31, #21, #21, #a1, #81, #91
	db	#11, #11, #11, #31, #31, #61, #11, #21
	db	#61, #a1, #11, #31, #61, #61, #81, #21
	db	#a1, #61, #61, #11, #11, #61, #21, #81
	db	#21, #61, #61, #81, #a1, #11, #11, #61
	db	#61, #b1, #91, #b1, #81, #81, #61, #11
	db	#61, #c1, #31, #61, #41, #31, #11, #41
	db	#d1, #11, #11, #41, #31, #41, #61, #d1
	db	#d1, #e1, #31, #d1, #d1, #31, #61, #c1

image0_pcgptn_08_O: ;0x4f0 14,0,1,12,1
	db	#fc, #bc, #0a, #7d, #c0, #c4, #24, #e0
	db	#30, #40, #d8, #0a, #c0, #c0, #80, #80
	db	#80, #80, #01, #83, #80, #b8, #7f, #0a
	db	#05, #02, #03, #10, #03, #13, #36, #fb
	db	#c8, #00, #00, #ba, #86, #10, #5f, #01
	db	#f9, #02, #80, #09, #04, #62, #f0, #48
	db	#c3, #3f, #9f, #1f, #00, #a0, #93, #5d
	db	#cc, #d3, #af, #24, #94, #00, #d8, #a8
	db	#2f, #7b, #c1, #8c, #10, #4f, #60, #20
	db	#18, #00, #08, #0e, #07, #0b, #00, #00
	db	#03, #0f, #0f, #10, #00, #00, #00, #00
	db	#80, #09, #5e, #35, #e7, #7f, #d7, #2a
	db	#e1, #d1, #e1, #d6, #b1, #f1, #a1, #e1
	db	#61, #f1, #c1, #c1, #e1, #e1, #e1, #c1
	db	#d1, #f1, #31, #c1, #c1, #c1, #c1, #c1
	db	#c1, #31, #c1, #c1, #c1, #ca, #96, #cb
	db	#c1, #11, #11, #c1, #c1, #c1, #ca, #f6
	db	#c3, #d1, #d1, #a1, #e1, #b6, #ca, #ca
	db	#c1, #c1, #81, #61, #11, #e1, #c1, #ca
	db	#b6, #ca, #c3, #a2, #b6, #11, #c1, #b2
	db	#61, #c1, #a8, #a6, #c1, #81, #e1, #41
	db	#41, #11, #41, #41, #41, #41, #11, #11
	db	#41, #41, #41, #41, #11, #11, #11, #11
	db	#e1, #e1, #e6, #fe, #c3, #d1, #c3, #fe

image0_pcgptn_08_E: ;0x470 14,0,1,12,0
	db	#24, #f0, #f0, #e2, #f6, #3c, #54, #04
	db	#40, #10, #40, #04, #9e, #20, #20, #00
	db	#81, #30, #00, #01, #00, #03, #03, #27
	db	#03, #01, #00, #03, #00, #c2, #fb, #05
	db	#00, #00, #00, #00, #3b, #8f, #1c, #3d
	db	#b9, #b1, #00, #80, #4b, #9f, #b2, #40
	db	#33, #3f, #1f, #80, #00, #5b, #e1, #40
	db	#20, #03, #63, #53, #63, #00, #00, #56
	db	#77, #7f, #3e, #07, #cf, #5f, #0f, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#40, #7c, #01, #80, #7d, #6e, #37, #10
	db	#d1, #41, #41, #41, #41, #d1, #51, #c1
	db	#51, #c1, #51, #21, #c1, #21, #c1, #11
	db	#21, #c1, #11, #c1, #11, #21, #21, #21
	db	#21, #21, #11, #21, #11, #a1, #c3, #b8
	db	#11, #11, #11, #11, #a1, #b1, #61, #21
	db	#61, #b1, #11, #61, #b1, #c1, #61, #91
	db	#a1, #61, #21, #31, #11, #61, #61, #61
	db	#21, #61, #61, #81, #c1, #11, #11, #81
	db	#31, #61, #21, #c1, #a1, #21, #a1, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#c1, #61, #71, #c1, #d1, #c1, #d1, #d1

image0_pcgptn_09_O: ;0x4e8 13,0,1,12,1
	db	#81, #f1, #f0, #e0, #20, #8f, #0e, #af
	db	#cf, #10, #22, #d6, #db, #8a, #0e, #e6
	db	#a0, #c5, #e8, #4f, #9f, #c0, #80, #88
	db	#01, #03, #42, #23, #e4, #19, #df, #de
	db	#5a, #00, #80, #1a, #af, #05, #b0, #82
	db	#6d, #02, #40, #a0, #08, #b6, #77, #8e
	db	#df, #01, #10, #00, #04, #11, #99, #05
	db	#7e, #5d, #fd, #68, #fa, #00, #03, #34
	db	#05, #b2, #4d, #44, #43, #18, #10, #00
	db	#00, #08, #fc, #bc, #03, #d4, #f6, #14
	db	#9c, #54, #50, #dc, #50, #10, #40, #01
	db	#01, #92, #a4, #2c, #0c, #a3, #5d, #59
	db	#f1, #ec, #f1, #f5, #c5, #e1, #f1, #ec
	db	#c3, #61, #d1, #c1, #eb, #fe, #e1, #d1
	db	#f3, #f1, #a1, #c4, #c1, #f1, #f1, #e1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c3, #c3
	db	#c1, #11, #c1, #c6, #61, #c3, #b6, #e1
	db	#c3, #a1, #c1, #61, #e1, #ca, #c1, #ca
	db	#c1, #b6, #b1, #11, #31, #ca, #c3, #db
	db	#c3, #ca, #61, #c1, #81, #11, #c1, #c1
	db	#a1, #db, #c1, #f1, #c1, #a1, #c1, #11
	db	#11, #c1, #41, #41, #c4, #71, #c1, #71
	db	#41, #71, #71, #41, #71, #c1, #c1, #d1
	db	#61, #e1, #ed, #ed, #e3, #c3, #e3, #e6

image0_pcgptn_09_E: ;0x468 13,0,1,12,0
	db	#62, #f0, #f3, #41, #c6, #1c, #99, #04
	db	#c4, #ec, #00, #09, #2e, #3c, #34, #9e
	db	#ce, #28, #fc, #80, #40, #30, #09, #01
	db	#00, #02, #00, #40, #02, #7e, #7d, #79
	db	#00, #00, #00, #80, #3f, #cd, #4c, #7c
	db	#a4, #f9, #01, #5c, #b4, #90, #bb, #0e
	db	#9f, #1e, #0f, #00, #00, #01, #ab, #07
	db	#1f, #1d, #78, #f8, #f8, #00, #60, #4b
	db	#10, #20, #5e, #2b, #fb, #47, #00, #00
	db	#00, #f0, #f0, #60, #14, #ba, #dc, #c8
	db	#50, #08, #8c, #10, #98, #90, #90, #c0
	db	#00, #45, #53, #11, #31, #f3, #82, #26
	db	#e1, #41, #41, #e1, #a1, #41, #d1, #f1
	db	#41, #51, #11, #51, #51, #e1, #d1, #31
	db	#d1, #d1, #41, #61, #21, #61, #c1, #c1
	db	#11, #c1, #11, #21, #21, #a1, #61, #81
	db	#11, #11, #11, #31, #21, #61, #31, #b1
	db	#61, #61, #61, #31, #c1, #61, #61, #61
	db	#61, #21, #a1, #11, #11, #d1, #61, #c1
	db	#81, #61, #21, #b1, #21, #11, #a1, #b1
	db	#61, #31, #61, #61, #61, #31, #11, #11
	db	#11, #71, #21, #31, #41, #41, #41, #41
	db	#31, #41, #41, #21, #41, #41, #41, #41
	db	#11, #c1, #21, #21, #51, #41, #d1, #71

image0_pcgptn_10_O: ;0x4e0 12,0,1,12,1
	db	#0f, #07, #c7, #83, #e7, #a0, #81, #42
	db	#0c, #32, #72, #f4, #e0, #9b, #da, #de
	db	#bf, #d1, #63, #10, #d8, #06, #04, #9e
	db	#91, #22, #0e, #cc, #df, #eb, #ee, #46
	db	#10, #00, #00, #81, #83, #b8, #f9, #f5
	db	#dc, #35, #08, #40, #c1, #0f, #4f, #4b
	db	#fe, #60, #a8, #32, #00, #63, #db, #98
	db	#06, #7e, #f4, #6d, #05, #01, #ce, #84
	db	#7b, #f3, #e4, #fc, #3f, #72, #82, #00
	db	#10, #78, #30, #a0, #a0, #01, #7b, #ea
	db	#c0, #06, #02, #00, #02, #02, #e2, #e0
	db	#68, #1a, #94, #e1, #e1, #10, #3b, #fb
	db	#d1, #d1, #d1, #f1, #d1, #e1, #61, #c4
	db	#e1, #f1, #e1, #e1, #e4, #e3, #f1, #ed
	db	#d1, #d1, #e1, #e1, #c1, #61, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c3, #ca, #ca, #c3
	db	#e1, #11, #11, #c1, #a8, #a6, #c3, #c3
	db	#c3, #c3, #61, #61, #c1, #c1, #61, #61
	db	#ca, #c1, #c1, #c1, #11, #61, #c1, #c3
	db	#ec, #c1, #c3, #c1, #fc, #61, #c1, #b6
	db	#c1, #c1, #c1, #61, #c3, #c1, #c1, #11
	db	#a1, #c1, #a4, #e1, #a1, #c1, #c3, #c1
	db	#c1, #c1, #31, #11, #c1, #c1, #c1, #e1
	db	#d1, #e1, #ed, #f7, #d7, #fc, #c7, #c7

image0_pcgptn_10_E: ;0x460 12,0,1,12,0
	db	#03, #c0, #6c, #46, #32, #43, #9e, #18
	db	#3f, #0d, #41, #7a, #1b, #a7, #87, #99
	db	#0d, #3a, #90, #89, #20, #b1, #9a, #01
	db	#0e, #0c, #20, #20, #00, #0a, #8e, #3e
	db	#af, #00, #00, #7f, #7c, #5e, #7e, #79
	db	#f8, #34, #00, #80, #80, #07, #0f, #8e
	db	#1c, #3d, #66, #c4, #00, #41, #4d, #5f
	db	#7a, #7a, #72, #7e, #4c, #00, #01, #4a
	db	#bb, #f2, #f6, #f8, #10, #61, #60, #00
	db	#28, #38, #02, #53, #05, #86, #20, #e0
	db	#02, #00, #00, #00, #00, #a0, #00, #48
	db	#ac, #44, #1a, #1e, #fb, #f9, #03, #ee
	db	#31, #c1, #c1, #e1, #c1, #d1, #41, #51
	db	#41, #d1, #41, #41, #61, #d1, #51, #e1
	db	#31, #c1, #c1, #c1, #51, #31, #31, #51
	db	#21, #21, #21, #21, #11, #61, #61, #91
	db	#c1, #11, #11, #61, #21, #21, #91, #61
	db	#61, #61, #11, #31, #91, #61, #21, #31
	db	#81, #a1, #a1, #61, #11, #21, #91, #61
	db	#61, #61, #61, #61, #81, #11, #61, #21
	db	#61, #61, #61, #21, #61, #61, #a1, #11
	db	#61, #81, #c1, #41, #41, #31, #61, #61
	db	#41, #11, #11, #11, #11, #31, #11, #31
	db	#c1, #61, #31, #61, #c1, #41, #d1, #d1

image0_pcgptn_11_O: ;0x4d8 11,0,1,12,1
	db	#87, #ce, #8f, #06, #87, #85, #8d, #1e
	db	#85, #86, #8e, #06, #0e, #07, #86, #7c
	db	#86, #84, #84, #84, #04, #04, #0e, #04
	db	#0c, #0c, #04, #04, #0c, #4c, #8c, #1c
	db	#0c, #0c, #0e, #8e, #8c, #04, #04, #06
	db	#04, #0c, #04, #04, #9f, #0d, #8f, #90
	db	#04, #82, #01, #0e, #06, #01, #4a, #4e
	db	#8c, #87, #09, #88, #06, #0c, #0c, #8d
	db	#0e, #9d, #0d, #0d, #05, #04, #04, #04
	db	#0c, #04, #04, #0d, #0c, #04, #0c, #05
	db	#85, #05, #04, #0c, #0c, #01, #01, #ef
	db	#65, #08, #24, #13, #f2, #fc, #07, #0c
	db	#e1, #c1, #e1, #f1, #f1, #f1, #f1, #d1
	db	#e1, #e1, #e1, #f1, #e1, #e1, #fc, #c3
	db	#e1, #f1, #f1, #e1, #d1, #f1, #f1, #f1
	db	#e1, #f1, #f1, #f1, #f1, #d1, #f1, #d1
	db	#f1, #f1, #d1, #d1, #e1, #f1, #f1, #d1
	db	#f1, #f1, #f1, #f1, #61, #c1, #c1, #c1
	db	#c1, #b1, #c1, #c1, #c1, #d1, #c1, #c1
	db	#b1, #e1, #c1, #f1, #e1, #d1, #e1, #61
	db	#ec, #61, #61, #e1, #f1, #e1, #f1, #f1
	db	#f1, #f1, #f1, #d1, #f1, #e1, #f1, #d1
	db	#e1, #e1, #c1, #d1, #d1, #71, #e1, #c7
	db	#c1, #71, #e1, #e3, #f5, #f7, #ec, #ec

image0_pcgptn_11_E: ;0x458 11,0,1,12,0
	db	#08, #87, #52, #8b, #08, #cb, #c2, #80
	db	#4a, #c9, #01, #89, #83, #03, #03, #8e
	db	#d8, #c8, #c8, #4e, #0e, #0b, #11, #0b
	db	#81, #00, #08, #08, #00, #87, #10, #84
	db	#10, #00, #84, #8c, #12, #0a, #0a, #0e
	db	#0b, #93, #08, #49, #07, #0f, #8f, #0f
	db	#0e, #0d, #0e, #07, #0c, #0e, #1f, #0f
	db	#03, #08, #86, #06, #89, #06, #81, #07
	db	#01, #0f, #87, #82, #0a, #0b, #89, #08
	db	#03, #08, #88, #87, #01, #00, #03, #0e
	db	#1a, #0a, #00, #01, #09, #08, #08, #01
	db	#28, #78, #52, #64, #8d, #06, #f0, #31
	db	#61, #51, #c1, #e1, #c1, #d1, #c1, #41
	db	#61, #d1, #c1, #41, #d1, #e1, #e1, #d1
	db	#c1, #e1, #d1, #c1, #21, #31, #31, #31
	db	#c1, #11, #e1, #d1, #11, #a1, #31, #c1
	db	#61, #11, #c1, #c1, #61, #e1, #e1, #c1
	db	#61, #61, #61, #61, #21, #61, #61, #a1
	db	#a1, #a1, #a1, #61, #a1, #a1, #a1, #61
	db	#a1, #c1, #b1, #e1, #c1, #c1, #c1, #31
	db	#81, #31, #21, #c1, #b1, #31, #c1, #e1
	db	#c1, #61, #c1, #c1, #b1, #11, #c1, #c1
	db	#c1, #c1, #11, #c1, #c1, #21, #c1, #d1
	db	#71, #31, #31, #d1, #21, #c1, #d1, #d1

image0_pcgptn_12_O: ;0x4d0 10,0,1,12,1
	db	#80, #71, #61, #63, #3b, #1f, #ef, #31
	db	#32, #02, #36, #19, #3a, #2c, #9a, #3a
	db	#34, #e3, #68, #f8, #3b, #02, #bc, #40
	db	#8c, #80, #c0, #20, #71, #06, #05, #08
	db	#00, #00, #07, #07, #03, #07, #07, #04
	db	#01, #02, #00, #00, #01, #01, #00, #01
	db	#01, #01, #01, #01, #00, #01, #01, #02
	db	#04, #03, #03, #03, #01, #00, #01, #01
	db	#00, #01, #83, #80, #80, #01, #01, #00
	db	#00, #02, #82, #83, #80, #01, #80, #81
	db	#81, #00, #00, #00, #38, #90, #84, #02
	db	#1e, #31, #e8, #f6, #d5, #04, #87, #32
	db	#c7, #fc, #fc, #96, #e1, #d4, #e1, #f4
	db	#f4, #f1, #f1, #61, #c1, #c1, #e1, #e3
	db	#fe, #f4, #ec, #e4, #c3, #c1, #c1, #e1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#11, #11, #c1, #61, #e1, #61, #61, #c1
	db	#d1, #b1, #11, #11, #e1, #e1, #11, #a1
	db	#31, #31, #b1, #c1, #11, #b1, #61, #d1
	db	#c1, #c1, #c1, #c1, #c1, #11, #c1, #c1
	db	#11, #31, #c1, #c1, #c1, #b1, #c1, #11
	db	#11, #61, #c1, #c1, #c1, #61, #c1, #c1
	db	#c1, #11, #11, #11, #c1, #e1, #d1, #dc
	db	#e1, #d1, #ec, #c3, #fc, #ed, #f3, #ed

image0_pcgptn_12_E: ;0x450 10,0,1,12,0
	db	#13, #18, #58, #f9, #15, #8c, #e7, #c6
	db	#51, #75, #49, #f0, #04, #01, #64, #f4
	db	#f3, #7e, #e0, #f8, #78, #38, #10, #24
	db	#00, #00, #00, #90, #00, #04, #0e, #04
	db	#00, #00, #00, #03, #07, #03, #02, #02
	db	#06, #04, #00, #00, #00, #02, #00, #00
	db	#00, #00, #00, #00, #00, #02, #02, #02
	db	#02, #01, #03, #03, #00, #00, #00, #00
	db	#00, #00, #00, #01, #01, #00, #00, #00
	db	#00, #00, #00, #02, #02, #00, #02, #02
	db	#00, #00, #00, #00, #00, #04, #8d, #00
	db	#63, #8d, #13, #72, #20, #f3, #48, #c4
	db	#96, #f1, #f1, #71, #d1, #c3, #51, #b1
	db	#61, #e1, #41, #41, #31, #51, #c1, #d1
	db	#e4, #d1, #f4, #e1, #d1, #31, #61, #c1
	db	#11, #11, #11, #21, #11, #61, #b1, #61
	db	#11, #11, #11, #21, #a1, #31, #31, #31
	db	#b1, #a1, #11, #11, #11, #b1, #11, #11
	db	#11, #11, #11, #11, #11, #61, #31, #c1
	db	#61, #61, #61, #61, #11, #11, #11, #11
	db	#11, #11, #11, #a1, #31, #11, #11, #11
	db	#11, #11, #11, #61, #31, #11, #a1, #a1
	db	#11, #11, #11, #11, #11, #c1, #c1, #11
	db	#61, #c1, #51, #d1, #e1, #c1, #d1, #21

image0_pcgptn_13_O: ;0x4c8 9,0,1,12,1
	db	#f8, #68, #10, #b2, #90, #04, #5e, #6f
	db	#9e, #4c, #2c, #48, #1a, #8f, #60, #f8
	db	#9e, #37, #0c, #cf, #1e, #40, #12, #88
	db	#f1, #c5, #e7, #e3, #b8, #04, #f0, #c0
	db	#00, #00, #fa, #86, #2f, #f8, #d7, #cc
	db	#e0, #c0, #00, #4d, #16, #6c, #80, #86
	db	#82, #84, #99, #80, #00, #71, #f9, #fb
	db	#82, #c1, #03, #02, #01, #11, #40, #be
	db	#7f, #08, #2f, #79, #4d, #fe, #40, #40
	db	#02, #0a, #f6, #9f, #20, #93, #37, #4d
	db	#42, #20, #00, #20, #aa, #4b, #04, #f3
	db	#69, #36, #c7, #f9, #e0, #12, #0d, #9d
	db	#e1, #f1, #c1, #e1, #c1, #f1, #f1, #e6
	db	#f1, #b1, #e4, #54, #54, #d1, #e1, #e1
	db	#f5, #e4, #f3, #f3, #f1, #e1, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #61, #c1
	db	#11, #11, #c1, #c8, #ca, #81, #ca, #ca
	db	#81, #b1, #11, #c1, #c1, #c1, #e1, #c1
	db	#c1, #b1, #c1, #c1, #11, #b6, #c1, #81
	db	#c1, #c1, #a1, #d1, #e1, #c1, #d1, #c3
	db	#c3, #c1, #c1, #ca, #ca, #63, #f1, #c1
	db	#61, #c1, #ca, #c1, #fc, #b1, #c3, #c1
	db	#c1, #a1, #11, #c1, #c1, #c1, #e1, #c3
	db	#e1, #d1, #d1, #e1, #f1, #ec, #ec, #e1

image0_pcgptn_13_E: ;0x448 9,0,1,12,0
	db	#3c, #92, #62, #01, #00, #3a, #a4, #1c
	db	#48, #de, #d2, #10, #24, #76, #1a, #0c
	db	#3d, #1e, #8f, #87, #41, #3d, #21, #13
	db	#0a, #e2, #c0, #c0, #40, #f8, #fc, #78
	db	#00, #00, #00, #78, #28, #fe, #d0, #e0
	db	#e0, #18, #00, #80, #e0, #00, #78, #00
	db	#07, #02, #06, #00, #00, #08, #fb, #f3
	db	#f1, #c3, #f8, #b8, #3a, #00, #c4, #80
	db	#83, #77, #07, #19, #1d, #38, #b8, #80
	db	#00, #c1, #01, #0b, #03, #20, #03, #d9
	db	#b9, #18, #00, #00, #10, #30, #63, #00
	db	#16, #fb, #ae, #8e, #39, #e9, #08, #c2
	db	#c1, #c1, #31, #c1, #11, #41, #d1, #e1
	db	#e1, #51, #61, #b1, #d1, #c1, #61, #31
	db	#e1, #e1, #d1, #d1, #41, #31, #31, #31
	db	#31, #21, #c1, #21, #31, #a1, #31, #61
	db	#11, #11, #11, #21, #61, #21, #91, #81
	db	#21, #a1, #11, #31, #b1, #11, #c1, #11
	db	#61, #a1, #a1, #11, #11, #21, #61, #21
	db	#a1, #61, #61, #61, #31, #11, #c1, #61
	db	#61, #b1, #61, #91, #81, #21, #a1, #61
	db	#11, #b1, #d1, #91, #61, #61, #81, #61
	db	#b1, #61, #11, #11, #31, #31, #c1, #11
	db	#c1, #c1, #c1, #c1, #31, #d1, #71, #31

image0_pcgptn_14_O: ;0x4c0 8,0,1,12,1
	db	#54, #66, #19, #cf, #ef, #7e, #3c, #34
	db	#32, #d8, #c3, #25, #b8, #30, #03, #01
	db	#0a, #33, #7f, #61, #dd, #24, #0a, #7d
	db	#6f, #07, #01, #24, #07, #18, #2c, #1c
	db	#80, #a0, #0e, #1c, #11, #01, #73, #c6
	db	#13, #1f, #00, #10, #c2, #34, #13, #83
	db	#d2, #09, #da, #f0, #c0, #4e, #40, #3e
	db	#5b, #c0, #3f, #5a, #48, #40, #40, #42
	db	#26, #40, #7b, #70, #78, #72, #73, #13
	db	#40, #7c, #7d, #c0, #f5, #9a, #c0, #c0
	db	#de, #c0, #c0, #40, #80, #c0, #50, #b7
	db	#84, #1a, #77, #8c, #3e, #c3, #3d, #af
	db	#e3, #fd, #e6, #ec, #e1, #c3, #d1, #dc
	db	#c3, #c1, #c1, #c1, #c1, #c1, #f1, #f1
	db	#c1, #c1, #c1, #31, #c1, #c1, #31, #c3
	db	#c1, #c1, #c1, #c1, #c1, #c1, #96, #c1
	db	#81, #61, #c1, #b1, #b1, #96, #61, #ca
	db	#c1, #b1, #11, #c1, #c1, #a1, #61, #c1
	db	#e1, #c1, #ca, #a1, #f1, #61, #f1, #c8
	db	#c3, #d6, #c7, #b1, #f1, #f1, #f1, #f1
	db	#a6, #fc, #c1, #b1, #b1, #b1, #c1, #c1
	db	#d1, #b1, #ca, #f1, #b1, #ba, #f1, #d1
	db	#ca, #e1, #81, #c1, #e1, #d1, #c1, #c3
	db	#e1, #ec, #c1, #ec, #e1, #c7, #41, #c3

image0_pcgptn_14_E: ;0x440 8,0,1,12,0
	db	#b8, #f8, #ce, #06, #62, #48, #c0, #60
	db	#08, #03, #1e, #6a, #40, #40, #3d, #2f
	db	#04, #00, #10, #1e, #06, #c8, #e1, #00
	db	#06, #33, #31, #19, #18, #27, #1f, #63
	db	#20, #00, #e0, #e2, #e2, #11, #e9, #03
	db	#6f, #20, #00, #01, #34, #0b, #34, #f4
	db	#0d, #76, #50, #d0, #70, #45, #bd, #41
	db	#43, #e7, #d1, #3d, #36, #06, #22, #3d
	db	#51, #33, #7e, #0c, #02, #08, #73, #60
	db	#40, #02, #78, #b6, #c0, #c0, #be, #ed
	db	#c8, #f8, #c0, #00, #40, #a1, #23, #a2
	db	#60, #05, #7b, #42, #95, #04, #3f, #1f
	db	#d1, #31, #71, #e1, #d1, #f1, #31, #c1
	db	#e1, #51, #31, #31, #31, #21, #21, #c1
	db	#21, #11, #c1, #21, #21, #21, #21, #11
	db	#c1, #21, #21, #21, #21, #b1, #21, #61
	db	#61, #11, #61, #61, #61, #c1, #31, #b1
	db	#b1, #61, #11, #31, #b1, #61, #31, #a1
	db	#61, #a1, #61, #41, #c1, #31, #a1, #21
	db	#81, #c1, #96, #a1, #b1, #61, #c1, #a1
	db	#31, #61, #61, #61, #61, #61, #61, #b1
	db	#c1, #61, #81, #a1, #41, #51, #b1, #31
	db	#81, #b1, #71, #11, #61, #c1, #71, #41
	db	#71, #51, #51, #51, #31, #61, #21, #d1

image0_pcgptn_15_O: ;0x4b8 7,0,1,12,1
	db	#12, #d3, #e0, #68, #70, #e0, #e0, #e0
	db	#a0, #40, #e0, #3d, #bb, #a4, #c0, #e0
	db	#3d, #60, #0d, #08, #b0, #10, #90, #03
	db	#fc, #84, #00, #fb, #10, #3c, #32, #80
	db	#cb, #80, #80, #37, #80, #77, #4a, #00
	db	#00, #00, #00, #00, #00, #00, #00, #d3
	db	#65, #3e, #7f, #42, #1a, #d0, #3c, #19
	db	#84, #85, #4d, #00, #00, #00, #1f, #0f
	db	#00, #7f, #00, #fe, #20, #81, #07, #00
	db	#fe, #fe, #0b, #0b, #01, #03, #01, #03
	db	#e3, #bf, #c0, #02, #bb, #79, #32, #ef
	db	#a0, #20, #60, #7c, #ab, #27, #a1, #0d
	db	#d5, #e4, #e1, #d1, #f1, #81, #f1, #e1
	db	#c1, #f1, #d1, #c3, #cb, #c1, #f1, #d1
	db	#c1, #61, #c1, #c1, #61, #81, #81, #c1
	db	#61, #81, #66, #61, #81, #86, #86, #f1
	db	#e8, #f6, #e6, #86, #d6, #86, #ed, #11
	db	#11, #11, #11, #11, #11, #11, #11, #e1
	db	#c1, #41, #41, #f4, #c1, #d1, #f8, #e6
	db	#d1, #d1, #ed, #11, #11, #11, #61, #61
	db	#66, #61, #66, #61, #86, #86, #86, #66
	db	#86, #61, #e6, #fd, #f1, #e1, #f1, #f1
	db	#f5, #fe, #e8, #c1, #e6, #ec, #c1, #c1
	db	#c1, #d1, #d1, #e1, #ed, #c7, #c7, #e2

image0_pcgptn_15_E: ;0x438 7,0,1,12,0
	db	#e1, #20, #88, #91, #a1, #f3, #41, #41
	db	#40, #20, #46, #c0, #c0, #42, #29, #d9
	db	#08, #0c, #e0, #f0, #00, #e8, #68, #f8
	db	#00, #78, #00, #00, #ee, #00, #80, #7e
	db	#00, #80, #80, #80, #80, #00, #24, #00
	db	#00, #00, #00, #00, #00, #00, #00, #a4
	db	#92, #00, #00, #84, #c4, #8c, #c2, #ec
	db	#47, #56, #90, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #01, #02, #01, #03, #01
	db	#1f, #7f, #3f, #00, #00, #84, #44, #30
	db	#48, #5d, #1e, #8b, #45, #60, #02, #62
	db	#a1, #b1, #51, #c1, #31, #31, #31, #31
	db	#31, #31, #c1, #d1, #e1, #31, #21, #c1
	db	#c1, #31, #61, #61, #11, #61, #61, #61
	db	#11, #61, #11, #11, #61, #11, #41, #61
	db	#11, #e1, #b1, #31, #31, #11, #31, #11
	db	#11, #11, #11, #11, #11, #11, #11, #c1
	db	#51, #11, #11, #c1, #61, #c1, #71, #71
	db	#c1, #c1, #31, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #e1, #e1, #61, #e1, #e1
	db	#b1, #f1, #71, #11, #11, #d1, #31, #71
	db	#31, #c1, #71, #c1, #21, #b1, #81, #d1

image0_pcgptn_16_O: ;0x4b0 6,0,1,12,1
	db	#df, #57, #01, #88, #54, #27, #fc, #d9
	db	#f9, #0f, #08, #8f, #58, #c9, #b5, #90
	db	#80, #a0, #40, #58, #e0, #9f, #c8, #8d
	db	#18, #8c, #90, #c2, #dc, #7b, #4c, #d4
	db	#0c, #48, #06, #0c, #ed, #3c, #1f, #00
	db	#00, #00, #00, #00, #00, #00, #00, #1f
	db	#01, #00, #60, #20, #02, #08, #07, #0f
	db	#61, #06, #1f, #00, #00, #20, #20, #20
	db	#20, #60, #01, #0d, #20, #20, #20, #60
	db	#20, #20, #23, #3b, #20, #38, #30, #20
	db	#39, #7f, #01, #04, #24, #20, #00, #e4
	db	#c2, #37, #14, #5c, #38, #61, #3e, #10
	db	#ba, #fa, #f6, #96, #e8, #e6, #c7, #c7
	db	#c7, #ec, #fa, #ec, #a6, #c1, #e1, #e1
	db	#c1, #c1, #b6, #e1, #e6, #87, #e8, #d1
	db	#d8, #96, #f6, #96, #d6, #cb, #98, #ed
	db	#fd, #fa, #d6, #f8, #e4, #f5, #ed, #11
	db	#11, #11, #11, #11, #11, #11, #11, #c1
	db	#c1, #11, #c1, #c1, #d1, #e1, #e1, #e1
	db	#c1, #e1, #d1, #11, #11, #d1, #e1, #e1
	db	#c1, #c1, #61, #61, #d1, #71, #e1, #e1
	db	#e1, #e1, #e1, #e1, #f1, #d1, #f1, #f1
	db	#e1, #e1, #f1, #d1, #e1, #f1, #11, #c1
	db	#71, #c1, #41, #ec, #e6, #f1, #e1, #ed

image0_pcgptn_16_E: ;0x430 6,0,1,12,0
	db	#0f, #c8, #1f, #73, #af, #25, #27, #63
	db	#32, #f3, #67, #0d, #ad, #ae, #5c, #25
	db	#00, #94, #20, #b3, #18, #98, #38, #fc
	db	#fc, #fc, #ee, #6d, #bf, #33, #c1, #d4
	db	#21, #7e, #44, #0c, #7e, #4b, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #0f, #2d, #11, #0c, #03
	db	#0a, #01, #67, #00, #00, #40, #40, #40
	db	#01, #01, #00, #00, #07, #27, #4f, #1f
	db	#1f, #5d, #1c, #06, #18, #10, #48, #18
	db	#5f, #1b, #5e, #00, #19, #1f, #00, #02
	db	#3b, #da, #3e, #00, #c1, #32, #e8, #ee
	db	#51, #e1, #e2, #c3, #31, #a2, #96, #96
	db	#96, #a1, #e1, #b6, #31, #61, #61, #31
	db	#11, #61, #21, #61, #71, #31, #c1, #a1
	db	#21, #21, #21, #c3, #c3, #85, #72, #ec
	db	#c3, #e4, #f3, #a2, #a1, #b1, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #51, #c1, #c1, #d1, #e1
	db	#61, #61, #c1, #11, #11, #c1, #c1, #c1
	db	#61, #61, #11, #11, #61, #61, #61, #61
	db	#81, #61, #81, #61, #e1, #31, #61, #e1
	db	#61, #e1, #d1, #11, #d1, #e1, #11, #61
	db	#31, #71, #31, #11, #71, #d1, #c1, #21

image0_pcgptn_17_O: ;0x4a8 5,0,1,12,1
	db	#cf, #68, #91, #ad, #45, #a1, #18, #0a
	db	#3c, #15, #30, #98, #44, #81, #31, #e0
	db	#00, #02, #06, #03, #03, #06, #03, #01
	db	#f3, #02, #01, #e0, #e0, #f8, #f8, #32
	db	#c7, #80, #f6, #fe, #18, #08, #1c, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #60
	db	#80, #a0, #a0, #a0, #e0, #00, #00, #40
	db	#40, #00, #c0, #c4, #80, #e0, #a8, #00
	db	#00, #00, #00, #00, #20, #20, #80, #f4
	db	#40, #04, #01, #21, #73, #79, #ed, #d1
	db	#d9, #d9, #96, #e6, #32, #e6, #d6, #d6
	db	#db, #98, #d6, #f2, #c3, #fa, #db, #ec
	db	#11, #c1, #c1, #f1, #e6, #b6, #f6, #71
	db	#81, #96, #96, #86, #81, #81, #81, #86
	db	#e6, #81, #61, #86, #81, #86, #ed, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #c1
	db	#c1, #c1, #c1, #c1, #21, #11, #11, #c1
	db	#c1, #11, #c1, #c1, #c1, #c1, #c1, #11
	db	#11, #11, #11, #11, #c1, #31, #e1, #c1
	db	#e1, #c1, #e1, #f1, #d1, #e1, #c3, #e1

image0_pcgptn_17_E: ;0x428 5,0,1,12,0
	db	#30, #78, #21, #4e, #ef, #21, #3e, #cf
	db	#2c, #38, #77, #6d, #ef, #43, #77, #10
	db	#00, #0c, #0f, #04, #06, #03, #01, #fd
	db	#01, #01, #01, #01, #1c, #04, #06, #00
	db	#00, #78, #00, #00, #e6, #00, #c0, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #80
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #20, #00, #40, #00
	db	#00, #00, #00, #00, #00, #00, #79, #00
	db	#84, #e0, #26, #9e, #b7, #02, #fc, #ac
	db	#72, #c7, #73, #31, #61, #a2, #c2, #c1
	db	#c1, #72, #c3, #61, #61, #e1, #31, #d1
	db	#11, #b1, #61, #a1, #31, #e1, #b1, #61
	db	#71, #31, #71, #71, #61, #61, #61, #11
	db	#11, #61, #11, #11, #61, #11, #c1, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #21
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #21, #11, #21, #11
	db	#11, #11, #11, #11, #11, #11, #c1, #11
	db	#c1, #71, #c1, #d1, #c1, #c1, #d1, #c1

image0_pcgptn_18_O: ;0x4a0 4,0,1,12,1
	db	#38, #9d, #fc, #4e, #44, #0b, #70, #4c
	db	#62, #25, #86, #80, #80, #c8, #38, #c8
	db	#10, #80, #18, #98, #68, #e8, #a8, #fc
	db	#2c, #88, #c7, #3e, #80, #e7, #36, #34
	db	#36, #0e, #1e, #f6, #18, #e0, #02, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #08, #00, #14
	db	#00, #cf, #8d, #8d, #92, #80, #90, #c2
	db	#dd, #81, #91, #8c, #a9, #9d, #e8, #80
	db	#8a, #00, #00, #00, #04, #af, #f5, #07
	db	#82, #18, #7b, #6b, #82, #6f, #83, #b1
	db	#fe, #d6, #c7, #96, #d6, #b2, #a8, #a6
	db	#eb, #98, #d6, #fc, #fc, #f6, #e3, #ec
	db	#61, #c1, #d1, #91, #76, #d8, #e6, #e6
	db	#f6, #a6, #64, #d6, #a6, #87, #ba, #f6
	db	#d6, #f6, #f6, #b6, #f8, #96, #fd, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #c1, #11, #c1
	db	#11, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#c1, #11, #11, #11, #c1, #c3, #c3, #c1
	db	#e1, #71, #c1, #c7, #c7, #c1, #e1, #f1

image0_pcgptn_18_E: ;0x420 4,0,1,12,0
	db	#c0, #26, #9f, #02, #00, #e7, #af, #b3
	db	#40, #04, #36, #88, #f4, #7d, #45, #05
	db	#00, #37, #a0, #78, #98, #f8, #d8, #08
	db	#d8, #78, #fc, #f8, #78, #e4, #b0, #f8
	db	#f3, #f4, #ec, #9e, #f6, #fc, #01, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #08, #00, #00, #10
	db	#02, #00, #00, #00, #10, #00, #17, #00
	db	#01, #00, #00, #00, #00, #80, #20, #80
	db	#55, #c4, #98, #21, #66, #68, #71, #42
	db	#b1, #c3, #91, #72, #cc, #61, #21, #21
	db	#a1, #72, #c3, #b6, #96, #c1, #91, #d1
	db	#11, #61, #31, #31, #31, #c1, #21, #b1
	db	#21, #21, #c1, #c1, #21, #31, #e1, #c1
	db	#c3, #21, #c1, #d1, #31, #71, #31, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #21, #11, #11, #21
	db	#21, #11, #11, #11, #21, #11, #21, #11
	db	#31, #11, #11, #11, #11, #d1, #51, #71
	db	#31, #31, #51, #51, #31, #41, #c1, #e1

image0_pcgptn_19_O: ;0x498 3,0,1,12,1
	db	#1f, #08, #43, #d9, #f1, #40, #80, #ae
	db	#a6, #49, #61, #27, #35, #8e, #1f, #3a
	db	#00, #f0, #01, #7b, #6b, #02, #03, #02
	db	#01, #01, #03, #03, #03, #01, #03, #03
	db	#7d, #01, #03, #03, #03, #06, #47, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #80, #80, #80, #80, #e0, #80, #80
	db	#80, #00, #00, #00, #50, #00, #00, #04
	db	#34, #04, #34, #00, #10, #00, #00, #00
	db	#00, #c0, #00, #80, #80, #80, #00, #8c
	db	#ef, #cb, #f9, #2a, #21, #28, #f9, #6d
	db	#e6, #d9, #b6, #db, #d9, #96, #b6, #86
	db	#b9, #86, #86, #ec, #96, #ec, #fc, #ec
	db	#11, #61, #c1, #61, #61, #f6, #96, #f6
	db	#f6, #e6, #f1, #e1, #e1, #b6, #f8, #f1
	db	#e6, #d6, #f1, #f6, #a6, #d9, #e9, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #c1, #31, #71, #71, #c1, #f1, #e1
	db	#c1, #11, #11, #11, #c1, #11, #11, #c1
	db	#c1, #c1, #21, #11, #c1, #11, #11, #11
	db	#11, #c1, #11, #c1, #31, #c1, #11, #c1
	db	#c1, #71, #73, #c1, #d1, #e2, #d5, #ec

image0_pcgptn_19_E: ;0x418 3,0,1,12,0
	db	#6f, #f9, #b2, #d9, #fe, #b9, #13, #15
	db	#5b, #12, #fe, #67, #a2, #7b, #60, #05
	db	#00, #00, #70, #03, #03, #01, #03, #01
	db	#03, #03, #e1, #e9, #f1, #03, #01, #e6
	db	#02, #03, #43, #02, #03, #00, #38, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #80, #90, #90
	db	#00, #00, #00, #00, #20, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #01
	db	#81, #15, #01, #c1, #c7, #cb, #68, #00
	db	#e1, #c7, #21, #31, #21, #c3, #c3, #c3
	db	#31, #32, #c3, #a6, #f3, #61, #61, #d1
	db	#11, #11, #61, #31, #31, #71, #71, #71
	db	#e1, #e1, #61, #61, #81, #e1, #a1, #61
	db	#71, #21, #61, #b1, #51, #11, #71, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #41, #c1, #c1
	db	#11, #11, #11, #11, #21, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #31
	db	#41, #31, #c1, #71, #31, #51, #c3, #11

image0_pcgptn_20_O: ;0x490 2,0,1,12,1
	db	#05, #be, #33, #08, #9f, #36, #6c, #0f
	db	#01, #40, #18, #58, #d2, #d8, #b4, #53
	db	#48, #28, #f8, #cc, #cb, #fc, #cc, #fc
	db	#0c, #f8, #f8, #9f, #f0, #0c, #98, #98
	db	#07, #0f, #30, #30, #30, #e0, #f1, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #04, #0c, #3c, #1e, #1e, #1e, #1a
	db	#da, #04, #94, #93, #c3, #c3, #83, #c7
	db	#4b, #e7, #66, #46, #18, #00, #28, #0a
	db	#00, #09, #1d, #7f, #fe, #7e, #60, #2c
	db	#08, #18, #18, #c0, #83, #7c, #80, #76
	db	#17, #00, #92, #33, #0f, #0f, #0f, #6f
	db	#c7, #fd, #c7, #96, #cb, #ec, #ba, #b6
	db	#d6, #96, #96, #96, #96, #ec, #73, #ed
	db	#61, #b6, #c1, #b1, #c7, #d1, #91, #b1
	db	#f6, #b6, #e6, #61, #e6, #81, #e6, #d6
	db	#d2, #63, #e6, #e8, #e6, #f8, #eb, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #41, #41, #41, #41, #41, #41, #41
	db	#41, #54, #54, #76, #76, #76, #f6, #f6
	db	#f7, #f4, #f4, #e1, #d4, #44, #54, #54
	db	#44, #41, #41, #41, #41, #41, #d1, #d1
	db	#e1, #f1, #e1, #c1, #c6, #61, #71, #c3
	db	#74, #77, #74, #c7, #e7, #e7, #f1, #fe

image0_pcgptn_20_E: ;0x410 2,0,1,12,0
	db	#c8, #b4, #5c, #d3, #30, #34, #1e, #e1
	db	#de, #9f, #d3, #82, #b5, #90, #e7, #24
	db	#00, #40, #fc, #30, #c4, #fc, #fc, #4c
	db	#f8, #0c, #08, #f8, #08, #f8, #f8, #f0
	db	#fa, #70, #f0, #f0, #f0, #30, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #01, #00, #00, #83, #c7, #e7
	db	#f7, #e6, #e6, #fe, #18, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #3c, #38
	db	#3c, #18, #50, #38, #80, #84, #7c, #70
	db	#ea, #00, #6d, #23, #20, #24, #60, #10
	db	#96, #e3, #96, #c3, #e6, #a6, #e1, #c1
	db	#c3, #c3, #c2, #c2, #c3, #e6, #91, #21
	db	#11, #31, #61, #a1, #91, #c1, #71, #51
	db	#c1, #d1, #e1, #31, #71, #71, #c1, #21
	db	#61, #91, #c1, #c1, #e1, #f1, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #21, #11, #11, #31, #71, #76
	db	#f1, #e1, #e1, #51, #51, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #41, #61
	db	#91, #e1, #61, #61, #d1, #31, #61, #d1
	db	#c1, #11, #21, #d1, #21, #c1, #e1, #31

image0_pcgptn_21_O: ;0x488 1,0,1,12,1
	db	#0e, #2d, #a1, #c5, #f1, #3f, #01, #2e
	db	#38, #b8, #27, #b0, #c0, #45, #44, #83
	db	#00, #08, #00, #11, #01, #01, #38, #f9
	db	#f9, #02, #e0, #01, #01, #05, #07, #07
	db	#03, #fd, #09, #0d, #0f, #0f, #f6, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #80, #80, #c0, #00, #00, #00, #80
	db	#00, #40, #80, #80, #c0, #01, #01, #01
	db	#c1, #d0, #c0, #80, #80, #b0, #b8, #f8
	db	#d8, #d8, #01, #c2, #90, #c0, #60, #80
	db	#29, #c1, #c0, #01, #39, #10, #ae, #d8
	db	#85, #fa, #8d, #99, #b3, #b8, #e6, #11
	db	#b3, #f5, #f6, #e3, #e2, #c7, #cb, #c3
	db	#fa, #fc, #b9, #e6, #e6, #e5, #fe, #ed
	db	#11, #61, #11, #61, #91, #e1, #86, #86
	db	#81, #a8, #86, #a1, #c1, #a8, #c1, #86
	db	#f9, #63, #e6, #e6, #71, #71, #e3, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #c1, #c1, #c1, #11, #11, #11, #c1
	db	#11, #c1, #c1, #c1, #c1, #41, #f1, #f1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#c1, #c1, #41, #c1, #c1, #c1, #c1, #c1
	db	#c1, #c1, #c1, #e1, #c1, #71, #c1, #c7
	db	#71, #c7, #c3, #e1, #d1, #e2, #e1, #f7

image0_pcgptn_21_E: ;0x408 1,0,1,12,0
	db	#f0, #b6, #8e, #8b, #8f, #d1, #80, #ee
	db	#c2, #86, #f8, #d0, #d0, #be, #af, #68
	db	#00, #00, #00, #00, #48, #7c, #01, #03
	db	#03, #01, #03, #f0, #f3, #02, #f3, #07
	db	#0e, #0d, #0e, #0e, #ec, #fa, #08, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #01, #01, #01, #01, #83, #99, #99
	db	#01, #09, #00, #40, #40, #40, #40, #00
	db	#00, #01, #d0, #01, #40, #00, #00, #40
	db	#d0, #01, #00, #aa, #00, #a9, #01, #00
	db	#56, #32, #3d, #06, #fb, #05, #58, #4a
	db	#d1, #a1, #c1, #61, #81, #96, #e1, #81
	db	#e1, #61, #71, #f3, #e2, #a1, #e1, #21
	db	#11, #11, #11, #11, #61, #81, #31, #c1
	db	#31, #c1, #c1, #81, #61, #21, #81, #21
	db	#c1, #21, #c1, #31, #61, #61, #d1, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #41, #71, #71, #71, #21, #c1, #c1
	db	#71, #21, #11, #31, #21, #21, #21, #11
	db	#11, #41, #21, #41, #21, #11, #11, #21
	db	#21, #51, #11, #c1, #11, #31, #71, #11
	db	#31, #41, #d1, #31, #c1, #41, #c1, #81

image0_pcgptn_22_O: ;0x480 0,0,1,12,1
	db	#d3, #25, #47, #8a, #be, #16, #61, #61
	db	#e0, #08, #1d, #1d, #07, #01, #04, #20
	db	#06, #02, #02, #05, #98, #28, #60, #80
	db	#60, #0f, #03, #40, #e0, #9f, #80, #80
	db	#3d, #c0, #3f, #3f, #3f, #03, #3f, #00
	db	#00, #00, #83, #00, #20, #f0, #e4, #08
	db	#80, #86, #fe, #6c, #80, #00, #f8, #6e
	db	#4f, #80, #f8, #f9, #f3, #18, #5d, #30
	db	#26, #dd, #fe, #da, #d2, #13, #df, #e1
	db	#00, #12, #fe, #f7, #d3, #f5, #ac, #fa
	db	#f6, #60, #00, #c0, #02, #04, #b0, #78
	db	#10, #54, #e5, #d9, #2b, #c1, #7a, #66
	db	#e6, #e6, #f1, #f1, #ec, #f1, #d1, #d1
	db	#c1, #e1, #e1, #ec, #61, #d1, #e1, #c1
	db	#e1, #e1, #d1, #61, #c1, #c1, #31, #c1
	db	#c1, #61, #81, #c1, #c6, #61, #c1, #a1
	db	#96, #c1, #61, #81, #61, #91, #d1, #11
	db	#11, #11, #c1, #11, #b1, #c1, #c1, #c1
	db	#a1, #e1, #61, #c1, #c1, #11, #c3, #a2
	db	#c3, #ec, #61, #c1, #c1, #c1, #c1, #cb
	db	#b1, #ca, #c1, #ca, #ca, #c2, #cb, #c6
	db	#11, #e1, #61, #ca, #ca, #c1, #c1, #c1
	db	#c1, #c1, #11, #c1, #c1, #71, #e1, #c7
	db	#e1, #ec, #d1, #f1, #e3, #c3, #73, #c3

image0_pcgptn_22_E: ;0x400 0,0,1,12,0
	db	#e5, #81, #ac, #65, #10, #e1, #b4, #a4
	db	#01, #c5, #e8, #80, #81, #98, #01, #0f
	db	#38, #18, #3c, #3c, #20, #50, #00, #07
	db	#07, #60, #1c, #07, #00, #c0, #0f, #5f
	db	#c0, #bf, #00, #00, #00, #3c, #47, #00
	db	#00, #00, #00, #00, #40, #60, #ca, #d0
	db	#32, #28, #6c, #fe, #00, #00, #fa, #b0
	db	#fc, #fc, #f9, #f0, #fb, #04, #00, #10
	db	#d0, #04, #cf, #92, #9e, #3e, #fe, #00
	db	#00, #ec, #6c, #e1, #d2, #fc, #db, #5c
	db	#1f, #1f, #00, #00, #00, #11, #05, #00
	db	#ee, #20, #4d, #24, #41, #69, #90, #3a
	db	#51, #e4, #41, #e1, #31, #e1, #31, #c1
	db	#61, #c1, #21, #c1, #31, #c1, #61, #31
	db	#31, #21, #c1, #21, #31, #21, #11, #61
	db	#61, #21, #61, #81, #11, #31, #81, #61
	db	#31, #61, #11, #11, #11, #61, #31, #11
	db	#11, #11, #11, #11, #a1, #81, #61, #b1
	db	#61, #a1, #21, #b1, #11, #11, #61, #91
	db	#61, #61, #31, #61, #61, #61, #11, #91
	db	#a1, #81, #61, #81, #61, #81, #81, #11
	db	#11, #b1, #21, #61, #61, #61, #b1, #61
	db	#61, #a1, #11, #11, #11, #31, #c1, #11
	db	#c1, #d1, #c1, #d1, #71, #e1, #e1, #51




;============================================================================
;
;  image1
;
;============================================================================
PUBLIC	proc_s1_image1
proc_s1_image1:
PROC
	;PCG
		call	proc_s1_image1_setup
		jp		frame_proc_write_image_horz_up
ENDP

PUBLIC	proc_s1_image1_atastroke
proc_s1_image1_atastroke:
PROC
		halt
		call	proc_s1_image1_setup
		jp		write_image_horz_up_atastroke
ENDP

proc_s1_image1_setup:
		ld		hl, image1_pcgptn
		ld		(WK_WRTIMG_SRC), hl
		ld		de, #e80
		ld		(WK_WRTIMG_DST), de
		ld		a, #70
		ld		b, 12
		ret

;================
;PCG` p15,c15 
;================
image1_pcgptn:
	db	#b2, #3c, #06, #f9, #04, #0e, #9e, #c9
	db	#40, #20, #80, #40, #c2, #86, #40, #c0
	db	#06, #03, #20, #42, #c0, #01, #00, #00
	db	#1a, #b6, #60, #78, #27, #c4, #03, #07
	db	#80, #51, #24, #a0, #0c, #64, #1d, #00
	db	#78, #63, #a1, #48, #06, #04, #0a, #02
	db	#0c, #0e, #0b, #b6, #1e, #8e, #4e, #0e
	db	#03, #40, #03, #07, #66, #30, #46, #48
	db	#c0, #c0, #01, #03, #07, #03, #0f, #3f
	db	#f7, #a1, #08, #08, #31, #14, #cc, #ed
	db	#dc, #16, #ee, #f2, #3e, #32, #34, #3c
	db	#03, #1f, #07, #3f, #1f, #1f, #0f, #07
	db	#e1, #f1, #f7, #f7, #f3, #f7, #e7, #e7
	db	#fe, #fe, #fe, #fc, #fc, #f0, #e0, #e0
	db	#fb, #f7, #e7, #00, #df, #bf, #bf, #1f
	db	#c3, #f1, #b1, #ca, #f1, #e1, #e1, #cb
	db	#e1, #f1, #c1, #e1, #c1, #c1, #a1, #e1
	db	#c1, #31, #c1, #c1, #c1, #c1, #11, #11
	db	#d1, #31, #f1, #f1, #c1, #c1, #e1, #e1
	db	#e1, #c1, #c1, #c1, #c1, #c1, #c2, #11
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#b1, #f1, #ec, #c3, #f1, #e1, #b1, #f1
	db	#a1, #f1, #e1, #c1, #c1, #d1, #c1, #61
	db	#c1, #61, #b1, #b1, #c1, #c1, #61, #61
	db	#c1, #b2, #fc, #fc, #b2, #cb, #c3, #c3
	db	#e8, #d6, #a8, #b8, #d8, #e6, #e6, #e6
	db	#e1, #e6, #f4, #f1, #f1, #f6, #f8, #f6
	db	#fd, #fe, #fe, #f3, #f8, #fd, #fb, #fe
	db	#fe, #f5, #f5, #f5, #f5, #f5, #f5, #f5
	db	#51, #51, #54, #55, #51, #51, #51, #54
	db	#1e, #4a, #6c, #04, #3e, #04, #0c, #1c
	db	#a0, #50, #40, #80, #00, #40, #b7, #1f
	db	#01, #04, #03, #00, #00, #00, #00, #00
	db	#0d, #00, #22, #37, #18, #00, #0e, #a1
	db	#70, #00, #00, #06, #00, #18, #10, #00
	db	#00, #20, #40, #80, #00, #01, #05, #01
	db	#8e, #09, #0c, #0e, #89, #59, #68, #28
	db	#41, #23, #34, #03, #12, #06, #00, #18
	db	#80, #80, #80, #00, #07, #07, #0e, #0f
	db	#73, #52, #bb, #fb, #da, #10, #db, #fb
	db	#26, #ee, #0e, #0c, #d8, #c2, #c4, #c0
	db	#07, #07, #1f, #07, #0f, #0f, #0f, #0f
	db	#f3, #fb, #fb, #fb, #f3, #f7, #f7, #e7
	db	#fe, #fc, #fc, #fc, #f8, #f0, #e0, #c0
	db	#f1, #e3, #e7, #cf, #9f, #9f, #1f, #3f
	db	#d1, #a1, #31, #f1, #31, #b1, #e1, #51
	db	#c1, #31, #31, #c1, #11, #31, #31, #c1
	db	#21, #21, #31, #11, #11, #11, #11, #11
	db	#41, #11, #d1, #d1, #31, #11, #41, #21
	db	#c1, #11, #11, #21, #11, #21, #c1, #11
	db	#11, #c1, #21, #21, #11, #71, #31, #31
	db	#31, #31, #e1, #91, #d1, #41, #41, #31
	db	#31, #a1, #31, #91, #61, #a1, #11, #31
	db	#81, #21, #a1, #11, #61, #61, #31, #21
	db	#61, #91, #61, #61, #91, #91, #61, #61
	db	#71, #31, #41, #71, #c1, #c1, #c1, #c1
	db	#51, #f1, #e1, #f1, #f1, #f1, #f1, #f1
	db	#f1, #f1, #f1, #f1, #f7, #f3, #f5, #fe
	db	#f5, #f5, #f4, #f5, #f5, #f5, #f5, #f5
	db	#51, #51, #51, #51, #51, #51, #51, #51
	db	#0c, #1c, #0c, #0c, #f9, #0c, #0f, #04
	db	#c0, #c0, #9d, #31, #57, #80, #b0, #c0
	db	#80, #03, #8e, #01, #01, #01, #14, #0f
	db	#70, #fc, #38, #07, #3f, #53, #7e, #82
	db	#08, #04, #80, #40, #80, #e0, #e0, #e2
	db	#06, #04, #01, #f2, #c6, #01, #05, #09
	db	#64, #0c, #08, #ce, #8a, #89, #0c, #2e
	db	#40, #40, #40, #40, #21, #60, #40, #41
	db	#30, #04, #30, #70, #98, #80, #60, #80
	db	#00, #01, #03, #03, #03, #03, #1b, #3b
	db	#12, #b2, #36, #36, #3e, #fe, #3e, #fe
	db	#42, #06, #04, #08, #50, #10, #06, #05
	db	#79, #f8, #f1, #1b, #3e, #13, #fb, #63
	db	#4f, #e7, #05, #3f, #bf, #00, #00, #fe
	db	#fa, #e2, #c0, #90, #e1, #c8, #84, #80
	db	#e1, #f1, #f1, #d1, #cb, #f6, #e1, #fc
	db	#e1, #e1, #c2, #c1, #c1, #e1, #e1, #c1
	db	#c1, #e1, #c1, #d1, #e1, #f1, #c1, #c1
	db	#f4, #f1, #fd, #e1, #f1, #fe, #fc, #e5
	db	#c1, #c1, #c1, #c1, #c1, #c1, #21, #c1
	db	#c1, #c1, #31, #c1, #c2, #61, #c1, #c1
	db	#e3, #c1, #c1, #61, #f1, #f1, #f1, #e1
	db	#61, #d1, #e1, #f1, #c1, #61, #71, #e1
	db	#c1, #c1, #61, #b1, #c1, #f1, #c1, #e1
	db	#11, #b1, #c1, #81, #b1, #a1, #c1, #61
	db	#f1, #d1, #e1, #f1, #e1, #b1, #ec, #a1
	db	#f1, #a1, #b1, #a1, #e1, #e1, #81, #d1
	db	#81, #84, #84, #d1, #d8, #f4, #51, #ec
	db	#fe, #f4, #e4, #f1, #fe, #ff, #ff, #fe
	db	#f4, #f4, #f5, #f5, #f4, #f4, #f5, #f5
	db	#06, #8e, #97, #06, #04, #06, #04, #06
	db	#01, #00, #20, #c0, #a0, #70, #48, #00
	db	#01, #c0, #01, #86, #82, #03, #02, #00
	db	#5c, #c0, #c0, #b2, #dd, #10, #60, #40
	db	#00, #00, #00, #00, #80, #80, #00, #10
	db	#00, #00, #02, #01, #02, #3a, #70, #30
	db	#9a, #3c, #0d, #9f, #05, #46, #2a, #08
	db	#7d, #6b, #23, #20, #40, #41, #61, #24
	db	#16, #36, #74, #d0, #70, #70, #c0, #60
	db	#00, #00, #01, #03, #08, #18, #1b, #37
	db	#ec, #fe, #c2, #ca, #c2, #06, #c6, #16
	db	#39, #76, #2c, #6c, #09, #03, #61, #43
	db	#07, #01, #01, #e2, #12, #38, #e9, #e9
	db	#00, #c3, #89, #4f, #7f, #00, #00, #00
	db	#f0, #fc, #fc, #f8, #fa, #f2, #f0, #f1
	db	#b1, #a1, #b1, #b1, #e1, #c1, #e1, #61
	db	#c1, #11, #61, #31, #31, #31, #51, #11
	db	#41, #21, #51, #c1, #c1, #31, #31, #11
	db	#61, #f1, #21, #d1, #e1, #fe, #e5, #a1
	db	#11, #11, #11, #11, #c1, #c1, #11, #31
	db	#11, #11, #21, #31, #f1, #21, #21, #21
	db	#d1, #61, #b1, #31, #b1, #e1, #31, #a1
	db	#21, #c1, #c1, #61, #31, #31, #61, #c1
	db	#b1, #b1, #31, #31, #b1, #b1, #b1, #c1
	db	#11, #11, #61, #31, #61, #61, #61, #21
	db	#b1, #31, #b1, #b1, #b1, #51, #61, #51
	db	#41, #41, #41, #41, #61, #81, #41, #41
	db	#41, #c1, #f1, #81, #31, #31, #51, #f1
	db	#ff, #e1, #f1, #e1, #f1, #ff, #ff, #ff
	db	#f4, #f1, #51, #e1, #e1, #e1, #51, #41
	db	#44, #04, #04, #06, #1d, #46, #9c, #c6
	db	#60, #20, #3e, #0c, #58, #cc, #1f, #4c
	db	#8b, #0b, #03, #f8, #2c, #90, #8a, #84
	db	#65, #df, #71, #30, #02, #02, #20, #7c
	db	#f0, #f0, #b0, #18, #10, #e0, #c0, #16
	db	#42, #30, #33, #30, #3f, #3f, #05, #21
	db	#1e, #38, #f1, #8d, #ee, #ee, #ce, #cf
	db	#ca, #13, #12, #50, #40, #33, #08, #48
	db	#01, #c3, #e7, #07, #ee, #86, #07, #10
	db	#d8, #c0, #f0, #e0, #c0, #40, #40, #40
	db	#0c, #1a, #36, #22, #6e, #3a, #32, #8b
	db	#30, #60, #f0, #7e, #40, #7f, #41, #41
	db	#0c, #1f, #3f, #60, #5e, #dc, #3d, #fc
	db	#6f, #6f, #5f, #3f, #3f, #bf, #7f, #7f
	db	#c0, #e4, #e0, #f0, #f0, #f0, #f8, #f8
	db	#f1, #f1, #f1, #f1, #dc, #e1, #e1, #e5
	db	#d1, #f1, #e1, #e1, #ec, #e1, #c3, #c1
	db	#ec, #ec, #f1, #c1, #c1, #c1, #c1, #c1
	db	#fe, #eb, #f5, #d1, #c1, #d1, #d1, #d1
	db	#ec, #b1, #51, #31, #c1, #d1, #d1, #c1
	db	#c1, #e1, #d1, #43, #f3, #e1, #a1, #61
	db	#b4, #f3, #db, #e4, #e1, #f1, #f1, #e1
	db	#c3, #c1, #c1, #c1, #e1, #c1, #c1, #c1
	db	#61, #c1, #c1, #81, #c6, #c1, #c1, #f1
	db	#61, #f1, #c1, #c1, #b1, #c1, #c1, #c1
	db	#f1, #e1, #d1, #f1, #d1, #d1, #e1, #cb
	db	#e1, #f1, #c4, #e1, #a1, #41, #e1, #b1
	db	#e4, #64, #64, #f1, #81, #81, #81, #65
	db	#f1, #f4, #f5, #fe, #fb, #fe, #fd, #fd
	db	#f4, #f4, #f4, #f4, #f4, #f4, #f4, #f4
	db	#be, #6f, #2e, #dc, #06, #ac, #44, #1c
	db	#07, #76, #64, #41, #00, #13, #06, #03
	db	#07, #03, #71, #03, #90, #0c, #04, #00
	db	#45, #dc, #3e, #02, #00, #01, #07, #22
	db	#f0, #f9, #09, #01, #00, #41, #c3, #08
	db	#00, #20, #a0, #0f, #1f, #1f, #2f, #0c
	db	#08, #2e, #28, #4a, #c8, #c9, #89, #08
	db	#18, #0c, #60, #08, #38, #48, #10, #30
	db	#c1, #01, #03, #87, #06, #07, #07, #06
	db	#e0, #30, #e0, #c0, #00, #80, #80, #00
	db	#38, #2c, #02, #1c, #3b, #4f, #0e, #02
	db	#50, #00, #7e, #1f, #7f, #78, #3e, #3f
	db	#08, #10, #20, #4e, #c1, #81, #81, #11
	db	#27, #1f, #3f, #7f, #7f, #7f, #7f, #7f
	db	#f8, #f8, #fc, #fc, #fc, #fe, #fe, #fe
	db	#61, #61, #31, #c1, #e1, #d1, #31, #b1
	db	#c1, #b1, #c1, #c1, #11, #c1, #c1, #21
	db	#f1, #e1, #c1, #41, #21, #21, #31, #11
	db	#fe, #f5, #e1, #51, #11, #61, #c1, #c1
	db	#e1, #41, #21, #21, #11, #c1, #c1, #31
	db	#11, #c1, #c1, #d1, #e1, #e1, #41, #51
	db	#e1, #61, #71, #a1, #41, #a1, #b1, #e1
	db	#51, #31, #31, #21, #c1, #31, #21, #21
	db	#31, #81, #61, #21, #81, #61, #61, #b1
	db	#31, #b1, #61, #61, #11, #a1, #b1, #11
	db	#d1, #d1, #31, #e1, #c1, #c1, #d1, #d1
	db	#c1, #11, #d1, #41, #41, #41, #41, #41
	db	#e1, #f1, #f1, #81, #41, #71, #71, #61
	db	#f1, #f1, #f1, #f1, #f4, #f1, #f3, #f3
	db	#51, #71, #f1, #f1, #f1, #f1, #f1, #f1
	db	#da, #ee, #fe, #21, #47, #91, #0e, #1f
	db	#93, #67, #fe, #78, #c8, #9b, #4f, #03
	db	#f3, #7d, #3f, #3b, #4f, #c8, #c8, #83
	db	#01, #74, #0c, #94, #cd, #df, #0f, #9d
	db	#f6, #01, #05, #85, #81, #81, #d0, #e8
	db	#06, #82, #83, #8e, #06, #0e, #1e, #02
	db	#1c, #2e, #cf, #b4, #e9, #49, #49, #09
	db	#60, #38, #3f, #3f, #1f, #7f, #63, #18
	db	#f4, #3c, #c1, #c0, #e0, #f0, #01, #01
	db	#1f, #1e, #2e, #1a, #f2, #d8, #90, #68
	db	#9c, #3e, #3e, #3e, #3e, #3e, #3e, #3e
	db	#34, #71, #73, #76, #70, #50, #30, #70
	db	#70, #78, #31, #e0, #3f, #3d, #13, #26
	db	#fc, #e7, #1f, #78, #c0, #87, #1f, #14
	db	#7f, #bf, #c0, #1f, #ef, #e0, #80, #e0
	db	#ec, #e6, #fc, #cb, #b1, #ca, #b4, #a1
	db	#fd, #e5, #b1, #e1, #c1, #e1, #b6, #f1
	db	#d1, #a1, #e4, #e1, #e1, #e1, #e1, #f1
	db	#d1, #f1, #fe, #fb, #f4, #d1, #ed, #fd
	db	#e1, #b1, #d1, #e1, #e1, #c1, #e1, #fc
	db	#f1, #d1, #61, #f3, #c5, #f5, #e4, #e1
	db	#d1, #e1, #e1, #fb, #ec, #e1, #e1, #fc
	db	#c1, #e1, #ec, #f1, #f1, #b1, #c1, #e1
	db	#c1, #c1, #c1, #f1, #f1, #f1, #91, #a1
	db	#c1, #b1, #c1, #b6, #c1, #b1, #c1, #b1
	db	#ec, #d1, #e1, #e1, #d1, #f1, #d1, #d1
	db	#81, #f1, #f1, #81, #f1, #d1, #f1, #e1
	db	#b6, #b4, #a1, #c4, #41, #41, #f1, #f1
	db	#41, #41, #f4, #e1, #b1, #b1, #f4, #f4
	db	#41, #41, #51, #41, #41, #94, #e4, #54
	db	#a4, #ec, #7c, #fc, #c4, #74, #5c, #7c
	db	#1f, #3f, #3e, #20, #20, #47, #0f, #46
	db	#e0, #e1, #04, #07, #83, #03, #85, #ad
	db	#45, #a9, #bf, #04, #1f, #0f, #02, #67
	db	#e0, #e3, #23, #e3, #44, #00, #29, #f0
	db	#fe, #04, #80, #e1, #3e, #30, #0c, #04
	db	#0f, #19, #08, #c8, #8e, #0e, #2e, #0e
	db	#30, #70, #1c, #9f, #2f, #3f, #14, #26
	db	#02, #00, #00, #b1, #d0, #c9, #d1, #d0
	db	#1b, #21, #3f, #24, #fe, #a2, #f8, #90
	db	#06, #0e, #16, #0e, #1e, #04, #0e, #0e
	db	#70, #60, #41, #72, #12, #30, #41, #10
	db	#3c, #b0, #3f, #22, #0c, #19, #7e, #7c
	db	#30, #c0, #88, #30, #e2, #5f, #18, #33
	db	#20, #00, #1f, #40, #04, #e0, #00, #f0
	db	#f1, #e1, #e1, #51, #51, #41, #51, #41
	db	#41, #e1, #41, #41, #41, #61, #51, #51
	db	#31, #41, #f1, #d1, #41, #41, #d1, #c1
	db	#c1, #e1, #e1, #f4, #e1, #31, #e1, #f1
	db	#e1, #41, #41, #d1, #c1, #11, #31, #f1
	db	#c1, #c1, #41, #d1, #f1, #51, #e1, #51
	db	#31, #d1, #e1, #51, #61, #a1, #b1, #81
	db	#61, #31, #e1, #e1, #e1, #41, #51, #21
	db	#21, #11, #11, #c1, #e1, #c1, #21, #21
	db	#81, #a1, #61, #21, #61, #a1, #a1, #a1
	db	#e1, #31, #d1, #31, #31, #31, #31, #31
	db	#71, #d1, #c1, #71, #c1, #31, #41, #61
	db	#b1, #b1, #51, #f1, #41, #41, #41, #41
	db	#41, #41, #41, #e1, #51, #41, #e1, #f1
	db	#41, #11, #41, #11, #41, #71, #41, #51
	db	#17, #e6, #32, #0d, #06, #06, #06, #86
	db	#0e, #02, #47, #05, #05, #80, #02, #c7
	db	#06, #20, #07, #ec, #9f, #0b, #8a, #c3
	db	#41, #53, #2f, #20, #f0, #70, #06, #38
	db	#c0, #cc, #dc, #10, #24, #80, #d8, #36
	db	#09, #12, #02, #7c, #09, #49, #b6, #bc
	db	#61, #4c, #0c, #58, #d7, #c9, #4e, #0e
	db	#44, #01, #05, #39, #3f, #3e, #47, #20
	db	#78, #68, #5a, #e8, #e8, #80, #88, #a6
	db	#0f, #03, #06, #06, #1f, #1f, #0e, #11
	db	#12, #36, #f6, #9d, #3e, #fe, #1e, #1e
	db	#5c, #5c, #58, #68, #00, #70, #73, #76
	db	#01, #fe, #00, #a7, #0f, #1f, #3f, #7f
	db	#c0, #e0, #f0, #f0, #f0, #f3, #c0, #80
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#ec, #e4, #f5, #ec, #f1, #f1, #f1, #f1
	db	#e1, #d1, #d1, #f1, #c1, #c1, #c1, #a1
	db	#d1, #f1, #cb, #fd, #fc, #f1, #61, #f1
	db	#e1, #d1, #61, #c1, #b1, #f1, #f1, #cb
	db	#e1, #a1, #d1, #c1, #d1, #e1, #b1, #f1
	db	#e1, #c1, #a1, #c4, #f1, #ec, #e1, #d1
	db	#cb, #f1, #f1, #e6, #c7, #d1, #f1, #f1
	db	#c1, #d1, #c1, #71, #f1, #f1, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c1, #c1, #c1, #c1
	db	#c1, #c1, #b1, #c1, #c1, #c1, #c1, #c1
	db	#f1, #e1, #a1, #c3, #e1, #b1, #e1, #e1
	db	#f8, #f8, #f6, #f6, #b1, #f1, #f1, #e1
	db	#d9, #96, #99, #96, #91, #91, #91, #91
	db	#64, #94, #84, #94, #94, #d1, #91, #d1
	db	#44, #44, #44, #44, #44, #44, #44, #44
	db	#6c, #3c, #fc, #16, #0c, #0c, #dc, #44
	db	#50, #04, #82, #cb, #c0, #40, #04, #1f
	db	#20, #10, #f0, #fe, #5e, #16, #1f, #94
	db	#a0, #21, #40, #c0, #e0, #a7, #91, #85
	db	#04, #c4, #80, #04, #32, #63, #fa, #d8
	db	#06, #20, #83, #03, #13, #97, #60, #5e
	db	#c8, #0b, #4a, #6c, #2c, #8e, #99, #18
	db	#01, #40, #30, #3c, #1c, #05, #02, #40
	db	#04, #14, #24, #80, #c0, #60, #00, #08
	db	#03, #07, #01, #0e, #0f, #0e, #0f, #0f
	db	#ec, #c2, #1e, #be, #c2, #06, #e2, #e6
	db	#0f, #1f, #1f, #1f, #70, #03, #10, #10
	db	#01, #fe, #00, #cf, #df, #1f, #3f, #3e
	db	#60, #c0, #e0, #f0, #f8, #e0, #8d, #3f
	db	#00, #00, #04, #02, #00, #81, #c0, #40
	db	#d1, #e1, #a1, #d1, #61, #d1, #c1, #b1
	db	#61, #c1, #c1, #31, #b1, #31, #31, #51
	db	#51, #e1, #51, #e1, #f1, #d1, #41, #41
	db	#d1, #c1, #41, #51, #51, #d1, #e1, #51
	db	#d1, #41, #31, #41, #c1, #c1, #51, #d1
	db	#c1, #61, #41, #b1, #c1, #d1, #d1, #c1
	db	#51, #b1, #b1, #e1, #91, #b1, #61, #61
	db	#61, #21, #b1, #61, #d1, #21, #c1, #31
	db	#21, #21, #21, #31, #c1, #31, #11, #21
	db	#61, #61, #a1, #61, #61, #61, #61, #a1
	db	#e1, #a1, #41, #d1, #b1, #41, #b1, #b1
	db	#ac, #a1, #a1, #a1, #f6, #c1, #c1, #61
	db	#a8, #86, #88, #81, #81, #81, #81, #91
	db	#91, #81, #91, #81, #81, #91, #41, #41
	db	#41, #41, #41, #41, #41, #41, #41, #41
	db	#06, #0e, #7e, #fa, #5e, #83, #e1, #04
	db	#4a, #c0, #60, #60, #48, #1c, #7d, #14
	db	#16, #47, #41, #c0, #c0, #04, #80, #06
	db	#1e, #97, #82, #88, #80, #00, #00, #20
	db	#af, #1a, #7c, #88, #20, #20, #01, #01
	db	#f4, #de, #58, #20, #34, #10, #2e, #28
	db	#fa, #0e, #08, #0c, #0c, #0e, #68, #fe
	db	#70, #37, #1d, #11, #11, #03, #03, #44
	db	#38, #b1, #1a, #81, #33, #63, #80, #88
	db	#28, #38, #a0, #d7, #e4, #e9, #01, #09
	db	#16, #0a, #6b, #8a, #8a, #1e, #1e, #1e
	db	#3d, #7f, #3f, #3f, #3c, #5c, #4c, #6c
	db	#80, #c0, #80, #80, #00, #80, #00, #00
	db	#9b, #9e, #8c, #b8, #f0, #c0, #e0, #c0
	db	#7f, #00, #00, #00, #00, #00, #00, #00
	db	#f1, #fc, #ec, #f3, #96, #c7, #ca, #f1
	db	#e1, #e1, #d1, #f1, #ec, #f1, #b1, #f1
	db	#e6, #e1, #f1, #e1, #c1, #d1, #c1, #c1
	db	#fd, #fd, #e1, #c1, #c1, #11, #11, #41
	db	#fe, #fa, #ec, #c1, #d1, #c1, #d1, #e1
	db	#f4, #ed, #ec, #f1, #f1, #f1, #c1, #c1
	db	#e6, #f1, #e1, #f1, #f1, #e1, #fc, #e1
	db	#61, #c1, #c1, #e1, #e1, #f1, #41, #c1
	db	#c1, #c1, #31, #c3, #c3, #c2, #e1, #31
	db	#c1, #c1, #c1, #c1, #c1, #c1, #f1, #c1
	db	#e1, #e1, #c3, #ec, #e1, #d1, #e1, #e1
	db	#fc, #f1, #a1, #a1, #f8, #f8, #f8, #f8
	db	#f9, #b9, #b9, #b9, #b9, #b9, #b9, #b9
	db	#61, #94, #81, #64, #64, #91, #64, #94
	db	#41, #44, #44, #44, #44, #44, #44, #44
	db	#0c, #3c, #fc, #dc, #fc, #7e, #14, #6e
	db	#05, #01, #35, #bc, #38, #6e, #3e, #6a
	db	#69, #1a, #86, #81, #0a, #40, #00, #00
	db	#2f, #0e, #2e, #00, #02, #00, #00, #00
	db	#67, #17, #08, #00, #20, #09, #81, #60
	db	#f3, #c0, #84, #3f, #12, #24, #01, #00
	db	#cc, #79, #0f, #0b, #0b, #09, #0c, #68
	db	#01, #70, #60, #68, #2f, #07, #0f, #01
	db	#c0, #00, #45, #04, #28, #c0, #3c, #74
	db	#10, #10, #11, #20, #02, #06, #0f, #03
	db	#28, #e5, #42, #40, #76, #c2, #c2, #c2
	db	#7f, #7f, #7e, #3e, #3f, #1f, #1f, #1f
	db	#00, #40, #00, #00, #00, #00, #00, #00
	db	#eb, #02, #c5, #88, #90, #9f, #c0, #a0
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#c1, #e1, #e1, #e1, #71, #81, #41, #c1
	db	#41, #41, #c1, #61, #f1, #e1, #41, #e1
	db	#71, #c1, #31, #c1, #61, #61, #11, #11
	db	#f1, #e1, #d1, #11, #31, #11, #11, #11
	db	#e4, #e4, #e1, #11, #c1, #61, #31, #c1
	db	#e1, #e1, #d1, #c1, #61, #c1, #31, #11
	db	#31, #61, #b1, #d1, #31, #31, #81, #e1
	db	#21, #61, #61, #31, #c1, #e1, #31, #41
	db	#21, #11, #21, #21, #c1, #51, #21, #21
	db	#21, #c1, #31, #21, #21, #21, #c1, #61
	db	#d1, #c1, #b1, #91, #31, #b1, #b1, #b1
	db	#a1, #a1, #f8, #f8, #a1, #a1, #a1, #a1
	db	#88, #88, #88, #88, #88, #88, #88, #88
	db	#41, #d1, #41, #d1, #91, #41, #91, #61
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#96, #0e, #ce, #06, #46, #a4, #7e, #6c
	db	#78, #68, #ce, #2e, #0f, #7f, #3f, #7c
	db	#3f, #0e, #20, #61, #e1, #f8, #f8, #e0
	db	#1f, #13, #03, #64, #80, #01, #9f, #16
	db	#03, #09, #03, #88, #50, #66, #c2, #ad
	db	#fc, #90, #80, #01, #03, #b7, #ee, #b6
	db	#3a, #2e, #f1, #fc, #cc, #51, #8c, #f1
	db	#76, #66, #06, #0f, #43, #43, #28, #20
	db	#b8, #10, #08, #80, #20, #e0, #c1, #c6
	db	#06, #83, #13, #b4, #26, #80, #80, #08
	db	#36, #06, #1e, #1e, #2e, #3a, #12, #16
	db	#70, #76, #16, #36, #76, #6d, #4f, #1e
	db	#1f, #6f, #7f, #1f, #9f, #c0, #7f, #80
	db	#c0, #80, #c0, #c0, #86, #8f, #8f, #8f
	db	#00, #00, #00, #00, #00, #7f, #00, #00
	db	#a1, #fd, #f1, #f1, #f1, #ec, #b1, #e1
	db	#d1, #d1, #a1, #e1, #e1, #b1, #f1, #b1
	db	#f1, #e1, #d1, #f1, #b1, #f1, #b1, #f3
	db	#c4, #c4, #c4, #d1, #c1, #f1, #e1, #fe
	db	#f4, #f1, #c1, #d1, #e1, #e3, #f9, #fe
	db	#e1, #e1, #c1, #f1, #f1, #e1, #fd, #fd
	db	#d1, #61, #cb, #ea, #e1, #c3, #e1, #d6
	db	#c1, #a1, #e1, #f1, #f1, #e1, #e1, #c1
	db	#c1, #c1, #c1, #e1, #e1, #ec, #c1, #c1
	db	#21, #c1, #c1, #c1, #c1, #31, #c1, #c1
	db	#f1, #f1, #e1, #e1, #d1, #d1, #e1, #e1
	db	#f1, #d1, #f1, #f1, #f1, #f4, #fc, #f1
	db	#94, #91, #91, #96, #96, #d9, #93, #d9
	db	#91, #94, #91, #91, #91, #64, #64, #91
	db	#44, #44, #44, #44, #44, #41, #44, #44
	db	#fc, #1c, #74, #6c, #8c, #76, #3d, #06
	db	#76, #d0, #22, #40, #0e, #3f, #74, #3f
	db	#0a, #03, #c0, #a0, #f4, #e0, #d8, #5c
	db	#8c, #a4, #74, #23, #42, #06, #17, #2f
	db	#1f, #12, #00, #0c, #2e, #dd, #c2, #28
	db	#c6, #20, #00, #22, #25, #03, #c1, #c1
	db	#0c, #0e, #08, #08, #0a, #cc, #9a, #8e
	db	#1c, #0c, #43, #36, #3e, #3c, #40, #40
	db	#04, #00, #00, #18, #c4, #00, #3e, #38
	db	#00, #04, #0c, #08, #48, #00, #08, #00
	db	#08, #38, #22, #22, #1b, #0e, #2e, #2a
	db	#04, #76, #63, #46, #2d, #4f, #0c, #3c
	db	#50, #70, #3f, #3f, #3f, #80, #bf, #80
	db	#9f, #c0, #9b, #d9, #e0, #80, #81, #63
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#51, #41, #c1, #61, #61, #d1, #41, #a1
	db	#c1, #c1, #51, #c1, #e1, #51, #e1, #51
	db	#e1, #41, #c1, #c1, #51, #d1, #51, #d1
	db	#d1, #61, #a1, #c1, #61, #e1, #e1, #e1
	db	#e1, #e1, #11, #c1, #c1, #d1, #e7, #fe
	db	#41, #61, #11, #c1, #c1, #e1, #e1, #71
	db	#b1, #31, #e1, #e1, #a1, #d1, #d1, #71
	db	#51, #41, #c1, #41, #41, #d1, #61, #31
	db	#31, #11, #11, #c1, #c1, #11, #21, #21
	db	#11, #21, #21, #31, #21, #11, #21, #11
	db	#e1, #e1, #61, #d1, #c1, #c1, #d1, #d1
	db	#d1, #21, #e1, #b1, #d1, #a1, #a1, #a1
	db	#d8, #d8, #81, #81, #87, #f8, #86, #a8
	db	#41, #81, #41, #41, #41, #91, #d1, #41
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#fc, #fc, #de, #fc, #3e, #fc, #b4, #f6
	db	#0a, #1d, #7f, #7f, #67, #1f, #3a, #3e
	db	#89, #80, #63, #f9, #77, #19, #0b, #1f
	db	#4e, #68, #8d, #cf, #f1, #be, #fc, #26
	db	#13, #09, #00, #08, #98, #3b, #3f, #06
	db	#86, #08, #18, #c1, #71, #9e, #e0, #fc
	db	#cb, #0c, #08, #68, #98, #fc, #e8, #1e
	db	#c0, #40, #40, #02, #18, #1d, #3f, #3e
	db	#a0, #40, #00, #42, #14, #28, #60, #c0
	db	#00, #00, #02, #35, #ae, #88, #90, #80
	db	#06, #3e, #3e, #0e, #1e, #1e, #1e, #1e
	db	#1e, #3c, #3d, #03, #03, #43, #60, #70
	db	#ef, #c7, #28, #3e, #3f, #bf, #7f, #3f
	db	#00, #00, #00, #00, #00, #00, #80, #c0
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#f1, #f1, #e6, #f1, #ec, #f6, #f1, #f1
	db	#e1, #e6, #e1, #f1, #fc, #fd, #f3, #f1
	db	#d1, #f1, #e6, #fe, #fe, #fe, #f4, #d1
	db	#61, #c1, #d1, #e1, #e4, #ea, #b1, #c5
	db	#e5, #e1, #11, #e1, #f1, #f1, #e1, #f4
	db	#e1, #e1, #e1, #c4, #ec, #51, #e1, #d1
	db	#c1, #f1, #e1, #f6, #e3, #f1, #ec, #f1
	db	#f1, #e1, #f1, #c1, #71, #ec, #f1, #f1
	db	#c1, #c1, #11, #c1, #d1, #ec, #f1, #61
	db	#11, #11, #21, #c1, #c1, #c1, #c1, #c1
	db	#f1, #e1, #d1, #71, #81, #d1, #d1, #f1
	db	#41, #41, #41, #91, #91, #91, #e1, #f1
	db	#41, #41, #61, #64, #94, #91, #94, #95
	db	#44, #44, #44, #44, #44, #44, #94, #64
	db	#44, #44, #44, #44, #44, #44, #44, #44
	db	#96, #9e, #f8, #ba, #f4, #44, #4e, #8c
	db	#d5, #23, #25, #2b, #3f, #7f, #5d, #5c
	db	#30, #31, #b8, #53, #62, #6f, #e4, #3f
	db	#03, #83, #86, #8e, #ef, #ba, #fe, #f0
	db	#e9, #04, #00, #70, #40, #94, #2e, #3f
	db	#21, #86, #23, #1c, #1c, #08, #9c, #e0
	db	#0c, #0b, #0f, #1e, #2c, #0a, #7e, #28
	db	#79, #79, #09, #41, #73, #38, #56, #19
	db	#40, #80, #00, #80, #80, #30, #33, #67
	db	#00, #00, #00, #08, #00, #30, #00, #00
	db	#36, #06, #0e, #2e, #0e, #3e, #2e, #22
	db	#0c, #18, #08, #3d, #38, #19, #1d, #07
	db	#c3, #83, #c3, #2c, #36, #3f, #9f, #1f
	db	#00, #00, #fe, #7e, #7c, #3c, #1c, #80
	db	#e0, #80, #00, #00, #00, #00, #00, #00
	db	#e1, #b1, #e1, #e1, #e1, #d1, #e1, #61
	db	#61, #71, #e1, #e1, #f1, #ec, #d1, #e1
	db	#c1, #e1, #71, #f1, #fe, #ed, #a4, #41
	db	#41, #41, #31, #e1, #e1, #e4, #51, #e1
	db	#b1, #c1, #11, #c1, #31, #61, #e1, #e1
	db	#c1, #61, #c1, #61, #41, #51, #51, #71
	db	#b1, #61, #b1, #21, #61, #31, #d1, #41
	db	#21, #c1, #31, #31, #61, #51, #51, #51
	db	#31, #21, #11, #31, #51, #e1, #31, #21
	db	#11, #11, #11, #31, #11, #21, #11, #11
	db	#61, #e1, #31, #61, #71, #31, #31, #c1
	db	#41, #41, #41, #41, #41, #41, #41, #41
	db	#41, #41, #41, #d1, #61, #81, #81, #81
	db	#44, #44, #41, #41, #41, #41, #41, #91
	db	#41, #41, #11, #11, #11, #11, #11, #11
	db	#0e, #fe, #fe, #2e, #fe, #64, #0e, #0e
	db	#f0, #07, #36, #66, #10, #40, #40, #48
	db	#53, #0f, #49, #68, #e3, #3b, #02, #01
	db	#d8, #1a, #e2, #c8, #e4, #08, #0b, #0d
	db	#20, #01, #11, #17, #ed, #cd, #63, #59
	db	#73, #f8, #be, #e4, #86, #97, #c7, #83
	db	#15, #b5, #fc, #b6, #fe, #9e, #07, #4a
	db	#70, #57, #73, #35, #34, #46, #cf, #60
	db	#0f, #e0, #c8, #4c, #9f, #fc, #42, #60
	db	#4a, #20, #f0, #47, #0f, #f7, #c8, #10
	db	#3e, #3e, #0e, #2a, #0a, #0e, #12, #16
	db	#7f, #3f, #3f, #7f, #00, #00, #df, #1e
	db	#0a, #3f, #74, #06, #0c, #01, #00, #00
	db	#e6, #00, #00, #00, #e0, #c0, #10, #00
	db	#2e, #0c, #01, #01, #01, #00, #00, #00
	db	#e4, #f1, #b1, #f6, #e1, #fc, #e1, #e1
	db	#c5, #41, #61, #e1, #e1, #a1, #e1, #d1
	db	#54, #fe, #fa, #fe, #f1, #d4, #c1, #f1
	db	#f1, #54, #54, #e6, #d1, #e1, #d1, #f1
	db	#d1, #c1, #e1, #b1, #e1, #fc, #db, #e4
	db	#ed, #f4, #fa, #e5, #e6, #b1, #d1, #e1
	db	#c7, #ec, #f1, #fc, #b1, #ed, #c5, #ec
	db	#e4, #f1, #ec, #e1, #d1, #c3, #c3, #e1
	db	#cb, #d2, #c1, #c1, #c1, #c1, #c1, #c1
	db	#c1, #c1, #c1, #c1, #c1, #c3, #c1, #c1
	db	#e1, #e1, #d1, #d1, #e1, #e1, #f1, #e1
	db	#41, #41, #41, #41, #44, #44, #41, #41
	db	#54, #54, #54, #54, #54, #54, #44, #44
	db	#41, #44, #44, #44, #54, #54, #54, #54
	db	#b1, #51, #f1, #f4, #54, #44, #44, #44
	db	#fc, #cc, #fc, #dc, #7c, #a6, #24, #b4
	db	#07, #03, #6c, #08, #42, #00, #00, #12
	db	#8f, #f1, #03, #43, #16, #00, #04, #1e
	db	#a4, #c4, #1c, #20, #72, #45, #51, #c2
	db	#40, #00, #4f, #05, #0b, #63, #c1, #eb
	db	#4f, #3e, #b2, #9b, #04, #f7, #e1, #d0
	db	#6c, #68, #8a, #c8, #f8, #e8, #ec, #8c
	db	#1b, #2d, #30, #58, #78, #20, #24, #1e
	db	#d8, #80, #03, #03, #40, #02, #bc, #10
	db	#b0, #90, #00, #90, #90, #00, #00, #40
	db	#30, #01, #3f, #1f, #16, #92, #2e, #02
	db	#19, #03, #1f, #3f, #67, #87, #0e, #0c
	db	#df, #1e, #7e, #66, #0c, #7f, #67, #c7
	db	#80, #c0, #00, #00, #40, #80, #18, #10
	db	#46, #e0, #f8, #f8, #fc, #fe, #fe, #fe
	db	#b1, #51, #41, #71, #e1, #61, #31, #31
	db	#51, #31, #41, #41, #d1, #11, #11, #61
	db	#b1, #41, #e4, #e1, #41, #11, #61, #c1
	db	#41, #e1, #e1, #71, #c1, #d1, #c1, #41
	db	#61, #11, #d1, #41, #41, #41, #54, #e1
	db	#51, #e1, #e4, #f4, #e4, #51, #31, #d1
	db	#91, #f1, #31, #f1, #41, #51, #b1, #b1
	db	#e1, #41, #d1, #61, #31, #f1, #61, #c1
	db	#41, #41, #21, #21, #31, #31, #21, #31
	db	#31, #21, #11, #21, #21, #11, #11, #21
	db	#31, #c1, #c1, #c1, #c1, #c1, #d1, #e1
	db	#41, #41, #41, #41, #41, #41, #41, #41
	db	#41, #54, #54, #54, #54, #41, #41, #41
	db	#41, #41, #44, #44, #54, #54, #54, #54
	db	#41, #41, #41, #41, #41, #41, #41, #41
	db	#0e, #fe, #ee, #e4, #7e, #78, #fe, #fe
	db	#7f, #6d, #3f, #9e, #79, #7f, #7e, #2f
	db	#93, #af, #17, #07, #64, #9f, #cf, #c7
	db	#8f, #df, #cc, #f0, #f4, #e5, #b1, #90
	db	#27, #e1, #0f, #7c, #7e, #26, #22, #e7
	db	#c4, #df, #72, #15, #24, #40, #10, #4b
	db	#7f, #7d, #ce, #0e, #0c, #48, #8c, #cc
	db	#60, #06, #a5, #7f, #3f, #53, #7f, #3f
	db	#92, #4c, #ef, #a1, #fc, #7c, #f8, #07
	db	#14, #02, #46, #80, #0f, #82, #d5, #86
	db	#0e, #0e, #1e, #1e, #1a, #36, #36, #3e
	db	#70, #70, #70, #70, #40, #70, #60, #c0
	db	#00, #00, #00, #00, #01, #7e, #00, #00
	db	#03, #83, #26, #0c, #0d, #19, #1b, #07
	db	#3b, #23, #66, #cc, #9c, #9b, #33, #67
	db	#b4, #f1, #91, #fd, #f6, #f3, #e1, #e1
	db	#e1, #ec, #fc, #f3, #ec, #f1, #e4, #fc
	db	#ec, #fe, #ec, #f1, #cb, #f1, #b1, #e1
	db	#d1, #51, #b1, #f1, #e1, #e1, #dc, #f1
	db	#ed, #d9, #e1, #f1, #e1, #fd, #e1, #d1
	db	#fb, #e5, #ed, #54, #f1, #f1, #e1, #ec
	db	#c7, #fd, #f1, #f1, #f1, #e1, #b1, #b1
	db	#e1, #f4, #cb, #f1, #f1, #f4, #e1, #e1
	db	#e1, #fc, #75, #fe, #fe, #fe, #f1, #c5
	db	#c1, #d1, #c1, #e1, #c1, #c1, #c1, #c1
	db	#f1, #f1, #81, #e1, #f1, #e1, #e1, #e1
	db	#f1, #81, #81, #e1, #f1, #e1, #e1, #c4
	db	#11, #11, #11, #11, #d1, #41, #44, #44
	db	#f1, #ec, #e1, #f1, #b1, #f1, #d1, #a1
	db	#e1, #f1, #e1, #fc, #f1, #e1, #f1, #f1
	db	#f4, #2c, #fc, #3c, #bc, #bc, #9c, #bc
	db	#1e, #1e, #5e, #3f, #3f, #3e, #3f, #03
	db	#06, #17, #0f, #c9, #9f, #4f, #cf, #cf
	db	#df, #0e, #fc, #c0, #e4, #50, #c0, #d2
	db	#0f, #1e, #20, #03, #e8, #20, #81, #48
	db	#ce, #ee, #7f, #6e, #18, #98, #09, #05
	db	#fe, #80, #09, #28, #4b, #0c, #98, #a8
	db	#0c, #09, #3f, #0f, #1f, #3f, #1f, #3f
	db	#01, #24, #e5, #fe, #f0, #f8, #f4, #d0
	db	#e8, #e1, #b0, #fe, #c0, #0c, #0a, #10
	db	#04, #3c, #0e, #08, #28, #0a, #0a, #02
	db	#30, #70, #70, #30, #30, #c0, #1f, #47
	db	#00, #00, #00, #00, #38, #18, #06, #f6
	db	#49, #12, #82, #65, #1c, #08, #11, #c6
	db	#95, #54, #a4, #04, #41, #b8, #95, #12
	db	#e1, #e1, #71, #f1, #f1, #d1, #a1, #e1
	db	#e1, #f1, #d1, #e1, #f1, #e1, #e1, #41
	db	#e1, #e1, #e1, #e1, #51, #e1, #41, #51
	db	#41, #51, #51, #e1, #e1, #d1, #51, #41
	db	#e1, #71, #61, #d1, #d1, #e1, #61, #31
	db	#f5, #f4, #43, #b1, #e1, #e1, #41, #41
	db	#d1, #41, #c1, #a1, #31, #b1, #41, #41
	db	#d1, #b1, #51, #f1, #e1, #e1, #51, #51
	db	#21, #51, #91, #e1, #f1, #e1, #d1, #b1
	db	#21, #c1, #21, #c1, #31, #21, #21, #31
	db	#d1, #61, #71, #61, #d1, #61, #c1, #61
	db	#c1, #71, #71, #d1, #e1, #d1, #41, #41
	db	#11, #11, #11, #11, #41, #41, #41, #41
	db	#d1, #d1, #61, #61, #51, #c1, #31, #41
	db	#d1, #e1, #d1, #31, #d1, #d1, #c1, #c1
	db	#0e, #1e, #8d, #80, #80, #37, #66, #c4
	db	#2f, #83, #51, #d0, #40, #00, #2a, #7e
	db	#c0, #27, #ae, #14, #10, #00, #8f, #0e
	db	#1d, #13, #3f, #c8, #bc, #00, #a1, #a0
	db	#89, #4c, #ef, #6a, #a1, #00, #a7, #83
	db	#48, #78, #28, #c3, #44, #30, #b9, #51
	db	#4a, #a6, #52, #e1, #4e, #00, #04, #1e
	db	#6d, #d7, #45, #13, #b3, #00, #b8, #2c
	db	#98, #20, #f2, #69, #68, #ed, #69, #41
	db	#ce, #ca, #79, #40, #58, #87, #c0, #10
	db	#1a, #1a, #36, #06, #06, #86, #06, #2e
	db	#70, #30, #30, #30, #70, #70, #70, #70
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#04, #04, #0d, #01, #12, #14, #04, #09
	db	#09, #19, #33, #27, #66, #ce, #8c, #99
	db	#b1, #f1, #a1, #e1, #e1, #ed, #ec, #f3
	db	#e5, #ed, #e6, #c1, #61, #ee, #e3, #b1
	db	#fd, #fb, #c3, #e1, #c1, #ee, #c6, #d1
	db	#e4, #f5, #db, #e1, #c1, #ee, #ed, #f4
	db	#96, #c7, #e1, #c1, #c1, #ee, #d1, #f1
	db	#f6, #ea, #cb, #ba, #c1, #fe, #fd, #fd
	db	#ed, #fe, #e3, #e1, #c1, #ee, #fe, #e3
	db	#e3, #e6, #fa, #f1, #c1, #ee, #e1, #61
	db	#fe, #e8, #c3, #e1, #c1, #ec, #ec, #e4
	db	#fe, #f6, #e1, #d1, #c1, #63, #31, #c1
	db	#f1, #71, #e1, #f1, #f1, #e1, #f1, #dc
	db	#e1, #e1, #e1, #f1, #d1, #71, #e1, #f1
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#d1, #f1, #c1, #e1, #d1, #d1, #e1, #e1
	db	#f1, #71, #e1, #f1, #f1, #e1, #f1, #f1
	db	#17, #81, #16, #0f, #48, #80, #88, #bc
	db	#da, #c3, #a3, #11, #00, #00, #04, #3e
	db	#10, #cb, #8b, #8a, #00, #00, #00, #83
	db	#fb, #bf, #75, #15, #00, #00, #40, #c7
	db	#58, #a5, #05, #85, #00, #00, #5a, #2c
	db	#08, #7f, #e2, #60, #00, #00, #50, #7b
	db	#42, #17, #99, #5a, #20, #00, #00, #ec
	db	#7e, #bf, #9a, #a0, #00, #00, #46, #70
	db	#9a, #20, #cb, #4a, #00, #10, #00, #80
	db	#36, #7c, #c2, #3b, #20, #80, #3c, #fc
	db	#ac, #be, #9a, #30, #3a, #7a, #fa, #06
	db	#10, #50, #50, #40, #70, #d0, #10, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #02, #00, #00, #01, #02, #29, #23
	db	#14, #1b, #40, #70, #2b, #44, #51, #0c
	db	#51, #31, #31, #61, #c1, #31, #d1, #d1
	db	#b1, #ec, #71, #61, #11, #11, #d1, #51
	db	#c3, #e1, #d1, #c1, #11, #11, #11, #c1
	db	#a1, #a1, #c1, #c1, #11, #11, #21, #d1
	db	#f2, #96, #c1, #31, #11, #11, #c1, #c1
	db	#e3, #e1, #f1, #51, #11, #11, #e1, #f3
	db	#ec, #b1, #d1, #61, #61, #11, #11, #d1
	db	#a1, #e1, #51, #b1, #11, #11, #61, #31
	db	#ea, #e7, #d1, #d1, #11, #d1, #11, #a1
	db	#e1, #e1, #31, #c1, #41, #c1, #21, #21
	db	#d1, #61, #c1, #e1, #d1, #d1, #e1, #e1
	db	#61, #c1, #61, #e1, #31, #61, #61, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #c1, #11, #11, #c1, #c1, #c1, #c1
	db	#61, #61, #c1, #d1, #d1, #d1, #61, #61
	db	#5f, #df, #1e, #0f, #0e, #0f, #fa, #0f
	db	#ee, #77, #61, #69, #cc, #ec, #8f, #e4
	db	#01, #af, #e0, #c1, #3a, #44, #83, #dd
	db	#76, #ea, #04, #e1, #e9, #ec, #0d, #c3
	db	#3b, #d4, #f6, #e7, #e7, #bb, #82, #36
	db	#33, #3b, #ad, #0b, #07, #e5, #6e, #c2
	db	#50, #f8, #e4, #86, #80, #03, #fe, #b1
	db	#f1, #c6, #15, #03, #eb, #6c, #a4, #95
	db	#2b, #2c, #7c, #2f, #ad, #56, #49, #8f
	db	#fe, #95, #61, #ba, #4f, #9e, #92, #43
	db	#86, #86, #be, #9e, #8e, #be, #e3, #3e
	db	#10, #10, #30, #70, #70, #70, #70, #70
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #01, #01, #00
	db	#14, #04, #09, #0b, #81, #03, #0e, #04
	db	#e1, #e1, #ec, #91, #e1, #f1, #c7, #e1
	db	#e8, #e9, #e2, #f3, #c7, #c7, #ec, #f6
	db	#fe, #fd, #96, #f6, #fe, #d9, #fd, #f3
	db	#ed, #e2, #f6, #d8, #c3, #fd, #fb, #ec
	db	#ed, #73, #fc, #d6, #f8, #fb, #f6, #b6
	db	#fe, #ed, #d8, #ed, #fb, #f9, #e8, #fe
	db	#fe, #96, #c9, #96, #ed, #c7, #f6, #d6
	db	#ed, #ec, #fa, #c7, #e4, #e5, #fe, #e5
	db	#ea, #db, #fc, #fa, #fe, #f3, #c7, #d6
	db	#ed, #ba, #f3, #c7, #f9, #d6, #cb, #cb
	db	#e1, #f1, #e1, #f1, #f1, #e1, #c7, #d6
	db	#f1, #f1, #f1, #e1, #e1, #f1, #a1, #e1
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #d1, #d1, #11
	db	#e1, #f1, #e1, #d1, #e1, #e1, #e1, #71
	db	#90, #0b, #0d, #9e, #07, #06, #0f, #17
	db	#11, #d8, #8e, #30, #63, #a7, #f5, #e3
	db	#00, #d8, #40, #6f, #91, #76, #07, #f6
	db	#89, #dd, #df, #7a, #ef, #13, #82, #84
	db	#c4, #de, #0e, #84, #58, #40, #2e, #dd
	db	#00, #03, #bf, #f4, #e0, #18, #19, #40
	db	#88, #d9, #e4, #80, #80, #68, #29, #46
	db	#8e, #84, #e2, #30, #16, #92, #10, #ee
	db	#c4, #9c, #97, #64, #40, #fa, #f6, #55
	db	#01, #3c, #bc, #03, #b0, #69, #de, #7e
	db	#d8, #38, #06, #2c, #b2, #0e, #9e, #8c
	db	#c0, #70, #40, #10, #30, #20, #70, #10
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#00, #00, #00, #00, #00, #00, #00, #00
	db	#e2, #29, #0c, #80, #03, #8c, #04, #4d
	db	#31, #e1, #e1, #31, #b1, #a1, #81, #b1
	db	#71, #31, #d1, #d1, #96, #96, #e1, #e3
	db	#11, #31, #72, #c1, #e1, #c7, #e3, #e1
	db	#31, #61, #c1, #c3, #d1, #31, #51, #e6
	db	#31, #81, #a1, #32, #c1, #e1, #c3, #31
	db	#11, #f3, #c7, #c1, #51, #71, #71, #b1
	db	#e1, #72, #63, #72, #ec, #96, #e1, #c3
	db	#31, #e6, #51, #96, #a1, #a1, #e1, #a1
	db	#51, #31, #a1, #e1, #e1, #d1, #81, #c3
	db	#31, #51, #91, #96, #31, #c3, #e1, #e1
	db	#61, #e1, #e1, #61, #31, #e1, #91, #21
	db	#c1, #c1, #e1, #e1, #e1, #d1, #41, #61
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#11, #11, #11, #11, #11, #11, #11, #11
	db	#c1, #d1, #c1, #c1, #61, #61, #e1, #61


prog_end:
END
